<?php

namespace App\Http\Controllers;

use App\Models\member;
use Illuminate\Http\Request;
use App\Models\ticket_chat;
use App\Models\ticket;
use App\Http\Traits\SystemMail;
use Illuminate\Support\Str;
class ChatController extends Controller
{
    use SystemMail;
    public function customer_chat($id)
    {
        $ticket=ticket::where('company_id',session('cms_company_id'))->where("externalid",$id)->with("get_department","get_agent")->orderBy("id","desc")->first();
        if(!$ticket)
        {
            return ['message' => 'Ticket Not Found'];
        }
        // ticket::where("id",$ticket->id)->where("expire_at","<=",date("Y-m-d H:i:s"))->update(['status'=>'closed','closed_at'=>date("Y-m-d H:i:s"),'close_mode'=>'auto']);

        // ticket::where("id",$ticket->id)->where("expire_at","<=",date("Y-m-d H:i:s"))->first();
        $ticket = ticket::where("id",$ticket->id)->with("get_company")->first();
        return view("tickets.customer_chat",compact("ticket"));


    }
    public function submit_agent_chat(Request $req)
    {
        // $req->validate([
        //     'message'=>'required|max:10000',
        //     'ticket_id'=>'required|exists:tickets,externalid'
        // ]);
        // return response()->json(['status'=>'fail','message'=>$req->all()]);

        $ticket = ticket::where("externalid",$req->ticket_id)->with("get_company")->first();
        if(!$ticket)
        {
            return response()->json(['status'=>'fail','message'=>'Ticket Not Found']);
        }
        $agent = member::find(session("cms_member_id"));
        $chat = new ticket_chat();
        $chat->message = $req->message;
        $chat->sender = "agent";
        $chat->ticket_id = $ticket->id;
        $chat->receiver = "client";
        $chat->agent_id = $agent->id;
        $chat->client_id = ($ticket->get_company->id ?? null);
        if ($req->file != "")
        {
            $file = $req->file("file");
            $extension = $req->file("file")->getClientOriginalExtension();
            $filename = time() . "." . $extension;
            $file->move("dynamic/chat/chat_files/", $filename);
            $chat->file_path = "dynamic/chat/chat_files/" . $filename;
            $chat->file_name = $req->file("file")->getClientOriginalName();

        }
        if($chat->save())
        {
            $new_chat = ticket_chat::with("get_agent:id,name,photo","get_customer:id,name")->where("id",$chat->id)->first();
            $new_chat->agent_status="true";
            $new_chat->save();
            $this->mail_subject ="New Message for Ticket# ".$ticket->externalid;
            $this->mail_body['description'] ="A new message by ".session("cms_member_name")."<br><br>". Str::limit($chat->message,120).".....";
            $this->mail_link = "ticket_chat/".$ticket->externalid;
            $users = array();
            $users = $this->get_specific_member($this->mail_subject, $this->mail_body, $this->mail_link, $ticket->supervisor_id,$users);
            // $users = $this->get_specific_member($this->mail_subject, $this->mail_body, $this->mail_link, $ticket->manager_id,$users);
            if($ticket->agent_id!="")
            {
                $users = $this->get_specific_member($this->mail_subject, $this->mail_body, $this->mail_link, $ticket->agent_id,$users);
            }
            $this->mail_link = "customer_chat/".$ticket->externalid;
            $this->mail_link2 = config("app.cust_domain").$this->mail_link;

            dispatch(
                function () use ($users,$ticket)
                {
                    $this->send_to_members("","","",$users,"false","2");
                    $this->send_to_customer($this->mail_subject, $this->mail_body, $this->mail_link, $this->mail_link2,$ticket->company_id,"2");
                }
            )->delay(now()->addSeconds(config("app.queue_time")));
            return response()->json(['status'=>'success','chat'=>$new_chat]);
        }
        else
        {
            return response()->json(['status'=>'fail']);
        }
    }

    public function submit_customer_chat(Request $req)
    {
        // $req->validate([
        //     'message'=>'required|max:10000',
        //     'ticket_id'=>'required|exists:tickets,externalid'
        // ]);
        // return response()->json(['status'=>'fail','message'=>$req->all()]);

        $ticket = ticket::where("externalid",$req->ticket_id)->with("get_company")->first();
        if(!$ticket)
        {
            return response()->json(['status'=>'fail','message'=>'Ticket Not Found']);
        }
        $agent = member::find(session("cms_member_id"));
        $chat = new ticket_chat();
        $chat->message = $req->message;
        $chat->sender = "customer";
        $chat->ticket_id = $ticket->id;
        $chat->receiver = "agent";
        $chat->agent_id = ($ticket->get_agent->id ?? null);
        $chat->client_id = ($ticket->get_company->id ?? null);
        if ($req->file != "")
        {
            $file = $req->file("file");
            $extension = $req->file("file")->getClientOriginalExtension();
            $filename = time() . "." . $extension;
            $file->move("dynamic/chat/chat_files/", $filename);
            $chat->file_path = "dynamic/chat/chat_files/" . $filename;
            $chat->file_name = $req->file("file")->getClientOriginalName();

        }
        if($chat->save())
        {
            $new_chat = ticket_chat::with("get_agent:id,name,photo","get_customer:id,name")->where("id",$chat->id)->first();
            $new_chat->customer_status="true";
            $new_chat->save();
            $this->mail_subject ="New Message for Ticket# ".$ticket->externalid;
            $this->mail_body['description'] ="A new message by ".session("cms_company_name")."<br><br>". Str::limit($chat->message,120).".....";
            $this->mail_link = "ticket_chat/".$ticket->externalid;
            $users = array();
            $users = $this->get_specific_member($this->mail_subject, $this->mail_body, $this->mail_link, $ticket->supervisor_id,$users);
            // $users = $this->get_specific_member($this->mail_subject, $this->mail_body, $this->mail_link, $ticket->manager_id,$users);
            if($ticket->agent_id!="")
            {
                $users = $this->get_specific_member($this->mail_subject, $this->mail_body, $this->mail_link, $ticket->agent_id,$users);
            }
            $this->mail_link = "customer_chat/".$ticket->externalid;
            $this->mail_link2 = config("app.cust_domain").$this->mail_link;

            dispatch(
                function () use ($users,$ticket)
                {
                    $this->send_to_members("","","",$users,"false","2");
                    $this->send_to_customer($this->mail_subject, $this->mail_body, $this->mail_link, $this->mail_link2,$ticket->company_id,"2");
                }
            )->delay(now()->addSeconds(config("app.queue_time")));
            return response()->json(['status'=>'success','chat'=>$new_chat]);
        }
        else
        {
            return response()->json(['status'=>'fail']);
        }
    }

    public function get_agent_chat($id,$type="")
    {
        if($type == "get")
        {
            $chat = ticket_chat:: with("get_agent:id,name,photo","get_customer:id,name")
            ->whereRelation("get_ticket","externalid","=",$id)->get();
            $res = collect($chat)->pluck("id")->toArray();
            ticket_chat::where(function($q){
                $q->whereNull("agent_status")->orWhere("agent_status","false");
            })->whereIn("id",$res)->update(['agent_status'=>'true']);

        }
        else if($type == "append")
        {
              $chat = ticket_chat::where(function($q){
                $q->whereNull("agent_status")->orWhere("agent_status","false");
            })->with("get_agent:id,name,photo","get_customer:id,name")
            ->whereRelation("get_ticket","externalid","=",$id)->get();
            $res = collect($chat)->pluck("id")->toArray();
             ticket_chat::where(function($q){
                $q->whereNull("agent_status")->orWhere("agent_status","false");
            })->whereIn("id",$res)->update(['agent_status'=>'true']);
        }

       return response()->json(['chat'=>$chat]);
    }

    public function get_customer_chat($id,$type="")
    {

            if($type == "get")
            {
                $chat = ticket_chat:: with("get_agent:id,name,photo","get_customer:id,name")
                ->whereRelation("get_ticket","externalid","=",$id)->get();
                $res = collect($chat)->pluck("id")->toArray();
                ticket_chat::where(function($q){
                    $q->whereNull("customer_status")->orWhere("customer_status","false");
                })->whereIn("id",$res)->update(['customer_status'=>'true']);

            }
            else if($type == "append")
            {
                  $chat = ticket_chat::where(function($q){
                    $q->whereNull("customer_status")->orWhere("customer_status","false");
                })->with("get_agent:id,name,photo","get_customer:id,name")
                ->whereRelation("get_ticket","externalid","=",$id)->get();
                $res = collect($chat)->pluck("id")->toArray();
                 ticket_chat::where(function($q){
                    $q->whereNull("customer_status")->orWhere("customer_status","false");
                })->whereIn("id",$res)->update(['customer_status'=>'true']);
            }

           return response()->json(['chat'=>$chat]);
    }
}

