<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\ticket;
use App\Models\job_batch;
use Illuminate\Support\Carbon;
class DashboardController extends Controller
{
    public function dashboard(Request $req)
    {


        // return $req->path();
        // $fix = ['dashboard'];
        // if(in_array($req->path(), $fix))
        // {
        //     return ['message' => 'Yes'];
        // }
        // else
        // {
        //     return ['message' => 'No'];
        // }
        $rc="";
        $role="";

        if(session("cms_member_role") == "supervisor_13")
        {
            $rc = "supervisor_id";
            $role = "supervisor";
        }

        else if(session("cms_member_role") == "manager_12")
        {
            $rc = "manager_id";
            $role = "manager";
        }

        else if(session("cms_member_role") == "agent_14")
        {
            $rc = "agent_id";
            $role = "agent";
        }

        else if(session("cms_member_role") == "super_admin_11")
        {
            $role = "super admin";
        }

        if($rc!=""){
        $total_tickets = ticket::where($rc,session("cms_member_id"))->count();
        $today_tickets = ticket::where($rc,session("cms_member_id"))->whereDate("created_at",date("Y-m-d"))->count();
        $month_tickets = ticket::where($rc,session("cms_member_id"))->whereMonth("created_at",date("m"))->count();
        $week_tickets = ticket::where($rc,session("cms_member_id"))->whereBetween("created_at",[Carbon::now()->startOfWeek(), Carbon::now()->endOfWeek()])->count();
        $total_opened_tickets = ticket::where($rc,session("cms_member_id"))->where("status","opened")->count();
        $total_closed_tickets = ticket::where($rc,session("cms_member_id"))->where("status","closed")->count();
        $total_escalated_tickets = ticket::where($rc,session("cms_member_id"))->where("escalation","escalated")->where("status","!=","closed")->count();
        $tickets = ticket::where($rc,session("cms_member_id"))->where(function($q){
            $q->where("status","pending")->orWhereNull("status");
        })->with("get_company","get_agent")->get();}
       else
        {
            $total_tickets = ticket::count();
        $total_opened_tickets = ticket::where("status","opened")->count();
        $total_closed_tickets = ticket::where("status","closed")->count();
        $today_tickets = ticket::whereDate("created_at",date("Y-m-d"))->count();
        $month_tickets = ticket::whereMonth("created_at",date("m"))->count();
        $week_tickets = ticket::whereBetween("created_at",[Carbon::now()->startOfWeek(), Carbon::now()->endOfWeek()])->count();
        $total_escalated_tickets = ticket::where("escalation","escalated")->where("status","!=","closed")->count();
        $tickets = ticket::where(function($q){
            $q->where("status","pending")->orWhereNull("status");
        })->with("get_company","get_agent")->get();
        }

        return view("dashboard.dashboard", compact("role","total_tickets","total_opened_tickets","total_closed_tickets",
        "total_escalated_tickets","tickets","week_tickets","today_tickets","month_tickets"));
    }

    public function get_dispatch_progress()
    {
        $id = "986785cf-a806-4ac1-8e70-f2b9dd8c804f";
        $id = session("cms_batch_id");
        $batch = job_batch::where("id",$id)
        ->select("id","total_jobs","pending_jobs","failed_jobs")->first();
        if($batch && $batch->total_jobs>0)
        {
            if($batch->total_jobs == $batch->failed_jobs)
            {
                session()->pull("cms_batch_id");
                return response()->json(['per'=>"0%","status"=>"true"]);
            }
            else
            {
                $per = (($batch->total_jobs-$batch->pending_jobs)*100)/$batch->total_jobs;
                $per = round($per,1);
                if($per == 100)
                {
                    session()->pull("cms_batch_id");
                }
                return response()->json(['per'=>$per."%","status"=>"true"]);

            }
        }
        session()->pull("cms_batch_id");
        return response()->json(['message'=>"No Pending Queue Job","status"=>"false"]);

    }

}
