<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\email;
use Exception;
class EmailController extends Controller
{
    public function emails(Request $req)
    {
        // return "hello";

        if($req->method() == "POST"){

            $req->validate(
                ['email' => 'required|email|unique:emails,email',
                'password' => 'required|max:200' ]
            );
        try
        {
            $email = new email();
            $email->email = $req->email;
            $email->password = $req->password;
            if($email->save())
            {
                return redirect()->back()->with(['form_submit_flag' => 'true', 'form_submit_msg' => 'Email Added Successfully.']);
            }
            else
            {
                return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Email was not added']);
            }
        }
        catch(Exception $e)
        {
            return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Exception Occured. '.$e->getMessage()]);
        }



        }
        $emails = email::paginate(config("app.paginate"));
        return view("emails.emails", compact("emails"));

    }

    public function edit(Request $req,$id)
    {
        if($req->method() == "POST"){

            $email = email::where("id",$req->id)->first();
            if(!$email)
            {
                return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Email was not found']);
            }
            // return $email;
            $req->validate(
                ['email' => 'required|email|unique:emails,email,'.$email->id,
                'password' => 'required|max:200' ]
            );
            try
            {
            $email->email = $req->email;
            $email->password = $req->password;
            if($email->save())
            {
                return redirect()->back()->with(['form_submit_flag' => 'true', 'form_submit_msg' => 'Email Updated Successfully.']);
            }
            else
            {
                return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Email was not updated']);
            }
        }
        catch(Exception $e)
        {
            return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Exception Occured. '.$e]);
        }
    }
    $email = email::find($id);
    if(!$email)
    {
        return ['message' => 'Email not found'];
    }
    return view("emails.edit", compact("email"));
    }
}
