<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\notification;
class NotificationController extends Controller
{
    public function member_new_notifications()
    {

        $notifications = notification::where("member_id",session("cms_member_id"))
        ->where(function($q){
        $q->whereNull("check_status");
        })->orderBy("id","desc")->where("type","notification")->select("id","subject","link","created_at")
        ->limit(20)->get();

        notification::where("member_id",session("cms_member_id"))
        ->where(function($q){
            $q->whereNull("check_status");
        })->where("type","notification")->update(['member_status'=>'true']);

        return response()->json(['notifications'=>$notifications]);
    }

    public function mark_check_status(Request $req)
    {
       $check = notification::where("member_id",session("cms_member_id"))
        ->where(function($q){
            $q->whereNull("check_status");
        })->where("type","notification")->update(['check_status'=>"true"]);
        if($check)
        {
            return response()->json(['status'=>"success"]);
        }
        else
        {
            return response()->json(['status'=>"failed"]);
        }
    }

    public function employee_notifications()
    {
        $notifications = notification::where("member_id",session("cms_member_id"))
        ->orderBy("id","desc")->where("type","notification")->select("id","subject","link","created_at","description")
        ->limit(200)->orderBy("id","desc")->get();
        return view("notifications.employee_notifications", compact("notifications"));
    }
    public function customer_notifications()
    {
        $notifications = notification::where("customer_id",session("cms_company_id"))
        ->orderBy("id","desc")->where("type","notification")->select("id","subject","link","created_at","description")
        ->limit(200)->orderBy("id","desc")->get();
        return view("notifications.customer_notifications", compact("notifications"));
    }

    public function customer_new_notifications()
    {

            $notifications = notification::where("customer_id",session("cms_company_id"))
            ->where(function($q){
            $q->orWhereNull("check_status");
            })->orderBy("id","desc")->where("type","notification")->select("id","subject","link","created_at")
            ->limit(30)->get();



        notification::where("customer_id",session("cms_company_id"))
        ->where(function($q){
            $q->whereNull("check_status");
        })->where("type","notification")->update(['check_status'=>'true']);

        return response()->json(['notifications'=>$notifications]);
    }

    public function customer_mark_check_status(Request $req)
    {
       $check = notification::where("customer_id",session("cms_company_id"))
        ->where(function($q){
            $q->whereNull("check_status");
        })->where("type","notification")->update(['check_status'=>'true']);
        if($check)
        {
            return response()->json(['status'=>"success"]);
        }
        else
        {
            return response()->json(['status'=>"failed"]);
        }
    }



}
