<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\department;
use App\Models\template;
use Illuminate\Support\Facades\Validator;
use Exception;

class TemplateController extends Controller
{
    public function create(Request $req,$id="")
    {
        $temp=template::where('externalId',$id)->first();
        if(!$temp)
        {
            return ['message' => 'Template Not Found'];
        }
        if($req->method()=="POST")
        {
             $temp=new template();
             $temp->title=$req->title;
             if($temp->save())
             {
                  return redirect()->route('compaign.create_template',$temp->externalId);
             }
        }
        return view('compaign.template.create_template',compact('temp'));
    }
    public function view(Request $req)
    {
            if($req->method()=="POST")
            {

                $req->validate([
                    'title'=>'required|min:2|max:100',
                ]);

                $temp=new template();
                $temp->externalId=time();

                 $temp->title=$req->title;
                $temp->created_by=session('cms_member_id');
                if($temp->save())
                {
                    return redirect()->route('compaign.templates.create',$temp->externalId)->with(['form_submit_flag' => 'true', 'form_submit_msg' => 'Template Created.']);
                }
                else{
                    return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Please Try Again.']);
                }
            }
            $templates=[];
            if($req->title && $req->title!="")
            {
                $templates=template::where("title","like","%".$req->title."%")->paginate(config("app.paginate"));
            }
            else
            {
                $templates=template::paginate(config("app.paginate"));

            }
            // return $templates;
        return view("compaign.template.view_templates",compact('templates'));
    }

    public function delete(Request $req)
    {
        if(template::where("externalId",$req->template_id)->delete())
        {
            // return "OK";
            return redirect()->back()->with(['form_submit_flag' => 'true', 'form_submit_msg' => 'Template Deleted.']);
        }
        else
        {
            // return "not ok";
            return redirect()->back()->with(['form_submit_flag' => 'true', 'form_submit_msg' => 'Template Not Deleted or not Found.']);
        }
    }

    public function edit(Request $req,$id)
    {
            if($req->method()=="POST")
            {

                $req->validate([
                    'title'=>'required|min:2|max:100',
                ]);

                $temp=template::where("externalId",$req->template_id)->first();
                if(!$temp)
                {
                    return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Template Not Found']);
                }

                $temp->title=$req->title;
                try{
                if($temp->save())
                {
                    if($temp->wasChanged())
                    {
                        return redirect()->back()->with(['form_submit_flag' => 'true', 'form_submit_msg' => 'Template Created.']);
                    }
                    else
                    {
                        return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Nothing was changed.']);
                    }
                }
                else
                {
                    return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Please Try Again.']);
                }
            }
            catch(Exception $e)
            {
                return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Exception Occured.'.$e->getMessage()]);
            }
            }

        $template=template::where("externalId",$req->id)->first();
        if(!$template)
                {
                    return redirect()->back()->with(['form_submit_flag' => 'false', 'form_submit_msg' => 'Template Not Found']);
                }
        return view("compaign.template.edit",compact('template'));
    }
     public function update_content(Request $req)
    {
        try {
            $rules['template_id'] =  'required|exists:templates,externalId';
            $rules['content'] =  'required';
            $validator = Validator::make($req->all(), $rules);
            if ($validator->fails()) {
                return response()->json(['status' => 'fail', 'time' => date("Y-m-d H:i:s"), 'message' => 'Validation Errors. Compaign Might not found or some error in content', 'errors' => $validator->errors()]);
            }
            $template =  template::where("externalId", $req->template_id)->first();
            $template->content = $req->content;
            if ($template->save()) {
                if ($template->wasChanged()) {
                    return response()->json(['status' => 'success', 'time' => date("Y-m-d H:i:s"), 'message' => 'Content Updated']);
                } else {
                    return response()->json(['status' => 'fail', 'time' => date("Y-m-d H:i:s"), 'message' => 'No changes were made']);
                }
            } else {
                return response()->json(['status' => 'fail', 'time' => date("Y-m-d H:i:s"), 'message' => 'Content was not Updated']);
            }
        } catch (Exception $e) {
            return response()->json(['status' => 'fail', 'message' => "Exception Occured" . $e->getMessage()]);
        }
    }
}

