<?php

namespace App\Http\Livewire;

use Livewire\Component;
use App\Models\ticket;
use Illuminate\Support\Facades\DB;
use App\Models\member;
class ProcessingTickets extends Component
{
    public $type = "";
    public $tickets=[];
    public $department="";
    public $tid="";
    public $id2="";

    public function mount($type)
    {
        $this->type = $type;
        $query = ticket::query();
        if($this->type == "")
        {
            if(session("cms_member_role") == "super_admin_11")
            {

            }
            else if(session("cms_member_role") == "manager_12")
            {
                $query->where("manager_id",session("cms_member_id"));
            }
            else if(session("cms_member_role") == "supervisor_13")
            {
                $query->where("supervisor_id",session("cms_member_id"));
            }
            else if(session("cms_member_role") == "agent_14")
            {
                $query->where("agent_id",session("cms_member_id"));
            }
            $this->tickets = $query->where("status","opened")->with("get_company")->with("get_department")->withCount(['get_chat'=> function($q)
            {
             $q->where("receiver","agent")->whereNull("agent_status");
            }])
            ->orderByRaw(DB::raw("(select ticket_chats.id from ticket_chats where ticket_chats.ticket_id=tickets.id order by ticket_chats.id desc limit 1) desc"))
            ->get();
        }
    else if($this->type == "department")
        {
            if(session("cms_member_role") == "agent_14")
            {
                $member = member::find(session("cms_member_id"));
                $this->department = $member->department_id;
                $query->where("department_id",$this->department);
                $this->tickets = $query->where("status","opened")->with("get_company")->with("get_department")->withCount(['get_chat'=> function($q)
                {
                 $q->where("receiver","agent")->whereNull("agent_status");
                }])
                ->orderByRaw(DB::raw("(select ticket_chats.id from ticket_chats where ticket_chats.ticket_id=tickets.id order by ticket_chats.id desc limit 1) desc"))
                ->get();
            }
        }
    }


    public function updateData()
    {
        $this->id2 = $this->tid;
       $query = ticket::query();
       if($this->tid != "")
       {
            $query->where("externalid",$this->tid);
       }
        if($this->type == "")
        {
            if(session("cms_member_role") == "super_admin_11")
            {

            }
            else if(session("cms_member_role") == "manager_12")
            {
                $query->where("manager_id",session("cms_member_id"));
            }
            else if(session("cms_member_role") == "supervisor_13")
            {
                $query->where("supervisor_id",session("cms_member_id"));
            }
            else if(session("cms_member_role") == "agent_14")
            {
                $query->where("agent_id",session("cms_member_id"));
            }
            $this->tickets = $query->where("status","opened")->with("get_company")->with("get_department")->withCount(['get_chat'=> function($q)
       {
        $q->where("receiver","agent")->whereNull("agent_status");
       }])
       ->orderByRaw(DB::raw("(select ticket_chats.id from ticket_chats where ticket_chats.ticket_id=tickets.id order by ticket_chats.id desc limit 1) desc"))
       ->get();
        }
        else if($this->type == "department")
        {
            if(session("cms_member_role") == "agent_14")
            {
                $query->where("department_id",$this->department);
                $this->tickets = $query->where("status","opened")->with("get_company")->with("get_department")->withCount(['get_chat'=> function($q)
                {
                 $q->where("receiver","agent")->whereNull("agent_status");
                }])
                ->orderByRaw(DB::raw("(select ticket_chats.id from ticket_chats where ticket_chats.ticket_id=tickets.id order by ticket_chats.id desc limit 1) desc"))
                ->get();
            }
        }


    }
    public function render()
    {
        return view('livewire.processing-tickets');
    }

}
