<?php
namespace App\Http\Traits;

use App\Models\company;
use App\Models\member;
use App\Models\notification;
use Illuminate\Support\Facades\Mail;

trait SystemMail
{
    public $mail_body=array();
    public $mail_subject;
    public $mail_link;
    public $mail_link2;// for mail
    public $mail_users;
    public $mail_users2;
    public $flag;
    public function send_mail($subject, $body, $link ,$users,$flag="")
    {

        if($flag == "otp")
        {
           $user=company::where('id',$users[0]['user_id'])->select('id','name','email')->first();
            $to_name = $user['name'];
            $to_email = $user['email'];
            $this->temp = $subject;
            $data=array('user'=>$user,'body'=>$body,'link'=>$link,"subject"=>$subject);
            Mail::send('mails.'."custom_mail",$data,function($message) use ($to_name,$to_email){
               $message->to($to_email)
               ->subject($this->temp);
           });
           if(count(Mail::failures()) > 0)
           {
              // die("failed");
           }
           else
           {

           }

        }
        else{
                $head_user = collect($users)->pluck('user_id')->toArray();
                $members=member::whereIn('id',$head_user)->select('id','name','email')->get();

                foreach($members as $user)
                {
                    $to_name = $user['name'];
                    $to_email = $user['email'];
                    $this->temp = $subject;
                    $data=array('user'=>$user,'body'=>$body,'link'=>$link,"subject"=>$subject);
                    Mail::send('mails.'."custom_mail",$data,function($message) use ($to_name,$to_email){
                       $message->to($to_email)
                       ->subject($this->temp);
                   });
                   if(count(Mail::failures()) > 0)
                   {
                      // die("failed");
                   }
                   else
                   {

                   }
                }
        }

    }

    public function send_to_members($subject,$body,$link,$users,$data_same="true",$mail_not="2")
    {
        $counter=0;
        // die($users);
        foreach($users as $u)
        {

            if($data_same != "true")
            {
                $this->mail_subject = $u['subject'];
                $this->mail_body['description'] = $u['description'];
                $this->mail_link = $u['link'];
                $this->mail_link2 = $u['link2'];

            }
            else
            {
                $this->mail_subject = $subject;
                $this->mail_body['description'] = $body['description'];
                $this->mail_link = $link;
            }
            $arr = array('member_id'=>$u['user_id'],"type"=>'notification',
            "subject"=>$this->mail_subject,"description"=>$this->mail_body['description'],
            "link"=>$this->mail_link
            ,'created_at'=>date("Y-m-d H:i:s"),'updated_at'=>date("Y-m-d H:i:s"));
            if(notification::insert($arr))
            {
                $counter=$counter+1;
                $to_name = $u['name'];
                $to_email = $u['email'];
                $data=array('user'=>$u,'body'=>$this->mail_body,'link2'=>$this->mail_link2,"subject"=>$this->mail_subject);
                Mail::send('mails.'."custom_mail",$data,function($message) use ($to_name,$to_email){
                $message->to($to_email)
               ->subject($this->mail_subject);
           });

            }
        }
        return $counter;

    }

    public function send_to_customer($subject,$body,$link,$link2,$cust,$mail_not="2")
    {
        $counter=0;
        // die($users);
        $customer = company::find($cust);
        // die($customer);
        $arr = array('customer_id'=>$customer['id'],"type"=>'notification',
        "subject"=>$subject,"description"=>$body['description'],
        "link"=>$link
        ,'created_at'=>date("Y-m-d H:i:s"),'updated_at'=>date("Y-m-d H:i:s"));
        $to_name = $customer['name'];
        $to_email = $customer['email'];
            if(notification::insert($arr))
            {
                $counter=$counter+1;
                $data=array('user'=>$customer,'body'=>$body,'link2'=>$link2,"subject"=>$subject);
                    Mail::send('mails.'."custom_mail",$data,function($message) use ($to_name,$to_email){
                       $message->to($to_email)
                       ->subject($this->mail_subject);
                   });
                   if(count(Mail::failures()) > 0)
                   {
                      // die("failed");
                   }
                   else
                   {

                   }
            }

        return $counter;

    }

    public function get_mail_members($sub,$desc,$link,$roles,$exclude,$arr)
    {
        $users = member::whereHas("get_role", function($q) use ($roles)
        {
            $q->whereIn("role_code",$roles);
        })->whereNotIn("id",$exclude)->select("id","name","email")->get();

        foreach($users as $u)
        {
            $arr[] = array("user_id"=>$u->id,"email"=>$u->email,"name"=>$u->name,"subject"=>$sub,"description"=>$desc['description'],"link"=>$link,
            "link2"=>config("app.org_domain").$link
        );
        }
        return $arr;
    }
    public function get_specific_member($sub,$desc,$link,$id,$arr)
    {
        $user = member::find($id);
        if($user)
        {
            $arr[] = array("user_id"=>$user->id,"email"=>$user->email,"name"=>$user->name,"subject"=>$sub,"description"=>$desc['description'],"link"=> $link,
            "link2"=>config("app.org_domain").$link
        );
        }
        return $arr;
    }
}





?>
