<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Bus\Batchable;
use App\Models\company;
use Illuminate\Support\Facades\Log;

use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Excel;
use App\Models\company_tag;
use App\Models\tag;
use App\Http\Traits\SystemMail;
use Exception;
class ImportCustomer implements ShouldQueue
{
    use Batchable, Dispatchable, InteractsWithQueue, Queueable, SerializesModels,SystemMail;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public $data="";
    public $old_users_email="";
    public $old_users_phone="";
    public $temp_counter="";
    public $timeout = 7000;
    public static $total_stored=0;
    public static $total_excluded = array();

    public function __construct($data,$old_users_email,$old_users_phone,$temp_counter)
    {
        $this->data = $data;
        $this->old_users_email = $old_users_email;
        $this->old_users_phone = $old_users_phone;
        $this->temp_counter = $temp_counter;

    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $row_counter=1;
        $iter= 1;
        foreach ($this->data as $imp)
        {
            $concat_msg="";
            try {
                $temp_user = new company();
                if ($imp['name'] != "" && $imp['email'] != "" && $imp['phone'] != "") {
                    $temp_user['name'] = $imp['name'];

                    if (!in_array($imp['email'], $this->old_users_email) && !(in_array($imp['phone'], $this->old_users_phone)))
                    {
                        Log::info('Yes Yes'. $temp_user['email']);

                        $temp_user['email'] = $imp['email'];
                        $temp_user['phone'] = $imp['phone'];
                    }
                    else
                    {
                        Log::info('No N'. $temp_user['email']);
                        $sub_msg[] = "Email or Phone Already Exists";
                        $this->temp_counter++;
                        self::$total_excluded[] = ["row_counter" => ++$row_counter, "status" => "fail", "email" =>$imp['email'] , "message" => "Email or Phone Already Exists"];
                        continue;
                    }
                    $temp_user['password'] = "password";
                    $temp_user['address'] = $imp['name'];
                    $temp_user['externalid'] = "customer".time().rand(1,10000).$iter;
                    $temp_user['city'] = $imp['city'];
                    $temp_user['country'] = $imp['country'];
                    $temp_user['province'] = $imp['province'];
                    $temp_user['pincode'] = $imp['postal_code'];
                    $temp_user['company_size'] = $imp['company_size'];
                        $temp_user['revenue_min'] = $imp['revenue_min'];
                        $temp_user['revenue_max'] = $imp['revenue_max'];
                        $temp_user['sec_email'] = $imp['secondary_email'];
                        $temp_user['poc_name'] = $imp['poc_name'];
                        $temp_user['poc_name_two'] = $imp['poc_name_two'];
                        $temp_user['poc_name_three'] = $imp['poc_name_three'];
                        $temp_user['poc_name_four'] = $imp['poc_name_four'];
                        $temp_user['designation'] = $imp['designation'];
                        $temp_user['designation_two'] = $imp['designation_two'];
                        $temp_user['designation_three'] = $imp['designation_three'];
                        $temp_user['designation_four'] = $imp['designation_four'];
                        $temp_user['cell'] = $imp['cell'];
                        $temp_user['fax'] = $imp['fax'];
                        $temp_user['uan'] = $imp['uan'];
                        $temp_user['uan_fax'] = $imp['uan_fax'];
                        $temp_user['website'] = $imp['website'];
                        $temp_user['working_area'] = $imp['working_area'];

                    $iter = $iter+1;
                    if (isset($imp['phone'])) {
                        if (is_numeric($imp['phone'])) {
                            $temp_user['phone'] = $imp['phone'];
                        } else {
                            Log::info('Ohone Invalid'. $temp_user['email']);

                            $concat_msg = $concat_msg . "<br> Phone No. was Invalid, ";
                            echo 'Ohone Invalid'. $imp['email']."<br>";

                            continue;
                        }
                    } else {
                        $concat_msg = $concat_msg . "<br> Phone No was not Found, ";
                        self::$total_excluded[] = ["row_counter" => ++$row_counter, "status" => "fail", "email" =>$imp['email'] , "message" => "Phone Was Not Found."];

                        continue;
                        echo 'Ohone not found'. $imp['email']."<br>";

                    }

                    if ($temp_user->save()) {
                        $this->old_users_email[] = $temp_user->email;
                        $this->old_users_phone[] = $temp_user->phone;
                         if(isset($imp['tags']))
                        {
                            $tags=explode(',',$imp['tags']);
                           $tags_array = array();
                           foreach($tags as $tg)
                           {

                            $findtag = tag::where('tag',$tg)->select("id","tag")->first();
                            if($findtag)
                            {
                                // $new_tag=new company_tag();
                                // $new_tag->company_id=$temp_user->id;
                                // $new_tag->tag_id=$findtag->id;
                                // $new_tag->save();
                            }
                            else
                            {
                                if($tg!="")
                                {
                                    $findtag=new tag();
                                    $findtag->tag=$tg;
                                    $findtag->save();
                                    // $new_tag=new company_tag();
                                    // $new_tag->company_id=$temp_user->id;
                                    // $new_tag->tag_id=$ext_tag->id;
                                    // $new_tag->save();
                                }
                            }
                            $tags_array[] = array("company_id"=>$temp_user->id,"tag_id"=>$findtag->id);
                           }
                           company_tag::insert($tags_array);

                        }

                        // self::$total_excluded[] = ["row_counter" => ++$row_counter, "status" => "save", "email" => $imp['email'], "message" => "User has been Saved Successfully" . $concat_msg];
                        self::$total_stored = self::$total_stored+1;
                        $row_counter = $row_counter+1;
                        echo "Val:". self::$total_stored.",";
                        // dispatch(
                        //     function () use ($temp_user)
                        //     {
                                // $this->mail_body['description'] = "Your account has been created with email:".$temp_user->email." and password:password Check it out.";

                                // $this->send_to_customer( $this->mail_subject, $this->mail_body, $this->mail_link,$this->mail_link2 ,$temp_user->id,"2");
                        //     }
                        // )->delay(now()->addSeconds(config("app.queue_time")));
                    }
                    else
                    {
                        self::$total_excluded[] = ["row_counter" => ++$row_counter, "status" => "fail", "email" => $imp['email'], "message" => "Unknown error occured. Please try Again"];
                    }
                } else {
                    $sub_msg[] = "Email, Name or Phone  is missing";
                    $this->temp_counter++;
                    Log::info('Missing'. $temp_user['email']);
                    echo 'Missing'. $imp['email']."<br>";
// exclude here.

                    self::$total_excluded[] = ["row_counter" => ++$row_counter, "status" => "fail", "email" => $imp['email'], "message" => "Name, Email  or Phone  is mising"];
                }
            } catch (Exception $ex) {
                Log::info('Exeption'. $temp_user['email'].$ex);
                echo 'Exc'. $imp['email']."<br>";

                self::$total_excluded[] = ["row_counter" => ++$row_counter, "status" => "fail", "email" => $imp['email'], "message" => "Exception: Email  or Phone  alreadyb exists.".$ex->getMessage()];
            }
        }
    }
}
