<?php

namespace App\Jobs;

use App\Models\compaign_receivable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Models\notification;
use Illuminate\Bus\Batchable;
use Exception;
use Swift_SmtpTransport;
use Swift_Mailer;


use Illuminate\Support\Facades\Mail;

class SendCompiagn implements ShouldQueue
{
    use Batchable, Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    public $recipient;
    public $params;
    public $type;
    public $compaign;
    public $timeout = 1000000;

    public $pid;
    public static $total_excluded=array();
    public static $counter=0;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($recipient,$pid,$params,$type,$compaign)
    {
        $this->recipient = $recipient;
        $this->compaign = $compaign;
        $this->params = $params;
        $this->type = $type;
        $this->pid = $pid;

    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        // try{
        $to_name = $this->recipient['name'];
        $to_email = $this->recipient['email'];
        $body = array();
        if($this->type == "customer")
        {
            $arr = array('customer_id'=>$this->recipient['id'],"type"=>'notification',"subject"=>$this->params['subject'],
            'created_at'=>date("Y-m-d H:i:s"),'updated_at'=>date("Y-m-d H:i:s"),
            "description"=>"News Letter is shared with you.","content"=> $this->params['description'],
            "compaign_receivable_id" => $this->pid);
            notification::insert($arr);
        }
        else if($this->type == "mailing_list")
        {
            $arr = array("type"=>'notification',"subject"=>$this->params['subject'],
            'created_at'=>date("Y-m-d H:i:s"),'updated_at'=>date("Y-m-d H:i:s"),
            "description"=>"News Letter is shared with you.","content"=> $this->params['description'],
            "compaign_receivable_id" => $this->pid);
            notification::insert($arr);
        }
                $body['description'] = $this->params['description'];
                $from_email = $this->compaign->get_email->email ?? null;
                $from_password = $this->compaign->get_email->password ?? null;
                $from_name = $this->compaign->company_name;

                $data=array('user'=>$this->recipient,'body'=>$body,"subject"=>$this->params['subject']);
                Mail::send('mails.'."custom_mail",$data,function($message) use ($to_name,$to_email, $from_email, $from_password,$from_name){
                       $message->to($to_email)
                       ->subject($this->params['subject'])
                       ->from($from_email, $from_name);
                       $transport = new Swift_SmtpTransport('smtp.googlemail.com', 465,'ssl');
                       $transport->setUsername($from_email);
                       $transport->setPassword($from_password);
                       $transport->setStreamOptions([
                        'ssl' => [
                            'verify_peer' => false,
                            'verify_peer_name' => false,
                            'allow_self_signed' => true
                        ]]);

                       // Create a new Swift Mailer instance using the SMTP transport
                       $mailer = new Swift_Mailer($transport);

                       // Set the Swift Mailer instance to the Mail facade
                       Mail::setSwiftMailer($mailer);
                });
                if(count(Mail::failures()) > 0)
                {
                    self::$total_excluded[] = $to_email." , ";
                }
                else
                {

                }
                compaign_receivable::where("id",$this->pid)
                    ->update(['sending_status'=>'sent','sent_at'=>date("Y-m-d H:i:s")]);
                    self::$counter = self::$counter+1;
            //     }
            //    catch (Exception $e)
            //    {
            //         self::$total_excluded[] = $to_email."(".$this->type.")"." , ";
            //    }

    }
}
