<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class company extends Model
{
    use HasFactory;

    public function getPhotoAttribute($value)
    {
        if($value=="")
        {
            return "static/images/user.png";
        }
    }

    public function get_tags()
    {
        return $this->belongsToMany(tag::class,'company_tags','company_id','tag_id')->withPivot('id','created_at');
    }

    public function get_compaigns()
    {
        return $this->morphToMany(compaign::class,'compaign_receivable')->withPivot("id","sending_status","sent_at");
    }

    public function get_tickets()
    {
        return $this->hasMany(ticket::class,"company_id");
    }

    public function get_opened_tickets()
    {
        return $this->hasMany(ticket::class,"company_id")->where("status","opened");
    }

    public function get_closed_tickets()
    {
        return $this->hasMany(ticket::class,"company_id")->where("status","closed");
    }
}
