<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ticket extends Model
{
    use HasFactory;

    public function get_company()
    {
        return $this->belongsTo(company::class,"company_id");
    }
    public function get_department()
    {
        return $this->belongsTo(department::class,"department_id");
    }
    public function get_notes()
    {
        return $this->hasMany(ticket_note::class,"ticket_id")->orderBy("id","desc");
    }
    public function get_chat()
    {
        return $this->hasMany(ticket_chat::class,"ticket_id");
    }
    public function get_manager()
    {
        return $this->belongsTo(member::class,"manager_id");
    }
    public function get_supervisor()
    {
        return $this->belongsTo(member::class,"supervisor_id");
    }
    public function get_agent()
    {
        return $this->belongsTo(member::class,"agent_id");
    }
    public function get_opener()
    {
        return $this->belongsTo(member::class,"opened_by");
    }
    public function get_generater()
    {
        return $this->belongsTo(member::class,"generated_by");
    }
    public function get_closer()
    {
        return $this->belongsTo(member::class,"closed_by");
    }
    public function get_time_setter()
    {
        return $this->belongsTo(member::class,"time_set_by");
    }
}
