<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMembersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('members', function (Blueprint $table) {
            $table->id();
            $table->string("externalid")->unique();
            $table->string("name")->nullable();
            $table->string("email")->unique();
            $table->string("phone")->unique();
            $table->string("status")->nullable();
            $table->string("description",3000)->nullable();

            $table->bigInteger("role_id")->unsigned()->nullable();
            $table->foreign("role_id")->references("id")->on("roles")->onUpdate("cascade")->onDelete("cascade");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('members');
    }
}
