<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSupervisorMembersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('supervisor_members', function (Blueprint $table) {
            $table->id();
            $table->bigInteger("member_id")->unsigned()->nullable();
            $table->foreign("member_id")->references("id")->on("members")->onUpdate("cascade")->onDelete("cascade");
            $table->bigInteger("supervisor_id")->unsigned()->nullable();
            $table->foreign("supervisor_id")->references("id")->on("members")->onUpdate("cascade")->onDelete("cascade");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('supervisor_members');
    }
}
