<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDepartmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('departments', function (Blueprint $table) {
            $table->id();
            $table->string("externalid")->unique();

            $table->string("name")->nullable();
            $table->longText("description")->nullable();
            $table->bigInteger("added_by")->unsigned()->nullable();
            $table->foreign("added_by")->references("id")->on("members")->onUpdate("cascade")->onDelete("cascade");
            $table->bigInteger("supervisor_id")->unsigned()->nullable();
            $table->foreign("supervisor_id")->references("id")->on("members")->onUpdate("cascade")->onDelete("cascade");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('departments');
    }
}
