<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTicketNotesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ticket_notes', function (Blueprint $table) {
            $table->id();
            $table->bigInteger("ticket_id")->unsigned()->nullable();
            $table->foreign("ticket_id")->references("id")->on("tickets")->onDelete("cascade");
            $table->bigInteger("added_by")->unsigned()->nullable();
            $table->foreign("added_by")->references("id")->on("members")->onDelete("cascade");
            $table->string("status")->nullable();
            $table->string("status_two")->nullable();
            $table->string("description",5000)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ticket_notes');
    }
}
