<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTicketChatsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ticket_chats', function (Blueprint $table) {
            $table->id();
            $table->bigInteger("ticket_id")->unsigned()->nullable();
            $table->foreign("ticket_id")->references("id")->on("tickets")->onDelete("cascade");
            $table->longText("message")->nullable();
            $table->bigInteger("agent_id")->unsigned()->nullable();
            $table->foreign("agent_id")->references("id")->on("members")->onDelete("cascade");
            $table->bigInteger("client_id")->unsigned()->nullable();
            $table->foreign("client_id")->references("id")->on("companies")->onDelete("cascade");
            $table->string("sender")->nullable();
            $table->string("receiver")->nullable();
            $table->string("status")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ticket_chats');
    }
}
