<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNotificationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notifications', function (Blueprint $table) {
            $table->id();
            $table->string("subject")->nullable();
            $table->longText("description",5000)->nullable();
            $table->bigInteger("member_id")->unsigned()->nullable();
            $table->foreign("member_id")->references("id")->on("members")->onDelete("cascade");
            $table->string("member_status")->nullable();
            $table->bigInteger("customer_id")->unsigned()->nullable();
            $table->foreign("customer_id")->references("id")->on("companies")->onDelete("cascade");
            $table->string("customer_status")->nullable();
            $table->string("link",500)->nullable();
            $table->string("type")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notifications');
    }
}
