<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompaignReceivablesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('compaign_receivables', function (Blueprint $table) {
            $table->id();
            $table->bigInteger("compaign_id")->unsigned()->nullable();
            $table->foreign("compaign_id")->references("id")->on("compaigns")->onDelete("cascade");
            $table->bigInteger('compaign_receivable_id');
            $table->string("compaign_receivable_type");
            $table->string("sending_status")->nullable();
            $table->dateTime("sent_at")->nullable();
            $table->string("type")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('compaign_receivables');
    }
}
