<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMailingListsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mailing_lists', function (Blueprint $table) {
            $table->id();
            $table->string("externalid")->unique();
            $table->string("name")->nullable();
            $table->string("email")->unique();
            $table->string("version")->nullable();
            $table->bigInteger("mailing_file_id")->unsigned()->nullable();
            $table->foreign("mailing_file_id")->references("id")->on("mailing_files")->onDelete("cascade");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mailing_lists');
    }
}
