@extends("layouts.adminmaster")

@section("title") Create New Compaign @endsection
@section("content")
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                Create Compaign
            </div>
            <div class="card-body">
                <form action="" method="POST">
                    @csrf
                    <input type="hidden" name="compaign_id" value="{{ $compaign->externalid }}">
                    <div class="form-group mt-1">
                        <label for="" class="form-label">Company Name <span class="text-danger">*</span> </label>
                        <input type="text" required min="3" max="200" name="company_name" value ="{{ old('company_name') ?? $compaign->company_name }}" placeholder="Enter Company Name..." class="form-control">
                        <span class="text-danger">
                            @error("company_name")
                            {{ $message }}
                            @enderror
                        </span>
                    </div>
                    <div class="form-group mt-1">
                        <label for="" class="form-label">From Email <span class="text-danger">*</span> </label>
                        <select name="email" required class="form-control" id="">
                            <option value="">--Choose Email--</option>
                            @foreach ($emails as $email)
                            <option value="{{ $email->id }}" {{ ((old('email') ?? $compaign->email_id) == $email->id) ? 'selected' :'' }}>{{ $email->email }}</option>
                            @endforeach
                        </select>
                        <span class="text-danger">
                            @error("email")
                            {{ $message }}
                            @enderror
                        </span>
                    </div>
                    <div class="form-group mt-1">
                        <label for="" class="form-label">Compaign Subject <span class="text-danger">*</span> </label>
                        <input type="text" required min="3" max="100" name="subject" value ="{{ old('subject') ?? $compaign->title }}" placeholder="Enter Compaign Subject..." class="form-control">
                        <span class="text-danger">
                            @error("subject")
                            {{ $message }}
                            @enderror
                        </span>
                    </div>
                    <div class="form-group mt-2">
                        <label for="" class="form-label">Short Description</label>
                        <textarea name="short_description" max="150" class="form-control" placeholder="Enter Description if any...">{{ old('short_description') ?? $compaign->short_description }}</textarea>
                        <span class="text-danger">
                            @error("short_description")
                            {{ $message }}
                            @enderror
                        </span>
                    </div>
                    <div class="form-group mt-2 text-right">
                        <button type="submit" class="btn btn-md size-nm btn-primary">Next</button>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
@endsection
