@extends("layouts.adminmaster")

@section("title") Create New Compaign @endsection
@section("content")
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                Create Compaign
            </div>
            <div class="card-body">
                <form action="" method="POST">
                    @csrf
                    <div class="form-group mt-1">
                        <label for="" class="form-label">Name: <span class="text-danger">*</span> </label>
                        <input type="text" required min="3" max="150" name="name" value ="{{ old('name') }}" placeholder="Enter Name..." class="form-control">
                        <span class="text-danger">
                            @error("name")
                            {{ $message }}
                            @enderror
                        </span>
                    </div>
                    <div class="form-group mt-1">
                        <label for="" class="form-label">Email: <span class="text-danger">*</span> </label>
                        <input type="email" required min="3" max="150" name="email" value ="{{ old('email') }}" placeholder="Enter Email..." class="form-control">
                        <span class="text-danger">
                            @error("email")
                            {{ $message }}
                            @enderror
                        </span>
                    </div>
                    <div class="form-group mt-1">
                        <label for="" class="form-label">List Name:<span class="text-danger">*</span> </label>
                        <select name="list" required class="form-control" id="">
                            <option value="">--Choose List--</option>
                            @foreach ($lists as $l)
                            <option value="{{ $l->id }}" {{ (old('list') == $l->id) ? 'selected' :'' }}>{{ $l->name }}</option>
                            @endforeach
                        </select>
                        <span class="text-danger">
                            @error("list")
                            {{ $message }}
                            @enderror
                        </span>
                    </div>
               
                    <div class="form-group mt-2 text-right">
                        <button type="submit" class="btn btn-md size-nm btn-primary">Next</button>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
@endsection
