@extends('layouts.adminmaster')


@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="card mt-0" style="height:250px;overflow:auto">
                <div class="card-header">
                    Add New File Name
                </div>
                <div class="card-body">
                    <form method="post" action="{{ route('compaign.mailing_list.add_file_name') }}">
                        @csrf

                        <div class="form-group mt-2">
                            <label for="">File/Group Name:</label>
                            <input type="text" name="name" value="{{ old('name') }}" class="form-control"
                                placeholder="Enter Name..." required>
                            <span class="text-danger size-nm">
                                @error('name')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>
                        <div class="form-group mt-2 text-right">
                            <button type="submit" class="btn btn-sm btn-primary size-nm">Add New File Name</button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="card mb-0">
                <div class="card-header">
                    Import List
                </div>
                <div class="card-body">
                    <h5 class="text-danger">
                        @if (isset($compaign->id))
                            Note: The list will be also imported to compaign ({{ $compaign->title }})
                        @endif
                    </h5>
                    <form action="{{ route('compaign.mailing_list.submit_import') }}" method="POST"
                        enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" name="compaign_id" value="{{ $compaign->id ?? '' }}">
                        <span class="text-danger size-nm">
                            @error('compaign_id')
                                {{ $message }}
                            @enderror
                        </span>
                        <div class="form-group">
                            <label for="">Choose Name/Group:</label>
                            <select name="group" id="" required class="form-control">
                                <option value="">Choose</option>
                                @foreach ($groups as $g)
                                    <option value="{{ $g->id }}">{{ $g->name }}</option>
                                @endforeach
                            </select>
                            <span class="text-danger size-nm">
                                @error('group')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>

                        <div class="form-group">
                            <input type="file" name="file" required>
                        </div>
                        <div class="form-group mt-2 text-right">
                            <button class="btn btn-sm btn-primary size-nm">Start Importing</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        @if (session('form_submit_message') && sizeof(session('form_submit_message')) > 0)
            <div class="card">
                <div class="card-header">
                    Not Imported
                </div>
                <div class="card-body">

                    <table id="data-table" class="table table-bordered mb-0 size-nm">
                        <thead class="border-top">
                            <tr>
                                <th width="3%" class="bg-transparent border-bottom-0 ">Sr.</th>
                                <th class="bg-transparent border-bottom-0 ">Row No</th>

                                <th class="bg-transparent border-bottom-0"> Email</th>
                                <th class="bg-transparent border-bottom-0"> Status</th>
                                <th class="bg-transparent border-bottom-0">Reason </th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($message as $m)
                                <tr class="alert-danger">
                                    <td>{{ $loop->iteration }}.</td>
                                    <td>{{ $m['row_counter'] }}</td>
                                    <td>{{ $m['email'] }}</td>
                                    <td>{{ $m['status'] }}</td>
                                    <td>{{ $m['message'] }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>

                </div>
            </div>
        @endif
    </div>
    </div>
@endsection

@section('scripts')
    <script>
        $(document).ready(function() {
            $('.mail-list').addClass('active');
            $('.mail').addClass('in');
        });
    </script>
@endsection
