@extends("layouts.adminmaster")
@section("title") View Customers @endsection

@section("content")

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                View Customers
            </div>
            <div class="card-body">
                <form method="get">
                    {{-- @csrf --}}
                <div class="row clearfix mb-2">
                    <div class="col-md-3">
                        <div class="input-group colorpicker">
                            <input type="text" class="form-control form-control-sm"  name="name"
                            value="{{ $params['name'] ?? '' }}"
                            placeholder="Filter by Name..">
                            <div class="input-group-append">
                                <span class="input-group-text"><span class="input-group-addon"> <i></i> </span></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="input-group colorpicker">
                            <input type="text" class="form-control form-control-sm" name="email"  value="{{ $params['email'] ?? '' }}" placeholder="Filter by Email..">
                            <div class="input-group-append">
                                <span class="input-group-text"><span class="input-group-addon"> <i></i> </span></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="input-group colorpicker">
                          <select name="group" id="" class="form-control">
                            <option value="">Choose Group</option>
                            @foreach ($groups as $g)
                            <option value="{{ $g->id }}"  {{ (($params['name'] ?? '') == $g->id) ? 'selected' : '' }}>{{ $g->name }}</option>
                            @endforeach
                          </select>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <button type="submit" class="btn btn-primary btn-xs size-nm">Filter</button>
                        <a href="{{ route('compaign.mailing_list.view') }}" class="btn btn-primary btn-xs size-nm">Show All</a>

                    </div>
                </div>
                </form>
                <div class="text-right mb-2">
                    <a href="{{ route('compaign.mailing_list.create') }}" class="btn btn-xs size-nm btn-primary">Add Mail</a>

                    <a href="{{ route('compaign.mailing_list.import') }}" class="btn btn-xs size-nm btn-primary">Import Mailing List</a>
                </div>


                <table class="table" >
                    <thead>
                        <tr>
                            <th width="5%">#</th>

                            <th>
                                ID
                            </th>
                            <th>

                                Name
                            </th>

                            <th>Email
                            </th>
                            <th>Group</th>
                            <th>Added At</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($list as $m)
                        <tr>
                            <th scope="row">{{ $loop->iteration }}.</th>
                            <td>
                                {{ $m['externalid'] }}
                                </td>
                            <td>
                                {{ $m['name'] }}
                                </td>
                            <td>
                                <label for="" class="text-muted">{{ $m['email'] }}</label>
                            </td>
                            <td>
                                {{ $m['get_group']['name'] ?? 'N/A' }}
                            </td>
                            <td>
                                {{ $m['created_at'] }}
                            </td>
                            <td>
                                <button id="btnGroupDrop1" type="button" class="btn btn-sm size-nm btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    Action
                                    </button>
                                    <div class="dropdown-menu" aria-labelledby="btnGroupDrop1" >
                                        <a href="{{ route('compaign.mailing_list.edit',$m->externalid) }}" class=" dropdown-item btn btn-sm btn-outline-info">Edit</a>
                                    </div>
                            </td>

                        </tr>
                    @endforeach

                    </tbody>
                </table>
                <x-table-data :data="$list"/>

                <div class="text-right">
                {!! $list->links() !!}
            </div>
            </div>

        </div>
        <div class="modal fade" id="imp_cust" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Import Customers</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <form action="{{ route('import_customers') }}" enctype="multipart/form-data" method="post">
                        @csrf
                        <input type="file" name="file1" class="form-control">
                        <div class="text-right mb-2">
                            <input type="submit" name="submit" class="btn btn-sm size-nm btn-primary">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
</div>

@endsection


@section('scripts')
{{-- <script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script> --}}
<script type="text/javascript" src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
        <script type="text/javascript" src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
                        <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/dataTables.buttons.min.js"></script>

        <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/buttons.colVis.min.js"></script>

<script>

</script>

<script>
    $(document).ready( function() {
$('.view-mail').addClass('active');
$('.mail').addClass('in');
} );
</script>

@endsection



