@extends('layouts.adminmaster')

@section('title')
    Compaign Recipients
@endsection
@section('content')
    <div class="row">
        <div class="col-md-12">
            <h5 class="font-weight-bold ">{{ Str::upper($compaign->title) }}</h5>

            @include("compaign.include.links")
            {{-- <div class="card mb-0">
                <div class="card-body">
                    <p class="text-muted text-muted">{{ $compaign->short_description }}</p>
                </div>
            </div> --}}
            @if ($type == 'customer')
                <div class="card">
                    <div class="card-header">
                        Customers
                    </div>
                    <div class="card-body">
                        <form method="get">
                            {{-- @csrf --}}
                            <div class="row clearfix mb-2">
                                <div class="col-md-3">
                                    <div class="input-group colorpicker">
                                        <input type="text" class="form-control" name="name"
                                            placeholder="Filter by Name..">
                                        <div class="input-group-append">
                                            <span class="input-group-text"><span class="input-group-addon"> <i></i>
                                                </span></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="input-group colorpicker">
                                        <input type="text" class="form-control" name="email"
                                            placeholder="Filter by Email..">
                                        <div class="input-group-append">
                                            <span class="input-group-text"><span class="input-group-addon"> <i></i>
                                                </span></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="">
                                        <input type="submit" class="btn btn-info" value="FILTER">
                                        {{-- <div class="input-group-append">
                                <span class="input-group-text"><span class="input-group-addon"> <i></i> </span></span>
                            </div> --}}


                                        <a href="{{ route('compaign.recipients',$compaign->externalid) }}"
                                            class=" float-end btn btn-md bg-main text-light">Show All</a>
                                            {{-- <a href="{{ route('compaign.recipients', [$compaign->externalid, 'mailing_list']) }}"
                                                class="btn btn-md bg-main text-light">View Mailing List</a> --}}
                                    </div>




                                </div>
                                <div class="col-md-6">
                                    <div class="tags mt-4">
                                        <label for="" class="font-weight-bold mb-0">-Choose Tags-</label>
                                        <select name="tags[]" class="form-control" multiple >

                                            @foreach ($tags as $t)
                                            <option value="{{ $t->id }}" {{ ( in_array($t->id,($filters['tags'] ?? []) ) ? 'selected' :''  ) }}>{{ $t->tag }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="text-right mb-2">
                                <a href="{{ route('compaign.recipients', [$compaign->externalid, 'mailing_list']) }}"
                                    class="btn btn-sm size-nm btn-primary">View Mailing List</a>


                            </div>
                        </form>
                        <form action="{{ route('compaign.save_recipients') }}" method="POST">
                            @csrf
                            <input type="hidden" name="compaign_id" value="{{ $compaign->id }}">
                            <input type="hidden" name="recipient_type" value="customer">

                            <table class="table" id="example">
                                <thead>
                                    <tr>
                                        <th width="8%"><input type="checkbox" id="select_all">

                                        </th>
                                        </th>
                                        <th width="8%">Photo</th>
                                        <th>
                                            Name
                                        </th>

                                        <th>Email
                                        </th>
                                        <th>Status</th>
                                        <th>ACTION</th>

                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($recipients as $m)
                                        <tr>
                                            <th scope="row">
                                                @if (($m['get_compaigns'][0]['pivot']['sending_status'] ?? 'N/A') != 'sent')
                                                    <input type="checkbox" name="recipients[]" value="{{ $m->id }}"
                                                        class="rec">
                                                @endif
                                                @if ($m->get_compaigns_count > 0)
                                                    <i class="fa fa-check-circle-o text-success size-lg"></i>
                                                @endif
                                            </th>
                                            <td><img src="{{ asset($m['photo']) }}" class="img img-fluid logo-nm"></td>

                                            <td>
                                                {{ $m['name'] }}
                                            </td>
                                            <td>
                                                <label for="" class="text-muted">{{ $m['email'] }}</label>

                                            </td>
                                            <td>
                                                @php $status_obj = ($m['get_compaigns'][0]['pivot']) ?? [];@endphp
                                                @include('compaign.include.sending_status')
                                            </td>

                                            <td class="project-actions">
                                                <a href="{{ route('company_profile', $m->externalid) }}"
                                                    class="btn btn-outline-success"><i class="icon-eye"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>

                            <x-table-data :data="$recipients" />

                            <div class="text-right">
                                {!! $recipients->links() !!}
                            </div>
                            <div class="text-right">
                                <select name="action" required style="width:120px">
                                    <option value="">Choose Action</option>
                                    <option value="add">Add</option>
                                    <option value="remove">remove</option>
                                </select>
                                <button type="submit" class="btn btn-md size-nm btn-primary">Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            @elseif($type == 'mailing_list')
                <div class="card">
                    <div class="card-header">
                        Mailing List
                    </div>
                    <div class="card-body">
                        <form method="get">
                            {{-- @csrf --}}
                            <div class="row clearfix mb-2">
                                <div class="col-md-3">
                                    <div class="input-group colorpicker">
                                        <input type="text" class="form-control" name="name"
                                            value="{{ $filters['name'] ?? '' }}" placeholder="Filter by Name..">
                                        <div class="input-group-append">
                                            <span class="input-group-text"><span class="input-group-addon"> <i></i>
                                                </span></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="input-group colorpicker">
                                        <input type="text" class="form-control" name="email"
                                            value="{{ $filters['email'] ?? '' }}" placeholder="Filter by Email..">
                                        <div class="input-group-append">
                                            <span class="input-group-text"><span class="input-group-addon"> <i></i>
                                                </span></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="input-group colorpicker">
                                        <select name="group" id="" class="form-control">
                                            <option value="">Choose Group</option>
                                            @foreach ($groups as $g)
                                                <option value="{{ $g->id }}"
                                                    {{ ($filters['name'] ?? '') == $g->id ? 'selected' : '' }}>
                                                    {{ $g->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <button type="submit" class="btn btn-primary btn-sm size-nm">Filter</button>
                                    <a href="{{ route('compaign.recipients',[$compaign->externalid,'mailing_list']) }}"
                                        class="btn btn-primary btn-sm size-nm">Show All</a>
                                </div>
                            </div>
                        </form>
                        <div class="text-right mb-2">
                            <a href="{{ route('compaign.recipients', [$compaign->externalid, 'customer']) }}"
                                class="btn btn-sm size-nm btn-primary">View Customers</a>
                            <a href="{{ route('compaign.mailing_list.import') }}?compaign_id={{ $compaign->externalid }}"
                                class="btn btn-sm size-nm btn-primary">Import Mailing List</a>
                        </div>
                        <form action="{{ route('compaign.save_recipients') }}" method="POST">
                            @csrf
                            <input type="hidden" name="recipient_type" value="mailing_list">

                            <input type="hidden" name="compaign_id" value="{{ $compaign->id }}">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th width="8%"><input type="checkbox" id="select_all">

                                    <th>
                                         ID
                                    </th>
                                    <th>
                                        Name
                                    </th>

                                    <th>Email
                                    </th>
                                    <th>Group</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($recipients as $m)
                                    <tr>

                                        <th>
                                             @if (($m['get_compaigns'][0]['pivot']['sending_status'] ?? 'N/A') != 'sent')
                                                    <input type="checkbox" name="recipients[]" value="{{ $m->id }}"
                                                        class="rec">
                                                @endif
                                                @if ($m->get_compaigns_count > 0)
                                                    <i class="fa fa-check-circle-o text-success size-lg"></i>
                                                @endif
                                        </th>
                                        <td>
                                            {{ $m['externalid'] }}
                                        </td>
                                        <td>
                                            {{ $m['name'] }}
                                        </td>
                                        <td>
                                            <label for="" class="text-muted">{{ $m['email'] }}</label>
                                        </td>
                                        <td>
                                            {{ $m['get_group']['name'] ?? 'N/A' }}
                                        </td>
                                        <td>
                                            @php $status_obj = ($m['get_compaigns'][0]['pivot']) ?? [];@endphp
                                                @include('compaign.include.sending_status')
                                        </td>

                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                        <x-table-data :data="$recipients" />

                        <div class="text-right">
                            {!! $recipients->links() !!}
                        </div>
                        <div class="text-right">
                            <select name="action" required style="width:120px">
                                <option value="">Choose Action</option>
                                <option value="add">Add</option>
                                <option value="remove">remove</option>
                            </select>
                            <button type="submit" class="btn btn-md size-nm btn-primary">Submit</button>
                        </div>
                        </form>
                    </div>

                </div>
            @endif
        </div>

    @endsection

    @section('scripts')
        <script>
            $(document).ready(function() {
                $('#select_all').change(function() {
                    // alert("hello");
                    $('.rec').prop('checked', this.checked);
                });
            });
        </script>
    @endsection
