@extends("layouts.adminmaster")
@section("title")
Share Compaign
@endsection

@section("content")

<div class="row">
    <div class="col-md-12">
        @include("compaign.include.links")

        <div class="card">
            <div class="card-header">
                Share Compiagn
            </div>
            <div class="card-body">
                <form class="row" method="post">
                    @csrf
                    <input type="hidden" name="compaign_id" value="{{ $compaign->externalid }}">
                    <div class="col-md-4 size-sm">
                        Choose whether you want to share to all recipients to which it is already shared or only drafted
                    </div>
                    <div class="col-md-8">
                        <select name="type" class="form-control" required>
                            <option value="">--Choose Recipients Sharing Option--</option>
                            <option value="all">Share to All Recipients in this compaign list.</option>
                            <option value="draft">Share to only drafted recipients</option>
                        </select>
                        <div class="text-right mt-1">
                            <button type="submit" class="btn btn-primary btn-sm size-nm">Share</button>

                        </div>
                    </div>

                </form>
                <h6 class="font-weight-bold mt-3">{{ Str::upper($compaign->title) }}</h6>
                <p class="text-muted text-muted">{{ $compaign->short_description }}</p>
                <table class="table mb-0">

                    <tr>
                        <th width="15%">
                            ID
                        </th>
                        <td width="30%">
                            {{ $compaign->externalid }}
                        </td>
                        <th width="15%">
                            Status
                        </th>
                        <td width="30%">
                           @include("compaign.include.status")
                        </td>
                    </tr>
                    <tr>
                        <th width="15%">
                            Company Name
                        </th>
                        <td width="30%">
                            {{ $compaign->company_name }}
                        </td>
                        <th width="15%">
                            Email
                        </th>
                        <td width="30%">
                            {{ $compaign->get_email->email ?? 'N/A' }}
                        </td>
                    </tr>
                    <tr>
                        <th width="15%">
                            Created At
                        </th>
                        <td width="30%">
                            {{ $compaign->created_at }}
                        </td>
                        <th width="15%">
                            Last Updated At
                        </th>
                        <td width="30%">
                            {{ $compaign->created_at }}
                        </td>
                    </tr>
                    <tr>
                        <th width="15%">
                            Created By
                        </th>
                        <td colspan="3">
                            {{ $compaign->get_creater->name ?? 'N/A' }}<br>
                            <label for="" class="text-muted">{{ $compaign->get_creater->email ?? 'N/A' }}
                            </label>
                        </td>

                    </tr>
                </table>
                <div class="row">
                    <div class="col-md-6">
                        <div class="card" style="max-height:500px;overflow:auto">
                            <div class="card-header">
                                Customers
                            </div>
                            <div class="card-body">
                                <table class="table" id="example">
                            <thead>
                                <tr>
                                    <th width="5%">

                                     </th>
                                </th>

                                    <th>
                                        Name
                                    </th>

                                    <th>Email
                                    </th>
                                    <th>Status</th>


                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($compaign->get_customers as $m)
                                <tr onclick="windows.location={{ route('compaign.recipient_sharing_detail',$m['pivot']['id'] ?? '0') }}">
                                    <th scope="row">
                                     {{$loop->iteration}}.

                                    </th>
                                    <td>
                                    <a  href="{{ route('compaign.recipient_sharing_detail',$m['pivot']['id'] ?? '0') }}">   {{ $m['name'] }}
                                    </a>
                                    </td>
                                    <td>
                                        <label for="" class="text-muted">{{ $m['email'] }}</label>

                                    </td>
                                    <td>
                                        @php $status_obj = ($m['pivot']) ?? [];@endphp
                                        @include("compaign.include.sending_status")
                                    </td>


                                </tr>
                            @endforeach

                            </tbody>
                        </table>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card" style="max-height:500px;overflow:auto">
                            <div class="card-header">
                                Mailing List
                            </div>
                            <div class="card-body">
                                <table class="table" id="example">
                            <thead>
                                <tr>
                                    <th width="5%">

                                     </th>
                                </th>

                                    <th>
                                        Name
                                    </th>

                                    <th>Email
                                    </th>
                                    <th>Status</th>


                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($compaign->get_mailing_list as $m)
                                <tr>
                                    <th scope="row">
                                     {{$loop->iteration}}.

                                    </th>
                                    <td>
                                        <a  href="{{ route('compaign.recipient_sharing_detail',$m['pivot']['id'] ?? '0') }}">   {{ $m['name'] }}                                </td>
                                    <td>
                                        <label for="" class="text-muted">{{ $m['email'] }}</label>

                                    </td>
                                    <td>
                                        @php $status_obj = ($m['pivot']) ?? [];@endphp
                                        @include("compaign.include.sending_status")
                                    </td>


                                </tr>
                            @endforeach

                            </tbody>
                        </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>





        {{-- <h5 class="bg-main text-center p-2">RECIPIENTS</h5> --}}

    </div>
</div>
@endsection
