@extends('layouts.adminmaster')
@section('title')
    View Templates
@endsection

@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    View Templates
                </div>
                <div class="card-body">
                    <form method="get">

                        <div class="row clearfix mb-2">
                            <div class="col-md-4">
                                <div class="input-group colorpicker">
                                    <input type="text" class="form-control size-sm form-control-sm" name="title" placeholder="Filter by Name..">

                                </div>
                            </div>
                            <div class="col-md-8">

                                <input type="submit" class="btn btn-info btn-xs" value="FILTER">
                                <a href="{{ route('compaign.templates.view') }}" class="btn  btn-xs  btn-primary">Show All</a>

                                {{-- <div class="input-group-append">
                                    <span class="input-group-text"><span class="input-group-addon"> <i></i> </span></span>
                                </div> --}}

                                <a class="btn btn-xs float-right btn-xs btn-primary"
                                    data-toggle="modal" data-target="#exampleModalLong">Create Template</a>
                            </div>
                        </div>

                    </form>

                    <h5 class="mt-4 mb-0">News Letter Templates</h5>
                    <hr>
                    <div class="row clearfix">

                        @foreach ($templates as $t)
                            {{-- <div class="col-md-3 border-1" >
                            <a href="{{ route('compaign.templates.create',$t->externalId) }}">
                            <div class=" text-center" style="height:150px;border:1px solid black;margin-top:10px">
                                <h5>{{ $t->title }}</h5>
                                 <p>{{ $t->created_at }}</p>
                            </div>
                        </a>
                        </div> --}}
                            <div class="col-lg-3 col-md-4 col-sm-12">
                                <div class="card p-2 border">
                                    <div class="file">
                                        <form class="text-right" method="post"
                                            action="{{ route('compaign.templates.delete') }}">
                                            @csrf
                                            <input type="hidden" name="template_id" value="{{ $t->externalId }}">
                                            <button id="btnGroupDrop1" type="button"
                                                class="btn btn-sm size-sm  dropdown-toggle" data-toggle="dropdown"
                                                aria-haspopup="true" aria-expanded="false">

                                            </button>
                                            <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                                                <a href="{{ route('compaign.templates.create', $t->externalId) }}"
                                                    class=" size-sm dropdown-item btn btn-sm btn-outline-info">Edit</a>
                                                <button class=" dropdown-item btn btn-sm size-sm text-danger"
                                                    onclick="return confirm('Do you really want to delete template?')">Delete</button>

                                            </div>
                                        </form>
                                        <div class="icon text-center py-4">
                                            <i class="fa   fa-file-picture-o size-xxl text-main"></i>
                                        </div>
                                        <div class="file-name">
                                            <a class="text-dark size-sm"
                                                href="{{ route('compaign.templates.create', $t->externalId) }}">
                                                {{ Str::limit($t->title, 50) }}<br>
                                                <small class="text-muted">{{ $t->created_at }}</small>
                                            </a>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        @endforeach

                    </div>

                    <x-table-data :data="$templates" />


                    <div class="text-right">
                        {{-- {!! $templates->links() !!} --}}
                    </div>

                    <div class="modal fade" id="exampleModalLong" tabindex="-1" role="dialog"
                        aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLong">Create Template</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">

                                    <form action="{{ route('compaign.templates.view') }}" enctype="multipart/form-data"
                                        method="post">
                                        @csrf
                                        <input type="text" required min="2" max="100"
                                            placeholder="Enter Title" name="title" class="form-control">
                                        <span class="text-danger">
                                            @error('title')
                                                {{ $message }}
                                            @enderror
                                        </span>
                                        <div class="text-right mb-2 mt-2">
                                            <input type="submit" name="submit" value="Submit"
                                                class="btn btn-sm size-nm btn-primary">
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>
@endsection

@section('scripts')
    <script>
        $(document).ready(function() {
            $('.view-temp').addClass('active');
            $('.temp').addClass('in');
        });
    </script>
@endsection
