

@extends("layouts.adminmaster")
@section("title") Compaigns @endsection

@section("content")

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                All Compaigns
            </div>
            <div class="card-body">
                <form class="row">
                    <div class="col-md-4">
                        <input type="text" placeholder="Search by Title..."  class="form-control form-control-sm" name="title"
                        value="{{ $filters['title'] ?? '' }}"
                        >
                    </div>
                    <div class="col-md-4">
                        <input type="text" placeholder="Search by ID..." class="form-control form-control-sm" name="id"
                        value="{{ $filters['id'] ?? '' }}">
                    </div>
                    <div class="col-md-4">
                        <button type="submit" class="btn btn-sm btn-secondary">Search</button>
                        <a href="{{ route('compaign.view_all') }}" class="btn btn-sm btn-secondary">Show</a>

                    </div>


            </form>
            <div class="row">
                <div class="col-md-12 text-right">
                    <div class="text-right mb-2">
                        <a href="{{ route('compaign.create') }}" target="_blank" class="btn btn-md btn-primary">Create New Compaign</a>
                    </div>
                </div>
            </div>

                <table class="table">
                    <thead>
                        <tr>
                            <th width="10%">#</th>
                            <th>
                                Compaign
                            </th>

                            <th>Status</th>


                            <th>Created At</th>

                            <th>ACTION</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($compaigns as $compaign)
                        <tr>
                            <th scope="row" width="10%" class="size-nm"><label for="" class="text-muted size-nm"> {{ $compaign['externalid'] }}</label>
</th>
                            <td>
                                {{ $compaign['title'] }}
                                <p class="text-muted size-nm">                                {{ $compaign['short_description'] }}
                                </p>
                            </td>

                            <td>
                                @include("compaign.include.status")
                            </td>

                            <td>{{ $compaign['created_at'] }}</td>
                            <td>
                                <form method="post" action="{{ route('compaign.delete') }}">
                                    @csrf
                                    <input type="hidden" name="compaign_id" value="{{ $compaign->externalid }}">
                                <button id="btnGroupDrop1" type="button" class="btn btn-sm size-nm btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    Action
                                    </button>
                                <div class="dropdown-menu" aria-labelledby="btnGroupDrop1" style="">
                                    <a href="{{ route('compaign.public_profile',$compaign->externalid) }}" class=" dropdown-item btn btn-sm btn-outline-info">Public/Open View</a>

                                <a href="{{ route('compaign.editor',$compaign->externalid) }}" class=" dropdown-item btn btn-sm btn-outline-info">Editor</a>
                                <a href="{{ route('compaign.edit',$compaign->externalid) }}" class=" dropdown-item btn btn-sm btn-outline-info">Edit</a>

                                <a href="{{ route('compaign.recipients',$compaign->externalid) }}" class=" dropdown-item btn btn-sm btn-outline-info">Recipients</a>
                                <a href="{{ route('compaign.share',$compaign->externalid) }}" class=" dropdown-item btn btn-sm btn-outline-warning">Share</a>

                                <a href="{{ route('compaign.profile',$compaign->externalid) }}" class=" dropdown-item btn btn-sm btn-outline-success">Profile</a>
                                <button type="submit" class=" dropdown-item btn btn-sm text-danger" onclick="return confirm('Are You sure to delete compaign?')">Delete</a>

                            </div>
                            </form>
                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
                <x-table-data :data="$compaigns"/>
                <div class="text-right">
                {!! $compaigns->links() !!}
            </div>
            </div>

        </div>
    </div>
</div>

@endsection

@section("scripts")
<script>
           $(document).ready( function() {
  $('.view-comp').addClass('active');
  $('.comp').addClass('in');
} );
</script>
@endsection



