@extends('layouts.adminmaster')
@section('title')
    Import Customers
@endsection

@section('content')

    <div class="row">

        <div class="col-md-12">
            <div class="card">



                <div class="card-header">
                    Import Customers
                </div>
                <div class="card-body">


                        <form action="{{ route('import_customers') }}" enctype="multipart/form-data" method="post">
                            @csrf
                            <input type="file" class="size-nm" name="file1">
                            <input type="submit" class="btn btn-sm btn-primary" name="submit" value="Import">
                            <a href="{{ asset('static/customer_template.csv') }}" class="btn btn-link size-nm text-primary float-right"> <i class="fa-solid fa-download"></i> Download Template</a>
                        </form>
                        <br>





                    <table class="table table-sm table-sm-responsive size-sm">

                            <tr>
                                <th >#Row No</th>
                                <th>Email</th>
                                <th>Message</th>
                                <th>
                                    Status
                                </th>

                            </tr>


                                @foreach ($all_messages as $m)
                                    @if ($m->status == 'fail')
                                        <tr class="bg-danger text-light">
                                        @else
                                        <tr>
                                    @endif
                                    <th scope="row">{{ $m->row_counter }}.</th>
                                    <td>
                                        {{ $m->email }}
                                    </td>
                                    <td>
                                        {{ $m->message }}
                                    </td>
                                    <td>
                                        {{ $m->status }}
                                    </td>

                                    </tr>
                                @endforeach


                    </table>

                </div>

            </div>
        </div>
    </div>

@endsection

@section('scripts')

<script>
    $(document).ready( function() {
  $('.add-user').addClass('active');
  $('.user').addClass('in');
} );
</script>

@endsection
