@extends("layouts.adminmaster")
@section("title") View Customers @endsection
@section("style")
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.min.css">
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/2.3.2/css/buttons.dataTables.min.css">
@endsection
@section("content")

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                View Customers
            </div>
            <div class="card-body">
                <form method="get">
                    {{-- @csrf --}}
                <div class="row clearfix mb-2">
                    <div class="col-md-3">
                        <div class="input-group colorpicker">
                            <input type="text" class="form-control form-control-sm " name="name" value="{{ $filters['name'] ?? '' }}" placeholder="Filter by Name..">

                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="input-group colorpicker">
                            <input type="text" class="form-control form-control-sm" name="email" value="{{ $filters['email'] ?? '' }}" placeholder="Filter by Email..">

                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="">
                            <input type="submit" class="btn btn-xs btn-info" value="FILTER">
                            {{-- <div class="input-group-append">
                                <span class="input-group-text"><span class="input-group-addon"> <i></i> </span></span>
                            </div> --}}
                            <a href="{{ route('view_companies') }}" class=" float-end btn btn-xs btn-success">Show All</a>

                            </div>




                    </div>
                    <div class="col-md-6 pt-2">
                        <div class="tags">
                            <label for="" class="font-weight-bold mb-0">-Choose Tags-</label>
                            <select name="tags[]" class="form-control" multiple >

                                @foreach ($tags as $t)
                                <option value="{{ $t->id }}" {{ ( in_array($t->id,($filters['tags'] ?? []) ) ? 'selected' :''  ) }}>{{ $t->tag }}</option>
                                @endforeach
                            </select>
                        {{-- @foreach ($tags as $t)
                        <label for="" class="mr-2"> <input type="checkbox" value="{{ $t->id }}" name="tags[]"> {{ $t->tag }}</label>
                        @endforeach --}}
                         </div>
                    </div>
                </div>
                </form>
                <div class="text-right mb-2">
                    <a href="{{ route('add_company') }}" class="btn btn-xs btn-primary">Add Customer</a>

                    <a href="{{ route('import_customers') }}" class="btn btn-xs size-nm btn-primary">Import Customer</a>

                </div>


                <table class="table table-sm table-sm-responsive size-sm" id="example">
                    <thead>
                        <tr>
                            <th width="5%" class="size-sm">#</th>
                            <th width="8%" class="size-sm">Photo</th>
                            <th class="size-sm">
                                Name
                            </th>

                            <th class="size-sm">Email
                            </th>
                            <th class="size-sm">Phone</th>
                            <th class="size-sm">Address</th>
                            <th class="size-sm">Postal Code</th>
                            <th class="size-sm">
                                UAN
                            </th>
                            <th class="size-sm">ACTION</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($companies as $m)
                        <tr>
                            <th scope="row" class="size-sm">{{ $loop->iteration }}.</th>
                            <td class="size-sm"><img src="{{ asset($m['photo']) }}" class="img img-fluid logo-nm"></td>

                            <td style="font-size:12px" class="size-sm">
                                {{ $m['name'] }}
                                </td>
                            <td style="font-size:12px" class="size-sm">
                                <label for="" class="text-muted">{{ $m['email'] }}</label>

                            </td>
                            <td style="font-size:12px" class="size-sm">
                                {{ $m['phone'] }}
                            </td>
                            <td style="font-size:12px" class="size-sm">
                                {{ $m['address'] }}
                            </td>
                            <td style="font-size:12px">
                                {{ $m['pincode'] }}
                            </td>
                            <td style="font-size:12px" class="size-sm">
                                {{ $m['uan'] }}
                            </td>
                            <td style="font-size:12px" class="size-sm">
                                <div class="d-flex">
										<a href="{{ route('company_profile',$m->externalid) }}" class="btn btn-primary shadow btn-xs sharp mr-1"><i class="fa fa-info"></i></a>
											<a href="{{ route('edit_company',$m->externalid) }}" class="btn btn-warning shadow btn-xs sharp"><i class="fa fa-pencil"></i></a>
								</div>

                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
                <x-table-data :data="$companies"/>

                <div class="text-right">
                {!! $companies->links() !!}
            </div>
            </div>

        </div>
        <div class="modal fade" id="imp_cust" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Import Customers</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <form action="{{ route('import_customers') }}" enctype="multipart/form-data" method="post">
                        @csrf
                        <input type="file" name="file1" class="form-control">
                        <div class="text-right mb-2">
                            <input type="submit" name="submit" class="btn btn-sm size-nm btn-primary">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
</div>

@endsection


@section('scripts')
{{-- <script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script> --}}
<script type="text/javascript" src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
        <script type="text/javascript" src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
                        <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/dataTables.buttons.min.js"></script>

        <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.3.2/js/buttons.colVis.min.js"></script>

<script>
    $(document).ready( function() {
  $('.view-user').addClass('active');
  $('.user').addClass('in');
  $('#example').dataTable( {
        "bPaginate": false,
          "dom": 'Bfrtip',
        "bFilter": false,
        "bInfo": false,
        "buttons": [
            'colvis'
        ]
                 } );
} );
</script>

@endsection



