@extends("layouts.adminmaster")
@section("title")
{{ Str::upper($role) }} DASHBOARD
@endsection

@section('scripts')
<style>
    .top_widget:hover{
        transform: scale(1.1);
        transition-delay: 3s;
    }
</style>
@endsection

@section("content")

<div class="row">

    <div class="col-xl-3 col-lg-6 col-sm-6">
        <div class="widget-stat card bg-success">
            <div class="card-body p-4">
                <div class="media">
                    <span class="mr-3">
                        <i class="fa fa-ticket"></i>
                    </span>
                    <div class="media-body text-white text-right">
                        <p class="mb-1">Total Tickets</p>
                        <h3 class="text-white">{{ $total_tickets }}</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xl-3 col-lg-6 col-sm-6">
        <div class="widget-stat card bg-danger">
            <div class="card-body p-4">
                <div class="media">
                    <span class="mr-3">
                        <i class="fa fa-ticket"></i>
                    </span>
                    <div class="media-body text-white text-right">
                        <p class="mb-1">ESCALATED Tickets</p>
                        <h3 class="text-white">{{ $total_escalated_tickets }}</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xl-3 col-lg-6 col-sm-6">
        <div class="widget-stat card bg-primary">
            <div class="card-body p-4">
                <div class="media">
                    <span class="mr-3">
                        <i class="fa fa-ticket"></i>
                    </span>
                    <div class="media-body text-white text-right">
                        <p class="mb-1">OPENED Tickets</p>
                        <h3 class="text-white">{{ $total_opened_tickets }}</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xl-3 col-lg-6 col-sm-6">
        <div class="widget-stat card bg-info">
            <div class="card-body p-4">
                <div class="media">
                    <span class="mr-3">
                        <i class="fa fa-ticket"></i>
                    </span>
                    <div class="media-body text-white text-right">
                        <p class="mb-1">CLOSED Tickets</p>
                        <h3 class="text-white">{{ $total_closed_tickets }}</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-xl-3 col-lg-6 col-sm-6">
        <div class="widget-stat card bg-secondary">
            <div class="card-body p-4">
                <div class="media">
                    <span class="mr-3">
                        <i class="fa fa-ticket"></i>
                    </span>
                    <div class="media-body text-white text-right">
                        <p class="mb-1">PENDING Tickets</p>
                        <h3 class="text-white">{{ sizeof($tickets) }}</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xl-3 col-lg-6 col-sm-6">
        <div class="widget-stat card bg-warning">
            <div class="card-body p-4">
                <div class="media">
                    <span class="mr-3">
                        <i class="fa fa-ticket"></i>
                    </span>
                    <div class="media-body text-white text-right">
                        <p class="mb-1">TODAY Tickets</p>
                        <h3 class="text-white">{{ $today_tickets }}</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>

     <div class="col-xl-3 col-lg-6 col-sm-6">
        <div class="widget-stat card bg-success">
            <div class="card-body p-4">
                <div class="media">
                    <span class="mr-3">
                        <i class="fa fa-ticket"></i>
                    </span>
                    <div class="media-body text-white text-right">
                        <p class="mb-1">CURRENT WEEK</p>
                        <h3 class="text-white">{{ $week_tickets }}</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-xl-3 col-lg-6 col-sm-6">
        <div class="widget-stat card bg-info">
            <div class="card-body p-4">
                <div class="media">
                    <span class="mr-3">
                        <i class="fa fa-ticket"></i>
                    </span>
                    <div class="media-body text-white text-right">
                        <p class="mb-1">CURRENT Month</p>
                        <h3 class="text-white">{{ $month_tickets }}</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>



</div>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
          PENDING TICKETS
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-hover table-md table-md-responsive size-sm">

                            <tr>
                                <th>
                                    Sr#
                                </th>
                                <th>Customer</th>
                                <th>Subject</th>

                                <th>Agent</th>
                                <th>ID</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>

                        <tbody>
                            @foreach ($tickets as $t)
                                <tr>
                                    {{-- <td>
                                <img src="{{ asset($t['get_company']['photo']) }}" class="img img-fluid logo-sm">
                            </td> --}}
                                    <td>

                                       {{ $loop->iteration }}.
                                    </td>
                                    <td>
                                        @if ($t->escalation == 'escalated')
                                            <p class="mb-0 text-right">
                                                <label style="font-size: 9px" for=""
                                                    class="badge badge-danger">{{ $t->escalation }}</label>
                                            </p>
                                        @endif
                                        <img src="{{ $t->get_company->photo ?? '' }}" class="rounded-circle avatar"
                                            alt="">
                                        <p class="c_name">{{ $t->get_company->name ?? '' }} <span
                                                class="badge badge-default m-l-10 hidden-sm-down">{{ $t->get_department->name ?? 'General' }}</span>
                                        </p>

                                    </td>


                                    <td class="project-title">
                                        <h6 class="size-nm font-weight-bold mb-0">{{ Str::limit($t->subject, 30) }}</h6>
                                        <small>Created at: {{ $t->created_at }}</small>

                                    </td>
                                    <td>

                                        <ul class="list-unstyled team-info">
                                            <label for=""
                                                class="size-sm mb-0 mt-1">{{ $t['get_agent']['name'] ?? '' }}</label>
                                            <br>
                                            <label for=""
                                                class="text-muted size-sm">{{ $t['get_agent']['email'] ?? '' }}</label>
                                            {{-- <br><li><img src="{{ asset($t->get_manager->photo ?? '') }}" alt="Avatar" title="{{ $t->get_manager->name ?? 'N/A' }}"></li>
                                    <li><img src="{{ asset($t->get_supervisor->photo ?? '') }}" alt="Avatar" title="{{ $t->get_supervisor->name ?? 'N/A' }}"></li>
                                    <li><img src="{{ asset($t->get_agent->photo ?? '') }}" alt="Avatar" title="{{ $t->get_agent->name ?? 'N/A' }}"></li> --}}
                                        </ul>
                                    </td>
                                    <td>
                                        <span for="" class="badge badge-primary">{{ $t->externalid }}</span>

                                    </td>

                                    <td>
                                        <x-ticket-status :ticket="$t"/><br>
                                    </td>
                                    <td class="project-actions">

                                        <button id="btnGroupDrop1" type="button"
                                            class="btn btn-sm size-nm btn-primary dropdown-toggle" data-toggle="dropdown"
                                            aria-haspopup="true" aria-expanded="false">
                                            Action
                                        </button>
                                        <div class="dropdown-menu" aria-labelledby="btnGroupDrop1" style="">
                                            <a href="{{ route('ticket_detail', $t->id) }}" class="dropdown-item size-nm"
                                                href="javascript:void(0);">View</a>
                                            <a href="{{ route('ticket_notes', $t->externalid) }}" class="dropdown-item size-nm"
                                                href="javascript:void(0);">Notes</a>
                                            <a href="{{ route('ticket_notes', [$t->externalid, 'escalation']) }}"
                                                class="size-nm dropdown-item" href="javascript:void(0);">Escalation</a>

                                            {{-- @if ($t->agent_id == session('cms_member_id')) --}}
                                            {{-- <a href="{{ route('ticket_chat', $t->externalid) }}"
                                                class="size-nm dropdown-item">Chat</a> --}}
                                            {{-- @endif --}}
                                            {{-- @if ((session('cms_member_role') == 'manager_12' || session('cms_member_role') == 'supervisor_13') &&
                                                $t->status != 'closed')
                                                <button class="dropdown-item size-nm  pick_ticket_btn" data-toggle="modal"
                                                    data-target="#pick_ticket_modal"
                                                    data-ticket="{{ $t->externalid }}">Pick</button>
                                            @endif --}}
                                        </div>
                                        {{-- <div class="btn-group">


                                <a href="{{ route('ticket_detail',$t->id) }}" class="size-sm btn btn-sm btn-primary">View</a>
                                <a href="{{ route('ticket_notes',$t->externalid) }}" class="size-sm btn btn-sm btn-primary">Notes</a>

                                @if ($t->agent_id == session('cms_member_id'))
                                <a href="{{ route('ticket_chat',$t->externalid) }}" class="size-sm btn btn-sm btn-warning text-dark">Chat</a>
                            </div>
                                @endif --}}
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

@section('scripts')
<script>
    $('.dashboard').addClass('active');
</script>
@endsection
