@extends("layouts.adminmaster")


@section("title")
Add Department
@endsection

@section("content")

<div class="card">
    <div class="card-header">
        Add Department
    </div>

    <div class="card-body">
        <form action="" method="POST">
            @csrf
            <div class="form-group mb-3">
                <label class="text-muted">Department Name:</label>
                <input type="text" name="name" class="form-control"  value="{{ old('name') }}" placeholder="Enter Name...">
                <span class="text-danger">
                    @error('name')
                        {{ $message }}
                    @enderror
                </span>
            </div>

            <div class="form-group mb-3" id="sup_div">
                <label class="text-muted">Choose Supervisor:</label>
                <select name="supervisor"  class="form-control size-sm" style="font-size: 12px">
                    <option value="">--Choose Supervisor--</option>
                    @foreach ($supervisors as $sup)
                    <option {{ (old('supervisor') == $sup->id) ? 'selected' : '' }}  value="{{ $sup->id }}">{{ $sup->name }}</option>
                    @endforeach
                </select>
                <span class="text-danger">
                    @error('supervisor')
                        {{ $message }}
                    @enderror
                </span>
            </div>
            <div class="form-group mb-3">
                <label class="text-muted">Ticket Time (Minutes):</label>
                <input type="number" class="form-control" name="time" value="{{ old('time') }}" placeholder="Enter Time in Minutes...">
                <span class="text-danger">
                    @error('time')
                        {{ $message }}
                    @enderror
                </span>
            </div>

            <div class="form-group mb-3">
                <label class="text-muted">Department Description:</label>
              <textarea name="description" class="form-control" placeholder="Enter Description (if any)...">{{ old('description') }}</textarea>
                <span class="text-danger">
                    @error('description')
                        {{ $message }}
                    @enderror
                </span>
            </div>

                <div class="text-right">
                <button class="btn btn-md btn-primary" type="submit">SUBMIT</button>
            </div>
        </form>
    </div>
</div>


@endsection


@section("scripts")
<script>
     $(document).ready( function() {
  $('.add_dep').addClass('active');
  $('.dep').addClass('in');
} );
</script>
@endsection
