@extends('layouts.adminmaster')


@section('title')
    Department Profile
@endsection

@section('content')
    <div class="row clearfix">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    Department Profile
                </div>


                <div class="card-body">

                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12">
                            <table class="table table-md table-md-responsive table-borderless size-sm" >

                                <tr>
                                    <th width="10%">
                                        Name:
                                    </th>
                                    <td width="30%">
                                        {{ $department->name }}
                                    </td>
                                    <th width="10%">
                                        Supervisor:
                                    </th>
                                    <td width="30%">
                                        {{ isset($department->get_supervisor->name) ? $department->get_supervisor->name : 'N/A' }}
                                    </td>


                                </tr>
                                <tr>
                                    <th >
                                        Created At:
                                    </th>
                                    <td >
                                        {{ $department->created_at }}
                                    </td>
                                    <th >
                                        Description:
                                    </th>
                                    <td >
                                        {{ $department->description }}
                                    </td>
                                    <th >
                                        Created By:
                                    </th>
                                    <td >
                                        {{ isset($department->get_creator->name) ? $department->get_creator->name : 'N/A' }}
                                    </td>


                                </tr>

                                <tr>
                                    <th >
                                        Description:
                                    </th>
                                    <td colspan="4">
                                        {{ $department->description ?? 'N/A' }}
                                    </td>



                                </tr>

                            </table>
                            <h6 class="font-weight-bold size-nm">Members:</h6>

                            <table class="table table-md table-md-responsive table-borderless size-sm">

                                    <tr>
                                        <th width="5%">#</th>
                                        <th width="8%">Photo</th>
                                        <th>
                                            Name
                                        </th>
                                        <th>Phone</th>
                                        <th>Role</th>
                                        <th>Supervisor</th>
                                    </tr>

                                <tbody>
                                    @foreach ($department->get_members as $m)
                                        <tr>
                                            <th scope="row">{{ $loop->iteration }}.</th>
                                            <td><img src="{{ asset($m['photo']) }}" class="img img-fluid logo-nm"></td>
                                            <td>
                                            <a href="{{route('member',$m['external_id'])}}" target="_blank">    {{ $m['name'] }} </a>
                                                <br>
                                                <label for="" class="text-muted">{{ $m['email'] }}</label>
                                            </td>
                                            <td>
                                                {{ $m['phone'] }}
                                            </td>
                                            <td>{{ $m['get_role']['name'] ?? 'N/A' }}</td>
                                            <td>{{ $m['get_supervisor']['name'] ?? 'N/A' }}</td>




                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>

                        </div>

                    </div>
                </div>


            </div>
        </div>
    </div>
@endsection
