@extends("layouts.adminmaster")


@section("title")
Edit Department
@endsection

@section("content")

<div class="card">
    <div class="card-header">
        <div class="card-title">Edit Department</div>
    </div>
    <div class="card-body">
        <form action="" method="POST">
            @csrf
            <div class="form-group mb-2">
                <label class="text-muted">Department Name:</label>
                <input type="text" name="name" class="form-control"  value="{{ (old('name') ?? $dep->name) ?? '' }}" placeholder="Enter Name...">
                <span class="text-danger">
                    @error('name')
                        {{ $message }}
                    @enderror
                </span>
            </div>

            <div class="form-group mb-2" id="sup_div">
                <label class="text-muted">Choose Supervisor:</label>
                <select name="supervisor" id="" class="form-control">
                    <option value="">--Choose Supervisor--</option>
                    @foreach ($supervisors as $sup)
                    <option {{ ((old('supervisor') ?? $dep->supervisor_id) == $sup->id) ? 'selected' : '' }}  value="{{ $sup->id }}">{{ $sup->name }}</option>
                    @endforeach
                </select>
                <span class="text-danger">
                    @error('supervisor')
                        {{ $message }}
                    @enderror
                </span>
            </div>

            <div class="form-group mb-3">
                <label class="text-muted">Ticket Time (Minutes):</label>
                <x-show-time :time="$dep->ticket_time"/>

                <input type="number" class="form-control" name="time" value="{{ old('time') ?? $dep->ticket_time }}" placeholder="Enter Time in Minutes...">
                <span class="text-danger">
                    @error('time')
                        {{ $message }}
                    @enderror
                </span>
            </div>

            <div class="form-group mb-2">
                <label class="text-muted">Department Description:</label>
              <textarea name="description" class="form-control" placeholder="Enter Description (if any)...">{{ (old('description') ?? $dep->description) ?? '' }}</textarea>
                <span class="text-danger">
                    @error('description')
                        {{ $message }}
                    @enderror
                </span>
            </div>

            <div class="text-right">
                <button class="btn btn-md btn-primary" type="submit">SUBMIT</button>
            </div>
        </form>
    </div>
</div>


@endsection


