





@extends("layouts.adminmaster")
@section("title") View Departments @endsection

@section("content")

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                View Departments
            </div>
            <div class="card-body">
                <form method="get">

                    <div class="row clearfix mb-2">
                        <div class="col-md-4 basic-form">
                            <div class="form-group ">
                                <input type="text" class="form-control" name="name" placeholder="Filter by Name..">

                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="">
                                <input type="submit" class="btn btn-xs btn-info" value="FILTER">
                                {{-- <div class="input-group-append">
                                    <span class="input-group-text"><span class="input-group-addon"> <i></i> </span></span>
                                </div> --}}
                                <a href="{{ route('view_departments') }}" class=" float-end btn btn-xs btn-success">Show All</a>
                                <a href="{{ route('add_department') }}" class="btn float-right btn-xs btn-primary">Add Department</a>
                            </div>
                        </div>
                    </div>
                </form>
                <table class="table">
                    <thead>
                        <tr>
                            <th width="5%">#</th>

                            <th>
                                Name
                            </th>
                            <th>Supervisor
                            </th>
                            <th>Added At</th>
                            <th>Total Tickets</th>
                            <th>ACTION</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($departments as $m)
                        <tr>
                            <th scope="row">{{ $loop->iteration }}.</th>


                            <td>
                                {{ $m['name'] }}
                                </td>

                            <td>
                                {{ ($m['get_supervisor']['name'] ?? 'N/A') }}
                            </td>
                            <td>
                                {{ ($m['created_at'] ?? 'N/A') }}
                            </td>
                            <td>
                                <label for="" class="badge bg-info text-light">{{ $m['get_tickets_count'] }} <sup  class="text-dark rounded bg-warning p-1"> {{ $m['get_pending_tickets_count'] }} </sup> </label>

                            </td>
                            <td>
                                {{-- <div class="dropdown ml-auto text-right show">
                                    <div class="btn-link" data-toggle="dropdown" aria-expanded="true">
                                        <svg width="24px" height="24px" viewBox="0 0 24 24" version="1.1"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><rect x="0" y="0" width="24" height="24"></rect><circle fill="#000000" cx="5" cy="12" r="2"></circle><circle fill="#000000" cx="12" cy="12" r="2"></circle><circle fill="#000000" cx="19" cy="12" r="2"></circle></g></svg>
                                    </div>
                                    <div class="dropdown-menu dropdown-menu-right show" x-placement="bottom-end" style="position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(-66px, 25px, 0px);">
                                        <a class="dropdown-item" href="#">Accept Patient</a>
                                        <a class="dropdown-item" href="#">Reject Order</a>
                                        <a class="dropdown-item" href="#">View Details</a>
                                    </div>
                                </div> --}}


                                <form action="{{ route('delete_department') }}" method="POST">
                                    <input type="hidden" name="id" value="{{ $m->id }}">
                                    @csrf
                                    <div class="d-flex">
                                        <a href="{{ route('edit_department',$m['externalid']) }}" class="btn btn-warning shadow btn-xs sharp mr-1"><i class="fa fa-pencil"></i></a>

                                        <a href="{{ route('department_profile',$m->externalid) }}" class="btn btn-primary shadow btn-xs sharp mr-1"><i class="fa fa-info"></i></a>
                                        @if($m->get_tickets_count<=0 && $m->get_members_count<=0)
                                        <button type="submit"  class="btn btn-xs  btn-danger shadow btn-xs sharp" onclick="return confirm('Are you sure?')" ><i class="fa fa-trash"></i></button>
                                        @endif

                                    </div>

                                </form>
                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
                <x-table-data :data="$departments"/>


                <div class="text-right">
                {!! $departments->links() !!}
            </div>
            </div>

        </div>
    </div>
</div>

@endsection

@section("scripts")
<script>
     $(document).ready( function() {
  $('.view_dep').addClass('active');
  $('.my_dep').addClass('active');

  $('.dep').addClass('in');
} );
</script>
@endsection




