@extends('layouts.adminmaster')

@section("title")
Email Accounts
@endsection
@section('content')
    <div class="row">
        <div class="col-md-7">
            <div class="card">
                <div class="card-header">
                    Emails
                </div>
                <div class="card-body">
                    <table class="table">
                        <thead>
                            <tr>
                                <th width="5%">#</th>
                                <th>Email</th>
                                <th>
                                    Password
                                </th>
                                





                                <th>
                                    Action
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($emails as $m)
                                <tr>
                                    <th scope="row">{{ $loop->iteration }}.</th>

                                    <td>
                                        {{ $m['email'] }}
                                    </td>
                                    <td> {{ $m['password'] }}
                                    </td>
                                    <td>
                                        <a href="{{ route('email.edit',[$m->id]) }}" class="btn btn-warning shadow btn-xs sharp"  ><i class="fa fa-pencil"></i></a>

                                    </td>
                                </tr>
                            @endforeach

                        </tbody>
                    </table>
                    <x-table-data :data="$emails" />
                    <div class="text-right">
                        {!! $emails->links() !!}
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-5">
            <div class="card">
                <div class="card-header">
                    Add Email
                </div>
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf
                        <input type="hidden" name="type" value="add">


                    <div class="form-group mt-2">
                        <label for="">Email:</label>
                        <input type="email" required name="email" class="form-control" required maxlength="100"
                            value="{{ old('email') }}">
                        <span class="text-danger">
                            @error('email')
                                {{ $message }}
                            @enderror
                        </span>
                    </div>
                    <div class="form-group mt-2">
                        <label class="mb-0" for="">Password:</label>
                        <p class="text-main font-weight-bold mt-0 size-sm mb-0">The password you get after 2 step verification</p>
                        <input type="text"  name="password" class="form-control" required maxlength="200"
                            value="{{ old('password') }}">
                        <span class="text-danger">
                            @error('password')
                                {{ $message }}
                            @enderror
                        </span>
                    </div>
                    <div class="text-right">
                        <button type="submit" class="btn btn-sm size-nm btn-primary">Add Email</button>
                    </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
@endsection


