@extends("layouts.adminmaster")


@section("title")
Add Manager
@endsection

@section("content")

<div class="card">
    <div class="card-header">
        Add Manager
    </div>
    <div class="card-body">
        <form action="" method="POST">
            @csrf
            <div class="form-group mb-2">
                <label class="text-muted">Name:</label>
                <input type="text" name="name" class="form-control"  value="{{ old('name') }}" placeholder="Enter Name...">
                <span class="text-danger">
                    @error('name')
                        {{ $message }}
                    @enderror
                </span>
            </div>
            <div class="form-group mb-2">
                <label class="text-muted">Email:</label>
                <input type="email" name="email" value="{{ old('email') }}" class="form-control" placeholder="Enter Email...">
                <span class="text-danger">
                    @error('email')
                        {{ $message }}
                    @enderror
                </span>
            </div>
            <div class="form-group mb-2">
                <label class="text-muted">Phone No:</label>
                <input type="number" name="phone" value="{{ old('phone') }}" class="form-control" placeholder="Enter Phone No...">
                <span class="text-danger">
                    @error('phone')
                        {{ $message }}
                    @enderror
                </span>
            </div>


            <div class="form-group mb-2">
                <label class="text-muted">Description:</label>
              <textarea name="description" class="form-control" placeholder="Enter Description (if any)...">{{ old('description') }}</textarea>
                <span class="text-danger">
                    @error('description')
                        {{ $message }}
                    @enderror
                </span>
            </div>




            <div class="text-right">
                <button class="btn btn-md btn-primary" type="submit">SUBMIT</button>
            </div>
        </form>
    </div>
</div>


@endsection


@section("scripts")
<script>
      $(document).ready(function(){
        $('.add-mgr').addClass('active');
        $('.emp').addClass('in');
      });
</script>
@endsection
