@extends('layouts.adminmaster')


@section('title')
    Member Profile
@endsection

@section('content')
    <div class="row clearfix">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                  Member  Profile
                </div>
                <div class="card-body">
                <div class="body">

                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12">
                            <table class="table table-md table-md-responsive table-borderless size-sm" >

                                <tr>
                                    <th width="10%">
                                        Name:
                                    </th>
                                    <th width="30%">
                                        {{ $member->name }}
                                    </th>
                                    <th width="10%">
                                        Email:
                                    </th>
                                    <th width="30%">
                                        {{ $member->email }}
                                    </th>

                                    <th width="10%">
                                        Status:
                                    </th>
                                    <th width="30%">
                                        {{ $member->status }}
                                    </th>

                                </tr>
                                <tr>
                                    <th width="10%">
                                        Phone:
                                    </th>
                                    <th width="30%">
                                        {{ $member->phone }}
                                    </th>
                                    <th width="10%">
                                        Role:
                                    </th>
                                    <th width="30%">
                                        {{ isset($member->get_role->name)?$member->get_role->name:'N/A' }}
                                    </th>
                                    <th width="10%">
                                        Department:
                                    </th>
                                    <th width="40%">
                                        {{ isset($member->get_department->name)?$member->get_department->name:'N/A' }}
                                    </th>
                                </tr>
                                <tr>
                                    <th >
                                        Description:
                                    </th>
                                    <td colspan="4">
                                        {{ $member->description ?? 'N/A' }}
                                    </td>



                                </tr>

                            </table>

                        </div>
                    </div>
                </div>
                <div class="body">
                    @if(isset($member->get_role->name))
                    @if($member->get_role->name=="Manager")
                    Supervisors
                      @elseif($member->get_role->name=="Supervisor")
                    <h6 class="font-weight-bold size-nm">Agents </h6>
                    @endif
                    @endif
                    <table class="table table-md table-md-responsive  size-sm ">

                            <tr>
                                <th width="5%" class="size-sm">#</th>
                                <th width="8%"  class="size-sm">Photo</th>
                                <th  class="size-sm">
                                    Name
                                </th>
                                <th  class="size-sm">Phone</th>
                                <th  class="size-sm">Role</th>

                            </tr>

                        <tbody>
                            @foreach ($member->get_agents as $m)
                                <tr>
                                    <th scope="row">{{ $loop->iteration }}.</th>
                                    <td><img src="{{ asset($m['photo']) }}" class="img img-fluid logo-nm"></td>
                                    <td>
                                        {{ $m['name'] }}<br>
                                        <label for="" class="text-muted">{{ $m['email'] }}</label>
                                    </td>
                                    <td>
                                        {{ $m['phone'] }}
                                    </td>
                                    <td>{{ $m['get_role']['name'] ?? 'N/A' }}</td>





                                </tr>
                            @endforeach

                        </tbody>
                    </table>
                    {{-- <div class="text-right">
                        {!! $members->links() !!}
                    </div> --}}

                </div>
            </div>
            </div>
        </div>
    </div>
@endsection
