





@extends("layouts.adminmaster")
@section("title") My Employees @endsection

@section("content")

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                My Employees
            </div>
            <div class="card-body">
                <div class="text-right mb-2">
                    {{-- <a href="{{ route('admin.create_member') }}" class="btn btn-md bg-main text-light">Add Member</a> --}}
                </div>

                <table class="table">
                    <thead>
                        <tr>
                            <th width="5%">#</th>
                            <th width="8%">Photo</th>
                            <th>
                                Name
                            </th>
                            <th>
                                Phone
                            </th>


                            <th>Role</th>
                            <th>Supervisor</th>

                            <th>ACTION</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($members as $m)
                        <tr>
                            <th scope="row">{{ $loop->iteration }}.</th>
                            <td><img src="{{ asset($m['photo']) }}" class="img img-fluid logo-nm"></td>
                            <td>
                                {{ $m['name'] }}<br>
                                <label for="" class="text-muted">{{ $m['email'] }}</label>
                            </td>
                            <td>
                                {{ $m['phone'] }}
                            </td>
                            <td>{{ $m['get_role']['name'] ?? 'N/A' }}</td>
                            <td>{{ $m['get_supervisor']['name'] ?? 'N/A' }}</td>


                            <td>
                                <a href="{{ route('member',$m->externalid) }}" class="btn btn-primary shadow btn-xs sharp mr-1"><i class="fa fa-info"></i></a>
                            </td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
                <x-table-data :data="$members"/>
                <div class="text-right">
                {!! $members->links() !!}
            </div>
            </div>

        </div>
    </div>
</div>

@endsection

@section("scripts")
<script>
     $(document).ready( function() {
  $('.my-emp').addClass('active');
  $('.emp').addClass('in');
} );
</script>
@endsection



