@extends('layouts.adminmaster')


@section('title')
    My Profile
@endsection

@section('content')
    <div class="row clearfix">
        <div class="col-lg-12">
            <div class="card">

                <div class="card-header">
                    My Profile
                </div>




                <div class="card-body">

                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12">
                            <table class="table table-sm size-sm table-sm-responsive table-borderless" >

                                <tr>
                                    <th width="10%">
                                        Name:
                                    </th>
                                    <th width="30%">
                                        {{ $member->name }}
                                    </th>
                                    <th width="10%">
                                        Email:
                                    </th>
                                    <th width="30%">
                                        {{ $member->email }}
                                    </th>

                                    <th width="10%">
                                        Status:
                                    </th>
                                    <th width="30%">
                                        {{ $member->status }}
                                    </th>

                                </tr>
                                <tr>
                                    <th width="10%">
                                        Phone:
                                    </th>
                                    <th width="30%">
                                        {{ $member->phone }}
                                    </th>
                                    <th width="10%">
                                        Role:
                                    </th>
                                    <th width="30%">
                                        {{ isset($member->get_role->name)?$member->get_role->name:'N/A' }}
                                    </th>
                                    <th width="10%">
                                        Department:
                                    </th>
                                    <th width="40%">
                                        {{ isset($member->get_department->name)?$member->get_department->name:'N/A' }}
                                    </th>
                                </tr>

                            </table>

                        </div>
                    </div><hr>
                    <h6>Reset Password</h6>
                    <form method="post" action="{{ route('reset_my_password') }}">
                        @csrf
                        <div class="form-group">
                            <label>Old Password</label>
                            <input type="password" autocomplete="off"  name="old_pass" class="form-control " placeholder="Current Password">
                            <span class="text-danger">
                                @error("old_pass")
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>

                        <div class="form-group">
                            <input id="password" autocomplete="off" name="new_pass" type="password" placeholder="New Password" class="form-control " data-placement="bottom" data-toggle="popover" data-container="body" type="button" data-html="true">
                            <br>
                            <input type="checkbox" class="size-sm" onclick="myFunction()">
                           <label for="" class="size-sm"> Show Password</label>
                            <span class="text-danger">
                                @error("new_pass")
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>
                        <div class="p-1 text-right">
                            <input type="submit" name="submit" class="btn btn-sm btn-primary">
                        </div>
                    </form>

                    <div class="body">
                        @if(isset($member->get_role->name))
                        @if($member->get_role->name=="Manager")
                        Supervisors
                          @elseif($member->get_role->name=="Supervisor")
                        <h6>Agents </h6>
                        @endif
                        @endif
                        <table class="table">
                            <thead>
                                <tr>
                                    <th width="5%">#</th>
                                    <th width="8%">Photo</th>
                                    <th>
                                        Name
                                    </th>
                                    <th>Phone</th>
                                    <th>Role</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($member->get_agents as $m)
                                    <tr>
                                        <th scope="row">{{ $loop->iteration }}.</th>
                                        <td><img src="{{ asset($m['photo']) }}" class="img img-fluid logo-nm"></td>
                                        <td>
                                            {{ $m['name'] }}<br>
                                            <label for="" class="text-muted">{{ $m['email'] }}</label>
                                        </td>
                                        <td>
                                            {{ $m['phone'] }}
                                        </td>
                                        <td>{{ $m['get_role']['name'] ?? 'N/A' }}</td>





                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                        {{-- <div class="text-right">
                            {!! $members->links() !!}
                        </div> --}}

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script>
         function myFunction() {
  var x = document.getElementById("password");
  if (x.type === "password") {
    x.type = "text";
  } else {
    x.type = "password";
  }
}
    </script>
@endsection
