@extends('layouts.adminmaster')
@section('title')
    View Employees
@endsection

@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    View Employees
                </div>
                <div class="card-body">
                    <form method="get">
                        <div class="row clearfix mb-2">
                            <div class="col-md-3">
                                <div class="input-group colorpicker">
                                    <input type="text" class="form-control form-control-sm" name="name" placeholder="Filter by Name..">

                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="input-group mb-3">
                                    <input type="text" class="form-control form-control-sm" name="id" placeholder="Filter by ID..">
                                </div>

                            </div>
                            <div class="col-md-6">
                                <div class="">
                                    <input type="submit" class="btn btn-xs btn-success" value="FILTER">
                                    {{-- <div class="input-group-append">
                                    <span class="input-group-text"><span class="input-group-addon"> <i></i> </span></span>
                                </div> --}}
                                    <a href="{{ route('view_all_members') }}"
                                        class=" float-end btn btn-xs btn-primary">Show All</a>

                                </div>
                            </div>
                        </div>
                    </form>
                    <div class="text-right mb-2">
                        <a href="{{ route('add_member') }}" class="btn btn-xs btn-info">Add Employee</a>
                    </div>
                    <table class="table">
                        <thead>
                            <tr>
                                <th width="5%">#ID</th>
                                <th width="8%">Photo</th>
                                <th>
                                    Name
                                </th>


                                <th>Role</th>
                                <th>Supervisor</th>
                                <th>Department</th>

                                <th>ACTION</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($members as $m)
                                <tr>
                                    <th scope="row" class="text-muted size-sm">{{ $m->externalid }}</th>
                                    <td><img src="{{ asset($m['photo']) }}" class="img img-fluid logo-nm"></td>
                                    <td>
                                        {{ $m['name'] }}<br>
                                        <label for="" class="text-muted">{{ $m['email'] }}</label>
                                    </td>
                                    
                                    <td>{{ $m['get_role']['name'] ?? 'N/A' }}</td>
                                    <td>{{ $m['get_supervisor']['name'] ?? 'N/A' }}</td>
                                    <td>{{ $m['get_department']['name'] ?? 'N/A' }}</td>


                                    <td>

                                        <div class="d-flex">


                                        <a href="{{ route('member',$m->externalid) }}" class="btn btn-primary shadow btn-xs sharp mr-1"><i class="fa fa-info"></i></a>
                                        <a href="{{ route('edit_member', $m->id) }}" class="btn btn-warning shadow btn-xs sharp "><i class="fa fa-pencil"></i></a>
                                    </div>
                                    </td>
                                </tr>
                            @endforeach

                        </tbody>
                    </table>
                    <x-table-data :data="$members"/>

                    <div class="text-right">
                        {!! $members->links() !!}
                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection

@section("scripts")
<script>
     $(document).ready( function() {
  $('.view-emp').addClass('active');
  $('.emp').addClass('in');
} );
</script>
@endsection
