@extends('layouts.adminmaster')

@section('style')
    <style>
        .noti-row:hover {
            background-color: lightgrey;
            cursor: pointer;
        }

        .noti-btn:hover {
            background-color: skyblue;
            cursor: pointer;

        }

        .ticket-status {
            /* font-weight:bolder; */
            font-weight: 550;
        }
    </style>
@endsection

@section('title')
    Notifications
@endsection
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="modal" id="noti_modal" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Notification Content</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body" id="modal-content">

                        </div>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="card-header">
                    <h6>Notifications</h6>
                </div>
                <div class="card-body">
                    {{ config('app.') }}
                    <table class="table table-sm">
                        @foreach ($notifications as $noti)

                            <tr class="border-bottom ">
                                <td width="4%" class="noti-btn" title="View Detail" onclick="show_noti_modal('{{ $loop->iteration }}')">

                                    <i class="fa fa-bell-o size-lg text-main"></i>
                                </td>
                                <td class="noti-row" onclick="window.location.href='{{ config('app.domain') }}{{ $noti->link }}'">
                                    <h6 class="ticket-status size-nm mb-1 text-main">{{ $noti->subject }} <label
                                            for="" class="float-right size-sm text-muted">
                                            {{ $noti->created_at }}</label> </h6>
                                    <div class="size-nm mt-0 text-muted"> {!! $noti->description !!}</div>
                                </td>
                            </tr>
                        @endforeach
                    </table>

                </div>
            </div>
        </div>
    </div>
@endsection

@section("scripts")
<script>
    function show_noti_modal(id)
    {
        var content = @json($notifications);
        $("#noti_modal").modal('show');
        $("#modal-content").html(content[id-1].description);
    }
</script>
@endsection
