@extends("layouts.adminmaster")


@section("content")

<div class="card">
    <div class="card-header">
        <div class="card-title">
           {{-- {{ $role }} Tickets --}}
           All Tickets
        </div>
    </div>
    <div class="card-body">
        <form action="" class="row mb-2" method="GET">

            <div class="col-md-3">

                <select name="department"  class="form-control form-control-sm ">
                    <option value="">--Choose Department--</option>
                    @foreach ($departments as $dep)
                    @if(isset($filters['department']))
                        <option value="{{ $dep->externalid }}" {{ $filters['department'] == $dep->externalid ? 'selected' : '' }}>
                            {{ $dep->name }} ({{ $dep->get_supervisor->name ?? 'N/A' }})</option>
                            @else
                            <option value="{{ $dep->externalid }}">
                                {{ $dep->name }} ({{ $dep->get_supervisor->name ?? 'N/A' }})</option>
                            @endif
                    @endforeach
                </select>
                <span class="text-danger size-nm">
                    @error('department')
                        {{ $message }}
                    @enderror
                </span>

            </div>
            <div class="col-md-3">
                <select name="customer"  class="form-control form-control-sm ">
                    <option value="">--Choose Customer--</option>
                    @foreach ($customers as $dep)
                    @if(isset($filters['customer']))
                        <option value="{{ $dep->email }}" {{ $filters['customer'] == $dep->email ? 'selected' : '' }}>
                            {{ $dep->name }} ({{ $dep->email }})</option>
                            @else
                            <option value="{{ $dep->email }}">
                                {{ $dep->name }} ({{ $dep->email }})</option>
                            @endif
                    @endforeach
                </select>
                <span class="text-danger size-nm">
                    @error('customer')
                        {{ $message }}
                    @enderror
                </span>
            </div>
            <div class="col-md-2">
                <input type="text" style="height:29px" name="ticket_id" value="{{ isset($filters['ticket_id']) ? $filters['ticket_id'] : '' }}" class="form-control" placeholder="Enter Ticket ID...">
            </div>
            <div class="col-md-2">
                <select name="status"  class="form-control  ">
                    <option value="">--Choose Status--</option>
                    <option value="opened" {{ (($filters['status'] ?? '') == "opened") ? 'selected' : '' }}>Open</option>
                    <option value="closed" {{ (($filters['status'] ?? '') == "closed") ? 'selected' : '' }}>Closed</option>
                    <option value="pending" {{ (($filters['status'] ?? '') == "pending") ? 'selected' : '' }}>Pending</option>
                </select>
                <span class="text-danger size-nm">
                    @error('status')
                        {{ $message }}
                    @enderror
                </span>
            </div>
            <div class="col-md-2">
                <select name="assignment"  class="form-control  ">
                    <option value="">--Choose Assigned/Not Assigned--</option>
                    <option value="assigned" {{ (($filters['assignment'] ?? '') == "assigned") ? 'selected' : '' }}>Assigned</option>
                    <option value="not_assigned" {{ (($filters['assignment'] ?? '') == "not_assigned") ? 'selected' : '' }}>Not Assigned</option>
                </select>
                <span class="text-danger size-nm">
                    @error('assignment')
                        {{ $message }}
                    @enderror
                </span>
            </div>

            <div class="offset-md-11 col-md-1 mt-2">
                <input type="submit" value="Apply" class="btn btn-xs btn-primary">
            </div>
        </form>

        <div class="table-responsive">
            <table class="table table-hover mb-0 c_list">
                <thead class="thead-light">
                    <tr>
                        <th>Company</th>
                        <th>Subject</th>

                        <th>Agent</th>
                        <th>ID</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($tickets as $t)
                    <tr>


                        <td>
                            @if($t->escalation == "escalated")
                            <p class="mb-0 text-right">
                                <label style="font-size: 9px" for="" class="badge badge-danger">{{$t->escalation  }}</label>
                            </p>
                            @endif
                            {{-- <img src="{{ $t->get_company->photo ?? '' }}" class=" img img-fluid rounded-circle " height="50px" width="50px" alt=""> --}}
                            <p class="c_name">{{ $t->get_company->name ?? '' }} <span class="badge badge-default m-l-10 hidden-sm-down">{{ $t->get_department->name ?? 'General' }}</span></p>

                        </td>


                        <td class="project-title">
                            <h6 class="size-nm font-weight-bold mb-0">{{ Str::limit($t->subject,30) }}</h6>
                        <small>Created at: {{ $t->created_at }}</small>

                        </td>
                        <td>

                            <ul class="list-unstyled team-info">
                                <label for="" class="size-sm mb-0 mt-1">{{ $t['get_agent']['name'] ?? '' }}</label>
                                <br>
                                <label for="" class="text-muted size-sm">{{ $t['get_agent']['email'] ?? '' }}</label>
                                {{-- <br><li><img src="{{ asset($t->get_manager->photo ?? '') }}" alt="Avatar" title="{{ $t->get_manager->name ?? 'N/A' }}"></li>
                                <li><img src="{{ asset($t->get_supervisor->photo ?? '') }}" alt="Avatar" title="{{ $t->get_supervisor->name ?? 'N/A' }}"></li>
                                <li><img src="{{ asset($t->get_agent->photo ?? '') }}" alt="Avatar" title="{{ $t->get_agent->name ?? 'N/A' }}"></li> --}}
                            </ul>
                        </td>
                        <td>
                            <span for="" class="badge badge-primary">{{ $t->externalid }}</span>

                        </td>

                        <td>
                            <x-ticket-status :ticket="$t"/>
                        </td>
                        <td class="project-actions">

                            <button id="btnGroupDrop1" type="button" class="btn btn-sm  btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Action
                                </button>
                                <div class="dropdown-menu" aria-labelledby="btnGroupDrop1" style="">
                                    <a href="{{ route('ticket_detail',$t->id) }}" class="dropdown-item size-nm" href="javascript:void(0);">View</a>
                                    <a href="{{ route('ticket_notes',$t->externalid) }}" class="dropdown-item size-nm" href="javascript:void(0);">Notes</a>
                                    <a href="{{ route('ticket_notes',[$t->externalid,'escalation']) }}" class="size-nm dropdown-item" href="javascript:void(0);">Escalation</a>

                                    @if($t->agent_id == session("cms_member_id"))
                                    <a href="{{ route('ticket_chat',$t->externalid) }}" class="size-nm dropdown-item">Chat</a>
                                    @endif
                                </div>

                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
            <x-table-data :data="$tickets"/>


                <div class="text-right">
                {!! $tickets->links() !!}
            </div>
        </div>


    </div>
</div>

@endsection

@section("scripts")
<script>
       $(document).ready( function() {
  $('.all-tickets').addClass('active');
  $('.ticket').addClass('in');
} );
</script>
@endsection

