@extends('layouts.adminmaster')


@section('title')
    Create Ticket For New Customer
@endsection

@section('content')
    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div class="card">
                <div class="card-header">
                    <div class="card-title">Create Ticket For New Customer </div>
                </div>
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf
                       
                        <div class="form-group mb-2">
                            <label class="text-muted">Email:</label>
                            <input type="email" name="email" class="form-control" value="{{ old('email') }}"
                                placeholder="Enter Email...">
                            <span class="text-danger">
                                @error('email')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>

                    
                        <div class="form-group mb-2">
                            <label class="text-muted">Name:</label>
                            <input type="text" name="name" class="form-control" value="{{ old('name') }}"
                                placeholder="Enter Name...">
                            <span class="text-danger">
                                @error('name')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>

                        <div class="form-group mb-2">
                            <label class="text-muted">Phone:</label>
                            <input type="number" name="phone" class="form-control" value="{{ old('phone') }}"
                                placeholder="Enter Phone...">
                            <span class="text-danger">
                                @error('phone')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>

                        
                        <div class="form-group mb-2">
                            <label class="text-muted">Subject:</label>
                            <input type="text" name="subject" class="form-control" value="{{ old('subject') }}"
                                placeholder="Enter subject...">
                            <span class="text-danger">
                                @error('subject')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>
                      
                        <div class="form-group mb-2">
                            <label class="text-muted" id="">Choose Department:</label>
                            <select name="department" id="" class="form-control">
                                <option value="">--Choose Department--</option>
                                @foreach ($dep as $d)
                                    <option {{ old('role') == $d->name ? 'selected' : '' }} value="{{ $d->id }}">
                                        {{ $d->name }}</option>
                                @endforeach
                            </select>
                            <span class="text-danger">
                                @error('department')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>
                       
                        <div class="text-right">
                            <button class="btn btn-md btn-primary" type="submit">Create</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section("script")
<script>
    var check_not = "false";
</script>

@endsection

