@extends('layouts.adminmaster')


@section('title')
Generate Ticket
@endsection

@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <div class="card-title">Generate Ticket</div>
                </div>
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf
                        <div class="form-group mb-2">
                            <label class="text-muted">Subject:</label>
                            <input type="text" name="subject" class="form-control" value="{{ old('subject') }}"
                                placeholder="Enter subject...">
                            <span class="text-danger">
                                @error('subject')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>
                        <div class="form-group mb-2">
                            <label class="text-muted" id="">Choose Customer:</label>
                            <select name="customer" id="" class="form-control">
                                <option value="">--Choose Customer--</option>
                                @foreach ($customers as $c)
                                    <option {{ (old('customer') == $c->name ) ? 'selected' : '' }} value="{{ $c->id }}">
                                        {{ $c->name }} ({{ $c->email }})
                                    </option>
                                @endforeach
                            </select>
                            <span class="text-danger">
                                @error('customer')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>
                        <div class="form-group mb-2">
                            <label class="text-muted" id="">Choose Department:</label>
                            <select name="department" id="" class="form-control">
                                <option value="">--Choose Department--</option>
                                @foreach ($dep as $d)
                                    <option {{ (old('department') == $d->name) ? 'selected' : '' }} value="{{ $d->id }}">
                                        {{ $d->name }}</option>
                                @endforeach
                            </select>
                            <span class="text-danger">
                                @error('department')
                                    {{ $message }}
                                @enderror
                            </span>
                        </div>




                        <div class="text-right">
                            <button class="btn btn-md btn-primary" type="submit">SUBMIT</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script></script>
@endsection
