@extends("layouts.adminmaster")


@section("content")

<div class="card">
    <div class="card-header">
        <div class="card-title">
           My Department Tickets
        </div>
    </div>
    <div class="card-body">
        @if(session("cms_member_role") !="super_admin_11")
        <div class="text-right">
            <label for="" class="text-muted">Ticket Assigned Today:</label> {{ $tickets_count }}
        </div>
    @endif
            <form action="" class="row mb-2" method="GET">


                <div class="col-md-3">
                    <input type="text"  name="ticket_id" value="{{ isset($filters['ticket_id']) ? $filters['ticket_id'] : '' }}" class="form-control form-control-sm" placeholder="Enter Ticket ID...">
                </div>
                <div class="col-md-2">
                    <select name="status"  class="form-control  ">
                        <option value="">--Choose Status--</option>
                        <option value="opened" {{ (($filters['status'] ?? '') == "opened") ? 'selected' : '' }}>Open</option>
                        <option value="closed" {{ (($filters['status'] ?? '') == "closed") ? 'selected' : '' }}>Closed</option>
                        <option value="pending" {{ (($filters['status'] ?? '') == "pending") ? 'selected' : '' }}>Pending</option>
                    </select>
                    <span class="text-danger size-nm">
                        @error('status')
                            {{ $message }}
                        @enderror
                    </span>
                </div>
                <div class="col-md-3">
                    <select name="assignment"  class="form-control  ">
                        <option value="">--Choose Assigned/Not Assigned--</option>
                        <option value="assigned" {{ (($filters['assignment'] ?? '') == "assigned") ? 'selected' : '' }}>Assigned</option>
                        <option value="not_assigned" {{ (($filters['assignment'] ?? '') == "not_assigned") ? 'selected' : '' }}>Not Assigned</option>
                    </select>
                    <span class="text-danger size-nm">
                        @error('assignment')
                            {{ $message }}
                        @enderror
                    </span>
                </div>

                <div class="col-md-3">
                    <input type="submit" value="Apply" class="btn btn-xs btn-primary">
                </div>
            </form>
        <div class="table-responsive">
            <table class="table table-sm table-sm-responsive size-sm">

                    <tr>

                        <th>Company</th>
                        <th>Subject</th>

                        <th>Agent</th>
                        <th>ID</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>


                    @foreach ($tickets as $t)
                    <tr>
                        {{-- <td>
                            <img src="{{ asset($t['get_company']['photo']) }}" class="img img-fluid logo-sm">
                        </td> --}}
                        <td>
                            @if($t->escalation == "escalated")
                            <p class="mb-0 text-right">
                                <label style="font-size: 9px" for="" class="badge badge-danger">{{$t->escalation  }}</label>
                            </p>
                            @endif
                            <img src="{{ $t->get_company->photo ?? '' }}" class="rounded-circle avatar logo-nm" alt="">
                            <p class="c_name">{{ $t->get_company->name ?? '' }}
                                {{-- <span class="badge badge-default m-l-10 hidden-sm-down">{{ $t->get_department->name ?? 'General' }}</span> --}}
                            </p>
                        </td>


                        <td class="project-title">
                            <h6 class="size-nm font-weight-bold mb-0">{{ Str::limit($t->subject,30) }}</h6>
                        <small>Created at: {{ $t->created_at }}</small>
                        </td>
                        <td>

                            <ul class="list-unstyled team-info">
                                <label for="" class="size-sm mb-0 mt-1">{{ $t['get_agent']['name'] ?? '' }}</label>
                                <br>
                                <label for="" class="text-muted size-sm">{{ $t['get_agent']['email'] ?? '' }}</label>
                                 {{-- <br><li><img src="{{ asset($t->get_manager->photo ?? '') }}" alt="Avatar" title="{{ $t->get_manager->name ?? 'N/A' }}"></li>
                                <li><img src="{{ asset($t->get_supervisor->photo ?? '') }}" alt="Avatar" title="{{ $t->get_supervisor->name ?? 'N/A' }}"></li>
                                <li><img src="{{ asset($t->get_agent->photo ?? '') }}" alt="Avatar" title="{{ $t->get_agent->name ?? 'N/A' }}"></li> --}}
                            </ul>
                        </td>
                        <td>
                            <span for="" class="badge badge-primary">{{ $t->externalid }}</span>

                        </td>

                        <td>
                            <x-ticket-status :ticket="$t"/><br>

                        </td>
                        <td >
                            <button id="btnGroupDrop1" type="button" class="btn btn-sm size-nm btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Action
                                </button>
                            <div class="dropdown-menu" aria-labelledby="btnGroupDrop1" style="">
                                <a href="{{ route('ticket_detail',$t->id) }}" class="dropdown-item size-nm" href="javascript:void(0);">View</a>
                                <a href="{{ route('ticket_notes',$t->externalid) }}" class="dropdown-item size-nm" href="javascript:void(0);">Notes</a>
                                <a href="{{ route('ticket_notes',[$t->externalid,'escalation']) }}" class="size-nm dropdown-item" href="javascript:void(0);">Escalation</a>


                                <a href="{{ route('ticket_chat',$t->externalid) }}" class="size-nm dropdown-item">Chat</a>
                                @if($t->agent_id == "")
                                    <button class="dropdown-item size-nm  pick_ticket_btn" data-toggle="modal" data-target="#pick_ticket_modal" data-ticket="{{ $t->externalid }}">Pick</button>
                                @endif
                            </div>
                            {{-- <div class="btn-group">


                            <a href="{{ route('ticket_detail',$t->id) }}" class="size-sm btn btn-sm btn-primary">View</a>
                            @if($t->agent_id == session("cms_member_id"))
                            <a href="{{ route('ticket_chat',$t->externalid) }}" class="size-sm btn btn-sm btn-warning text-dark">Chat</a>
                            @endif
                            @if($t->agent_id == "")
                            <button class="size-sm btn btn-sm btn-primary  pick_ticket_btn" data-toggle="modal" data-target="#pick_ticket_modal" data-ticket="{{ $t->externalid }}">Pick</button>
                                @endif
                        </div> --}}


                        </td>
                    </tr>
                    @endforeach

            </table>
            <x-table-data :data="$tickets"/>


                <div class="text-right">
                {!! $tickets->links() !!}
            </div>
        </div>
        <div class="modal fade" id="pick_ticket_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Pick Up Ticket</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">

                    <form action="{{ route('pick_ticket') }}" method="POST">
                    @csrf
                    <input type="hidden" name="ticket_id" id="ticket_id_inp">
                    <h6>Are you really want to pick up the ticket <span id="ticket_id_span" class="font-weight-bold"></span> ?  </h6>
                    <div class="text-right">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                  <button type="submit" class="btn btn-primary">Yes</button>
                </div>
                </form>
                </div>
              </div>
            </div>
          </div>
    </div>
</div>

@endsection

@section("scripts")
<script>
     $(document).ready( function() {
    $('.my-dep-tickets').addClass('active');
    $('.ticket').addClass('in');
} );
    $(".pick_ticket_btn").click(function(){
        $("#ticket_id_inp").val($(this).attr("data-ticket"));
        $("#ticket_id_span").text($(this).attr("data-ticket"));

        $("#pick_ticket_modal").modal("show");
    });
</script>

@endsection

