@extends("layouts.adminmaster")


@section("content")
@section("style")
<style>
    .row .col-md-2, .row .col-md-10{
        font-size: 12px;
    }
</style>
@endsection
<div class="card">
    <div class="card-header">
        <div class="card-title">
            Update Ticket
        </div>
    </div>
    <div class="card-body">
        {{-- <h2>Multiple Columns</h2> --}}
{{-- <input class="form-control" id="demo-2" value="jQuery" /> --}}


        <form action="{{ route('submit_ticket_detail') }}" method="POST">
            @csrf
            <input type="hidden" name="ticket_id" value="{{ $ticket->externalid }}">

        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Ticket Id:
            </div>
            <div class="col-md-10 p-2">
                {{ $ticket->externalid }}
            </div>
        </div>
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Ticket Subject:
            </div>
            <div class="col-md-10 p-2">
                {{ $ticket->subject }}
            </div>
        </div>
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Customer:
            </div>
            <div class="col-md-10 p-2">
                <table class="table table-borderless mb-0">
                    <tr>
                        {{-- <td class="p-0" width="5%"><img src="{{ asset($ticket['get_company']['photo']) }}" class="img img-fluid logo-nm"></td> --}}
                        <td class="p-0">
                            {{ $ticket['get_company']['name'] ?? '' }}<br>
                            <label for="" class="text-muted">{{ $ticket['get_company']['email'] ?? '' }}</label>
                            {{-- <label for="" class="badge bg-info text-light " style="border:1px dashed white ">{{ $t->externalid }}</label> --}}
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Department:
            </div>
            <div class="col-md-10 p-2">
                <label for="" class="badge alert-secondary"> {{ $ticket->get_department->name ?? 'General' }}</label>
            </div>

        </div>

        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Status:
            </div>
            <div class="col-md-10 p-2">
                <x-ticket-status :ticket="$ticket"/>
            </div>
        </div>
        @if($ticket->status == "opened" || $ticket->status == "closed")
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Opened By:
            </div>
            <div class="col-md-10 p-2">
                {{ $ticket->get_opener->name ?? 'N/A' }} <br>
                <label for="" class="text-muted">{{ $ticket->get_opener->email ?? 'N/A' }}</label><br>
                <label for="" class="">Opened At: {{ $ticket->opened_at }}</label>
            </div>
        </div>
        @endif

        @if($ticket->status == "closed")
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Closed By:
            </div>
            <div class="col-md-10 p-2">
                {{ $ticket->get_closer->name ?? 'N/A' }} <br>
                <label for="" class="text-muted">{{ $ticket->get_closer->email ?? 'N/A' }}</label><br>
                <label for="" class="">Closed At: {{ $ticket->closed_at }}</label>
            </div>
        </div>
        @endif
        {{-- <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Internal Status:
            </div>
            <div class="col-md-10 p-2">
                <label for="" class="badge alert-info">{{ $ticket->internal_status ?? 'N/A' }}
                </label>
            </div>
        </div> --}}
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Generated Through:
            </div>
            <div class="col-md-10 p-2">
                <label for="" class="badge alert-info font-weight-bold ml-0">{{ $ticket->source }}
                </label>
                @if($ticket->source == "organization")
                <table class="table table-borderless mb-0">
                    <tr>
                        {{-- <td class="p-0" width="20%"><img src="{{ asset($ticket['get_supervisor']['photo'] ?? '') }}" class="img img-fluid logo-nm"></td> --}}
                        <td class="p-0">
                            {{ $ticket['get_generater']['name'] ?? 'N/A' }}<br>
                            <label for="" class="text-muted">{{ $ticket['get_generater']['email'] ?? 'N/A' }}</label>
                        </td>
                    </tr>
                </table>
                @endif
            </div>
        </div>
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Created At:
            </div>
            <div class="col-md-10 p-2">
                <label for="" class=" ">{{ $ticket->created_at }}
                </label>
            </div>
        </div>
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Tentative Close Time:
            </div>
            <div class="col-md-10 p-2">
                <label for="" class=" ">{{ $ticket->expire_at }}
                </label>
            </div>
        </div>


        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Manager:
            </div>
            <div class="col-md-10 p-2">
                @if(session("cms_member_role") == "super_admin_11" && $ticket->status!="closed")
                <select name="manager" class="form-control myselect" >
                    <option value="">--Choose Manager--</option>
                    @foreach ($managers as $man)
                    <option value="{{ $man->id }}" {{ ((old('manager') ?? $ticket->manager_id) == $man->id) ? 'selected' : '' }}>{{ $man->name }} ({{ $man->email }})</option>
                    @endforeach

                </select>
                <span class="text-danger size-nm">
                    @error("manager")
                        {{ $message }}
                    @enderror
                </span><br>
                @else
                <table class="table table-borderless mb-0">
                    <tr>
                        {{-- <td class="p-0" width="20%"><img src="{{ asset($ticket['get_manager']['photo'] ?? '') }}" class="img img-fluid logo-nm"></td> --}}
                        <td class="p-0">
                            {{ $ticket['get_manager']['name'] ?? 'N/A' }}<br>
                            <label for="" class="text-muted">{{ $ticket['get_manager']['email'] ?? 'N/A' }}</label>
                            {{-- <label for="" class="badge bg-info text-light " style="border:1px dashed white ">{{ $t->externalid }}</label> --}}
                        </td>
                    </tr>
                </table>@endif
                @if($ticket['manager_id'] !="")
                <p for="" class="mb-0">Assigned at: {{ $ticket->manager_assigned_at }}</p>
                @endif
            </div>
        </div>

        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Supervisor:
            </div>
            <div class="col-md-10 p-2">
                <table class="table table-borderless mb-0">
                    <tr>
                        {{-- <td class="p-0" width="20%"><img src="{{ asset($ticket['get_supervisor']['photo'] ?? '') }}" class="img img-fluid logo-nm"></td> --}}
                        <td class="p-0">
                            {{ $ticket['get_supervisor']['name'] ?? 'N/A' }}<br>
                            <label for="" class="text-muted">{{ $ticket['get_supervisor']['email'] ?? 'N/A' }}</label>
                            {{-- <label for="" class="badge bg-info text-light " style="border:1px dashed white ">{{ $t->externalid }}</label> --}}
                        </td>
                    </tr>
                </table>
                @if($ticket['supervisor_id'] !="")
                <p for="" class="mb-0">Assigned at: {{ $ticket->supervisor_assigned_at }}</p>
                @endif
            </div>
        </div>

        @if((session("cms_member_role") == "manager_12" || session("cms_member_role") == "supervisor_13" || session("cms_member_role") == "super_admin_11" )  && $ticket->status!="closed")
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Department:
            </div>
            {{-- @php die();@endphp --}}

            <div class="col-md-10 p-2">
                <select name="department" class="form-control myselect  w-100" >
                    <option value="">--Choose Department--</option>
                    @foreach ($departments as $sup)
                    <option value="{{ $sup->id }}" {{ ((old('department') ?? $ticket->department_id) == $sup->id) ? 'selected' : '' }}>{{ $sup->name }} ({{ $sup->get_supervisor->name ?? 'N/A' }})</option>
                    @endforeach
                </select>
                @if($ticket['department_id'] !="")
                <p for="" class="mb-0">Assigned at: {{ $ticket->supervisor_assigned_at }}</p>
                @endif
                <span class="text-danger size-nm">
                    @error("department")
                        {{ $message }}
                    @enderror
                </span>
                <textarea class="form-control mt-2" name="department_note" placeholder="Enter Note if any..."></textarea>
                <span class="text-danger size-nm">
                    @error("department_note")
                        {{ $message }}
                    @enderror
                </span>

            </div>
        </div>
        @endif
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Agent:
            </div>
            <div class="col-md-10 p-2">
                @if(session("cms_member_role") == "supervisor_13" && $ticket->status!="closed")
                <select name="agent" class="myselect form-control  w-100">
                    <option value="">--Choose Agent--</option>
                    @foreach ($agents as $sup)
                    <option value="{{ $sup->id }}" {{ ((old('agent') ?? $ticket->agent_id) == $sup->id) ? 'selected' : '' }}>{{ $sup->name }} ({{ $sup->email }}) | Tickets Today: {{ $sup->get_agent_today_tickets_count }}</option>
                    @endforeach

                </select>
                <span class="text-danger size-nm">
                    @error("agent")
                        {{ $message }}
                    @enderror
                </span>
                @else
                <table class="table table-borderless mb-0">
                    <tr>
                        {{-- <td class="p-0" width="20%"><img src="{{ asset($ticket['get_agent']['photo'] ?? '') }}" class="img img-fluid logo-nm"></td> --}}
                        <td class="p-0">
                            {{ $ticket['get_agent']['name'] ?? 'N/A' }}<br>
                            <label for="" class="text-muted">{{ $ticket['get_agent']['email'] ?? 'N/A' }}</label>
                            {{-- <label for="" class="badge bg-info text-light " style="border:1px dashed white ">{{ $t->externalid }}</label> --}}
                        </td>
                    </tr>
                </table>
                @endif
                @if($ticket['agent_id'] !="")
                <p for="" class="mb-0">Assigned at: {{ $ticket->agent_assigned_at }}</p>
                @endif
            </div>
        </div>

        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Resolution Time  (Minutes):
            </div>
            <div class="col-md-10 p-2">
                <x-show-time :time="$ticket->time"/>
                    {{-- @if((session("cms_member_role") == "super_admin_11" || session("cms_member_role") == "manager_12" || session("cms_member_role") == "supervisor_13") && $ticket->status!="closed" ) --}}
                   <input type="number" value="{{ $ticket->time ?? '1440' }}" class="form-control" name="time" placeholder="Enter Time..">

                   <span class="text-danger">
                    @error("time")
                    {{ $message }}
                    @enderror
                   </span>
                   {{-- @else
                   {{ $ticket->time }} Min
                @endif --}}
            </div>
        </div>
        <div class="row border-bottom mb-2">
            <div class="col-md-2 p-2 font-weight-bold">
                Time Set By:
            </div>
            <div class="col-md-10 p-2">
                    {{ $ticket->get_time_setter->name ?? 'Auto' }}<br>
                  <label for="" class="text-muted"> {{ $ticket->get_time_setter->email ?? '' }}</label>
                  @if($ticket->time_set_by!="")
                  <p for="" class="mb-0">Set at: {{ $ticket->time_set_at }}</p>
                  @endif

            </div>
        </div>
        @if($ticket->status == "closed")

        @else
        <div class="row border-bottom mb-2">
            <div class="col-md-12 p-2 text-right">
                <button class="btn btn-md size-nm btn-primary">UPDATE TICKET</button>
            </div>
        </div>
        @endif
    </form>
    </div>
</div>

@endsection


@section("scripts")
<script>

// $('#demo-2').inputpicker({
//     data:[
//         {value:"1",text:"jQuery", description: "This is the description of the text 1."},
//         {value:"2",text:"Script", description: "This is the description of the text 2."},
//         {value:"3",text:"Net", description: "This is the description of the text 3."}
//     ],
//     fields:[
//         {name:'value',text:'Id'},
//         {name:'text',text:'Title'},
//         {name:'description',text:'Description'}
//     ],
//     headShow: true,
//     fieldText : 'text',
//     fieldValue: 'value',
//     filterOpen: true
//     });
// </script>

@endsection
