@extends("layouts.adminmaster")

@section("title") Ticket Notes @endsection
@section("content")
{{-- notes --}}
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                Ticket Actions/Notes
            </div>
            <div class="card-body">
                <form method="POST" action="">
                    <div class="text-right">
                        <label class="badge badge-info font-weight-bold">Ticket# {{ $ticket->externalid }}</label>
                        <x-ticket-status :ticket="$ticket"/><br>

                    </div>
                    @csrf
                    <div class="form-group">
                        @if($action == "escalation")
                        <label for="" class="form-label">Choose Escalation: {{ $ticket->escalation }}</label>

                        <select name="escalation" id="" class="form-control">
                            <option value="non_escalated" {{ ((old('escalation') ?? $ticket->escalation) == 'non_escalated') ? 'selected' : ''}}>De Escalate</option>
                            <option value="escalated" {{ ((old('escalation') ?? $ticket->escalation) == 'escalated') ? 'selected' : '' }}>Escalate</option>
                        </select>
                        <span class="text-danger">
                            @error("escalation")
                            {{ $message }}
                            @enderror
                        </span>
                        @endif
                    </div>
                    <div class="form-group">
                        <label for="" class="form-label">Add Description/Notes:</label>
                        <textarea name="description" class="form-control" placeholder="Enter Description..."></textarea>
                    <span class="text-danger">
                        @error("description")
                        {{ $message }}
                        @enderror
                    </span>
                    </div>
                    <div class="text-right mt-2">
                        <button class="btn btn-md btn-primary">Submit</button>
                    </div>
                </form>
                @foreach ($ticket->get_notes as $note)

                    <div class="border mb-2 p-2" style="border-radius: 8px 8px">
                        <h6 class="size-nm font-weight-bold">:{{ $note->get_adder->name ?? 'N/A'  }} ({{ $note->get_adder->get_role->name ?? 'N/A' }})
                            <label for="" class="float-right text-muted">{{ $note->created_at }}</label>
                        </h6>
                        <hr>
                        @if($note->status=="escalated")
                        <label for="" class="badge badge-danger">{{ $note->status }}</label><br>
                        @elseif($note->status=="non_escalated")
                        <label for="" class="badge badge-success">{{ $note->status }}</label><br>
                        @endif
                        @if($note->subject!="")
                        <label for="" class="form-label size-sm">{{ $note->subject }}</label><br>
                        @endif
                     <div class="div size-sm"> {{ $note->description }}</div>
                    </div>

                @endforeach
            </div>
        </div>

    </div>
</div>


@endsection
