@extends("layouts.usermaster")

@section("title") Profile @endsection
@section('style')


@endsection
@section("content")
<div class="row">
    <div class="col-lg-12">
        <div class="profile card card-body px-3 pt-3 pb-0">
            <div class="profile-head">
                <div class="photo-content">
                    <div class="cover-photo"></div>
                </div>
                <div class="profile-info">
                    <div class="profile-photo">
                        <img src="images/profile/profile.png" class="img-fluid rounded-circle" alt="">
                    </div>
                    <div class="profile-details">
                        <div class="profile-name px-3 pt-2">
                            <h4 class="m-b-0"><strong>{{ $company->name }}</strong> </h4>
                          <p>{{ $company->province }}, {{ $company->country }}.</p>
                        </div>
                        <div class="profile-email px-2 pt-2">
                            <h4 class="text-muted mb-0"> {{ $company->email }}</h4>
                            <p>Email</p>
                        </div>
                        <div class="dropdown ml-auto">
                            <a href="#" class="btn btn-primary light sharp" data-toggle="dropdown" aria-expanded="true"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="18px" height="18px" viewBox="0 0 24 24" version="1.1"><g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><rect x="0" y="0" width="24" height="24"></rect><circle fill="#000000" cx="5" cy="12" r="2"></circle><circle fill="#000000" cx="12" cy="12" r="2"></circle><circle fill="#000000" cx="19" cy="12" r="2"></circle></g></svg></a>
                            <ul class="dropdown-menu dropdown-menu-right">
                                <li class="dropdown-item"><i class="fa fa-user-circle text-primary mr-2"></i> View profile</li>
                                <li class="dropdown-item"><i class="fa fa-users text-primary mr-2"></i> Add to close friends</li>
                                <li class="dropdown-item"><i class="fa fa-plus text-primary mr-2"></i> Add to group</li>
                                <li class="dropdown-item"><i class="fa fa-ban text-primary mr-2"></i> Block</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-xl-4">
        <div class="card">
            <div class="card-body">
                <div class="profile-statistics mb-5">
                    <div class="text-center">
                        <div class="row">
                            <div class="col">
                                <h3 class="m-b-0">150</h3><span>Tickets</span>
                            </div>
                            <div class="col">
                                <h3 class="m-b-0">140</h3><span>Close Tickets</span>
                            </div>
                            <div class="col">
                                <h3 class="m-b-0">45</h3><span>Reviews</span>
                            </div>
                        </div>
                        <div class="mt-4">
                            <a href="javascript:void()" class="btn btn-primary mb-1 mr-1">Follow</a>
                            <a href="javascript:void()" class="btn btn-primary mb-1" data-toggle="modal" data-target="#sendMessageModal">Send Message</a>
                        </div>
                    </div>
                    <!-- Modal -->
                    <div class="modal fade" id="sendMessageModal">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Send Message</h5>
                                    <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                                </div>
                                <div class="modal-body">
                                    <form class="comment-form">
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label class="text-black font-w600">Name <span class="required">*</span></label>
                                                    <input type="text" class="form-control" value="Author" name="Author" placeholder="Author">
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label class="text-black font-w600">Email <span class="required">*</span></label>
                                                    <input type="text" class="form-control" value="Email" placeholder="Email" name="Email">
                                                </div>
                                            </div>
                                            <div class="col-lg-12">
                                                <div class="form-group">
                                                    <label class="text-black font-w600">Comment</label>
                                                    <textarea rows="8" class="form-control" name="comment" placeholder="Comment"></textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-12">
                                                <div class="form-group mb-0">
                                                    <input type="submit" value="Post Comment" class="submit btn btn-primary" name="submit">
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="profile-blog mb-5">
                    <h5 class="text-primary d-inline">Today Highlights</h5><a href="javascript:void()" class="pull-right f-s-16">More</a>
                    <img src="images/profile/1.jpg" alt="" class="img-fluid mt-4 mb-4 w-100">
                    <h4><a href="post-details.html" class="text-black">Darwin Creative Agency Theme</a></h4>
                    <p class="mb-0">A small river named Duden flows by their place and supplies it with the necessary regelialia. It is a paradisematic country, in which roasted parts of sentences fly into your mouth.</p>
                </div>
                <div class="profile-interest mb-5">
                    <h5 class="text-primary d-inline">Interest</h5>
                    <div class="row mt-4 sp4" id="lightgallery">
                        <a href="images/profile/2.jpg" data-exthumbimage="images/profile/2.jpg" data-src="images/profile/2.jpg" class="mb-1 col-lg-4 col-xl-4 col-sm-4 col-6">
                            <img src="images/profile/2.jpg" alt="" class="img-fluid">
                        </a>
                        <a href="images/profile/3.jpg" data-exthumbimage="images/profile/3.jpg" data-src="images/profile/3.jpg" class="mb-1 col-lg-4 col-xl-4 col-sm-4 col-6">
                            <img src="images/profile/3.jpg" alt="" class="img-fluid">
                        </a>
                        <a href="images/profile/4.jpg" data-exthumbimage="images/profile/4.jpg" data-src="images/profile/4.jpg" class="mb-1 col-lg-4 col-xl-4 col-sm-4 col-6">
                            <img src="images/profile/4.jpg" alt="" class="img-fluid">
                        </a>
                        <a href="images/profile/3.jpg" data-exthumbimage="images/profile/3.jpg" data-src="images/profile/3.jpg" class="mb-1 col-lg-4 col-xl-4 col-sm-4 col-6">
                            <img src="images/profile/3.jpg" alt="" class="img-fluid">
                        </a>
                        <a href="images/profile/4.jpg" data-exthumbimage="images/profile/4.jpg" data-src="images/profile/4.jpg" class="mb-1 col-lg-4 col-xl-4 col-sm-4 col-6">
                            <img src="images/profile/4.jpg" alt="" class="img-fluid">
                        </a>
                        <a href="images/profile/2.jpg" data-exthumbimage="images/profile/2.jpg" data-src="images/profile/2.jpg" class="mb-1 col-lg-4 col-xl-4 col-sm-4 col-6">
                            <img src="images/profile/2.jpg" alt="" class="img-fluid">
                        </a>
                    </div>
                </div>
                <div class="profile-news">
                    <h5 class="text-primary d-inline">Our Latest News</h5>
                    <div class="media pt-3 pb-3">
                        <img src="images/profile/5.jpg" alt="image" class="mr-3 rounded" width="75">
                        <div class="media-body">
                            <h5 class="m-b-5"><a href="post-details.html" class="text-black">Collection of textile samples</a></h5>
                            <p class="mb-0">I shared this on my fb wall a few months back, and I thought.</p>
                        </div>
                    </div>
                    <div class="media pt-3 pb-3">
                        <img src="images/profile/6.jpg" alt="image" class="mr-3 rounded" width="75">
                        <div class="media-body">
                            <h5 class="m-b-5"><a href="post-details.html" class="text-black">Collection of textile samples</a></h5>
                            <p class="mb-0">I shared this on my fb wall a few months back, and I thought.</p>
                        </div>
                    </div>
                    <div class="media pt-3 pb-3">
                        <img src="images/profile/7.jpg" alt="image" class="mr-3 rounded" width="75">
                        <div class="media-body">
                            <h5 class="m-b-5"><a href="post-details.html" class="text-black">Collection of textile samples</a></h5>
                            <p class="mb-0">I shared this on my fb wall a few months back, and I thought.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xl-8">
        <div class="card">
            <div class="card-body">
                <div class="profile-tab">
                    <div class="custom-tab-1">
                        <ul class="nav nav-tabs">
                            <li class="nav-item"><a href="#my-posts" data-toggle="tab" class="nav-link active show">Posts</a>
                            </li>
                            <li class="nav-item"><a href="#about-me" data-toggle="tab" class="nav-link">About Me</a>
                            <li class="nav-item"><a href="#profile-settings" data-toggle="tab" class="nav-link">Setting</a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div id="my-posts" class="tab-pane fade active show">
                                <div class="my-post-content pt-3">
                                    <div class="post-input">
                                        <textarea name="textarea" id="textarea" cols="30" rows="5" class="form-control bg-transparent" placeholder="Please type what you want...."></textarea>
                                        <a href="javascript:void()" class="btn btn-primary light px-3"><i class="fa fa-link"></i> </a>
                                        <a href="javascript:void()" class="btn btn-primary light mr-1 px-3"><i class="fa fa-camera"></i> </a><a href="javascript:void()" class="btn btn-primary">Post</a>
                                    </div>
                                    <div class="profile-uoloaded-post border-bottom-1 pb-5">
                                        <img src="images/profile/8.jpg" alt="" class="img-fluid">
                                        <a class="post-title" href="post-details.html"><h3 class="text-black">Collection of textile samples lay spread</h3></a>
                                        <p>A wonderful serenity has take possession of my entire soul like these sweet morning of spare which enjoy whole heart.A wonderful serenity has take possession of my entire soul like these sweet morning
                                            of spare which enjoy whole heart.</p>
                                        <button class="btn btn-primary mr-2"><span class="mr-2"><i
                                                    class="fa fa-heart"></i></span>Like</button>
                                        <button class="btn btn-secondary"  data-toggle="modal" data-target="#replyModal"><span class="mr-2"><i
                                                    class="fa fa-reply"></i></span>Reply</button>
                                    </div>
                                    <div class="profile-uoloaded-post border-bottom-1 pb-5">
                                        <img src="images/profile/9.jpg" alt="" class="img-fluid">
                                        <a class="post-title" href="post-details.html"><h3 class="text-black">Collection of textile samples lay spread</h3></a>
                                        <p>A wonderful serenity has take possession of my entire soul like these sweet morning of spare which enjoy whole heart.A wonderful serenity has take possession of my entire soul like these sweet morning
                                            of spare which enjoy whole heart.</p>
                                        <button class="btn btn-primary mr-2"><span class="mr-2"><i
                                                    class="fa fa-heart"></i></span>Like</button>
                                        <button class="btn btn-secondary"  data-toggle="modal" data-target="#replyModal"><span class="mr-2"><i
                                                    class="fa fa-reply"></i></span>Reply</button>
                                    </div>
                                    <div class="profile-uoloaded-post pb-3">
                                        <img src="images/profile/8.jpg" alt="" class="img-fluid">
                                        <a class="post-title" href="post-details.html"><h3 class="text-black">Collection of textile samples lay spread</h3></a>
                                        <p>A wonderful serenity has take possession of my entire soul like these sweet morning of spare which enjoy whole heart.A wonderful serenity has take possession of my entire soul like these sweet morning
                                            of spare which enjoy whole heart.</p>
                                        <button class="btn btn-primary mr-2"><span class="mr-2"><i
                                                    class="fa fa-heart"></i></span>Like</button>
                                        <button class="btn btn-secondary"  data-toggle="modal" data-target="#replyModal"><span class="mr-2"><i
                                                    class="fa fa-reply"></i></span>Reply</button>
                                    </div>
                                </div>
                            </div>
                            <div id="about-me" class="tab-pane fade">
                                <div class="profile-about-me">
                                    <div class="pt-4 border-bottom-1 pb-3">
                                        <h4 class="text-primary">About Me</h4>
                                        <p class="mb-2">A wonderful serenity has taken possession of my entire soul, like these sweet mornings of spring which I enjoy with my whole heart. I am alone, and feel the charm of existence was created for the bliss of souls like mine.I am so happy, my dear friend, so absorbed in the exquisite sense of mere tranquil existence, that I neglect my talents.</p>
                                        <p>A collection of textile samples lay spread out on the table - Samsa was a travelling salesman - and above it there hung a picture that he had recently cut out of an illustrated magazine and housed in a nice, gilded frame.</p>
                                    </div>
                                </div>
                                <div class="profile-skills mb-5">
                                    <h4 class="text-primary mb-2">Skills</h4>
                                    <a href="javascript:void()" class="btn btn-primary light btn-xs mb-1">Admin</a>
                                    <a href="javascript:void()" class="btn btn-primary light btn-xs mb-1">Dashboard</a>
                                    <a href="javascript:void()" class="btn btn-primary light btn-xs mb-1">Photoshop</a>
                                    <a href="javascript:void()" class="btn btn-primary light btn-xs mb-1">Bootstrap</a>
                                    <a href="javascript:void()" class="btn btn-primary light btn-xs mb-1">Responsive</a>
                                    <a href="javascript:void()" class="btn btn-primary light btn-xs mb-1">Crypto</a>
                                </div>
                                <div class="profile-lang  mb-5">
                                    <h4 class="text-primary mb-2">Language</h4>
                                    <a href="javascript:void()" class="text-muted pr-3 f-s-16"><i class="flag-icon flag-icon-us"></i> English</a>
                                    <a href="javascript:void()" class="text-muted pr-3 f-s-16"><i class="flag-icon flag-icon-fr"></i> French</a>
                                    <a href="javascript:void()" class="text-muted pr-3 f-s-16"><i class="flag-icon flag-icon-bd"></i> Bangla</a>
                                </div>
                                <div class="profile-personal-info">
                                    <h4 class="text-primary mb-4">Personal Information</h4>
                                    <div class="row mb-2">
                                        <div class="col-sm-3 col-5">
                                            <h5 class="f-w-500">Name <span class="pull-right">:</span>
                                            </h5>
                                        </div>
                                        <div class="col-sm-9 col-7"><span>Mitchell C.Shay</span>
                                        </div>
                                    </div>
                                    <div class="row mb-2">
                                        <div class="col-sm-3 col-5">
                                            <h5 class="f-w-500">Email <span class="pull-right">:</span>
                                            </h5>
                                        </div>
                                        <div class="col-sm-9 col-7"><span>example@examplel.com</span>
                                        </div>
                                    </div>
                                    <div class="row mb-2">
                                        <div class="col-sm-3 col-5">
                                            <h5 class="f-w-500">Availability <span class="pull-right">:</span></h5>
                                        </div>
                                        <div class="col-sm-9 col-7"><span>Full Time (Free Lancer)</span>
                                        </div>
                                    </div>
                                    <div class="row mb-2">
                                        <div class="col-sm-3 col-5">
                                            <h5 class="f-w-500">Age <span class="pull-right">:</span>
                                            </h5>
                                        </div>
                                        <div class="col-sm-9 col-7"><span>27</span>
                                        </div>
                                    </div>
                                    <div class="row mb-2">
                                        <div class="col-sm-3 col-5">
                                            <h5 class="f-w-500">Location <span class="pull-right">:</span></h5>
                                        </div>
                                        <div class="col-sm-9 col-7"><span>Rosemont Avenue Melbourne,
                                                Florida</span>
                                        </div>
                                    </div>
                                    <div class="row mb-2">
                                        <div class="col-sm-3 col-5">
                                            <h5 class="f-w-500">Year Experience <span class="pull-right">:</span></h5>
                                        </div>
                                        <div class="col-sm-9 col-7"><span>07 Year Experiences</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="profile-settings" class="tab-pane fade">
                                <div class="pt-3">
                                    <div class="settings-form">
                                        <h4 class="text-primary">Account Setting</h4>
                                        <div class="body m-2">
                                            <h4>Basic Information</h4>
                                            <form action="{{ route('edit_profile') }}" method="post">
                                                @csrf

                                            <div class="row clearfix">
                                                <div class="col-lg-6 col-md-12">

                                                    <div class="form-group">
                                                        <input type="hidden" name="form_type" value="basic">
                                                        <lable>Name</lable>
                                                        <input type="text" class="form-control" name="name" value="{{ $company->name }}" placeholder="First Name">
                                                    </div>
                                                    {{-- <div class="form-group">
                                                        <input type="text" class="form-control" placeholder="http://">
                                                    </div> --}}
                                                    <div class="form-group">
                                                        <lable>City</lable>
                                                        <input type="text" class="form-control" name="city" value="{{ $company->city }}" placeholder="City">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Country</lable>
                                                        <input type="text" class="form-control" name="country" value="{{ $company->country }}" placeholder="Country">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Revenue Min</lable>
                                                        <input type="number" class="form-control" name="revenue_min" value="{{ $company->revenue_min }}" placeholder="Country">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Company Size</lable>
                                                        <input type="number" class="form-control" name="company_size" value="{{ $company->company_size }}" placeholder="Country">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-12">
                                                    <div class="form-group">
                                                        <lable>Address</lable>
                                                        <input type="text" class="form-control" name="address" value="{{ $company->address }}" placeholder="Address">
                                                    </div>

                                                    <div class="form-group">
                                                        <lable>Province</lable>
                                                        <input type="text" class="form-control" name="province" value="{{ $company->province }}" placeholder="State/Province">
                                                    </div>

                                                    <div class="form-group">
                                                        <lable>Pincode</lable>
                                                        <input type="text" class="form-control" name="pincode" value="{{ $company->pincode }}" placeholder="Pincode">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Revenue Max</lable>
                                                        <input type="number" class="form-control" name="revenue_max" value="{{ $company->revenue_max }}" placeholder="Country">
                                                    </div>

                                                </div>
                                            </div>
                                            <button type="submit" class="btn btn-primary">Update</button> &nbsp;&nbsp;
                                            </form>
                                        </div>

                                        <div class="body m-2">

                                            <div class="row clearfix">

                                                <div class="col-lg-6 col-md-12">
                                                    <form action="{{ route('edit_profile') }}" method="post">
                                                        @csrf
                                                    <h4>Account Data</h4>
                                                    <input type="hidden" name="form_type" value="account">
                                                    <div class="form-group">
                                                        <lable>Email</lable>
                                                        <input type="text" class="form-control" value="{{ $company->email }}" disabled placeholder="">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Secondary Email</lable>
                                                        <input type="email" class="form-control" name="sec_email" value="{{  $company->sec_email}}" placeholder="Email">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Phone Number</lable>
                                                        <input type="text" class="form-control" name="phone" value="{{ $company->phone }}" placeholder="Phone Number">
                                                    </div>
                                                    <button type="submit" class="btn btn-primary">Update</button> &nbsp;&nbsp;
                                                </form>
                                                </div>



                                                <div class="col-lg-6 col-md-12">
                                                    <form action="{{ route('reset_password') }}" method="post">
                                                        @csrf
                                                    <h4>Change Password</h4>
                                                    <div class="form-group">
                                                        <label>Old Password</label>
                                                        <input type="password" autocomplete="off"  name="old_pass" class="form-control" placeholder="Current Password">
                                                        <span class="text-danger">
                                                            @error("old_pass")
                                                                {{ $message }}
                                                            @enderror
                                                        </span>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="col-md-12 control-label" for="passwordinput">Password </label>
                                                        <div class="col-md-12">
                                                            <input id="password" autocomplete="off" name="new_pass" type="password" placeholder="" class="form-control " data-placement="bottom" data-toggle="popover" data-container="body" type="button" data-html="true">
                                                            <span class="text-danger">
                                                                @error("new_pass")
                                                                    {{ $message }}
                                                                @enderror
                                                            </span>
                                                            <div id="popover-password">
                                                                <p>Password Strength: <span id="result"> </span></p>
                                                                <div class="progress">
                                                                    <div id="password-strength"  class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width:0%">
                                                                    </div>
                                                                </div>
                                                                <ul class="list-unstyled">
                                                                    <li class=""><span class="low-upper-case"><i class="fa fa-file-text" aria-hidden="true"></i></span>&nbsp; 1 lowercase &amp; 1 uppercase</li>
                                                                    <li class=""><span class="one-number"><i class="fa fa-file-text" aria-hidden="true"></i></span> &nbsp;1 number (0-9)</li>
                                                                    <li class=""><span class="one-special-char"><i class="fa fa-file-text" aria-hidden="true"></i></span> &nbsp;1 Special Character (!@#$%^&*).</li>
                                                                    <li class=""><span class="eight-character"><i class="fa fa-file-text" aria-hidden="true"></i></span>&nbsp; Atleast 8 Character</li>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <button type="submit" id="sub" class="btn btn-primary">Update</button> &nbsp;&nbsp;
                                            </form>
                                                </div>
                                            </div>

                                        </div>

                                        <div class="body m-2">
                                            <h4>General Information</h4>
                                            <form action="{{ route('edit_profile') }}" method="post">
                                                @csrf
                                                <input type="hidden" name="form_type" value="general">
                                            <div class="row">
                                                <div class="col-lg-6 col-md-12">
                                                    <div class="form-group">
                                                        <lable>POC Name</lable>
                                                        <input type="text" class="form-control" name="poc_name"  value="{{ $company->poc_name }}" placeholder="">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>POC Name 2</lable>
                                                        <input type="text" class="form-control" name="poc_name_two" value="{{ $company->poc_name_two }}" placeholder="">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>POC Name 3</lable>
                                                        <input type="text" class="form-control" name="poc_name_three"  value="{{ $company->poc_name_three }}" placeholder="">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>POC Name 4</lable>
                                                        <input type="text" class="form-control" name="poc_name_four" value="{{ $company->poc_name_four }}" placeholder="">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>EXT</lable>
                                                        <input type="text" class="form-control" name="ext" value="{{ $company->ext }}" placeholder="Fax">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Fax</lable>
                                                        <input type="text" class="form-control" name="fax" value="{{ $company->fax }}" placeholder="Fax">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>UAN-Fax</lable>
                                                        <input type="text" class="form-control" name="uan_fax" value="{{ $company->uan_fax }}" placeholder="Fax">
                                                    </div>

                                                    <div class="form-group">
                                                        <lable>Website</lable>
                                                        <input type="text" class="form-control" name="website" value="{{ $company->website }}" placeholder="http://">
                                                    </div>


                                                </div>
                                                <div class="col-lg-6 col-md-12">
                                                    <div class="form-group">
                                                        <lable>designation</lable>
                                                        <input type="text" class="form-control" name="designation"  value="{{ $company->designation }}" placeholder="">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>designation 2</lable>
                                                        <input type="text" class="form-control" name="designation_two"   value="{{ $company->designation_two }}" placeholder="">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>designation 3</lable>
                                                        <input type="text" class="form-control" name="designation_three"  value="{{ $company->designation_three }}" placeholder="">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>designation 4</lable>
                                                        <input type="text" class="form-control" name="designation_four"  value="{{ $company->designation_four }}" placeholder="">
                                                    </div>

                                                    <div class="form-group">
                                                        <lable>Cell</lable>
                                                        <input type="text" class="form-control" name="cell"  value="{{ $company->cell }}" placeholder="Cell ">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>UAN</lable>
                                                        <input type="text" class="form-control"  name="uan"  value="{{ $company->uan }}" placeholder="UAN">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Working Area </lable>
                                                        <input type="text" class="form-control" name="working_area"  value="{{ $company->working_area }}" placeholder="Working Area">
                                                    </div>
                                                    <div class="form-group">
                                                        <lable>Working Area 2</lable>
                                                        <input type="text" class="form-control" name="working_area2" value="{{ $company->working_area2 }}" placeholder="Working Area">
                                                    </div>
                                                </div>
                                            </div>
                                            <button type="submit" class="btn btn-primary">Update</button> &nbsp;&nbsp;
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Modal -->
                    <div class="modal fade" id="replyModal">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Post Reply</h5>
                                    <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                                </div>
                                <div class="modal-body">
                                    <form>
                                        <textarea class="form-control" rows="4">Message</textarea>
                                    </form>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-danger light" data-dismiss="modal">Close</button>
                                    <button type="button" class="btn btn-primary">Reply</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>






@endsection
@section('script')
<script>
    $(document).ready(function() {
        $('#email').blur(function() {
            var email = $('#email').val();
            if (IsEmail(email) == false) {
                $('#sign-up').attr('disabled', true);
                $('#popover-email').removeClass('hide');
            } else {
                $('#popover-email').addClass('hide');
            }
        });
        $('#password').keyup(function() {
            var password = $('#password').val();
            if (checkStrength(password) == false) {
                $('#sign-up').attr('disabled', true);
            }
        });
        $('#confirm-password').blur(function() {
            if ($('#password').val() !== $('#confirm-password').val()) {
                $('#popover-cpassword').removeClass('hide');
                $('#sign-up').attr('disabled', true);
            } else {
                $('#popover-cpassword').addClass('hide');
            }
        });
        $('#contact-number').blur(function() {
            if ($('#contact-number').val().length != 10) {
                $('#popover-cnumber').removeClass('hide');
                $('#sign-up').attr('disabled', true);
            } else {
                $('#popover-cnumber').addClass('hide');
                $('#sign-up').attr('disabled', false);
            }
        });
        $('#sign-up').hover(function() {
            if ($('#sign-up').prop('disabled')) {
                $('#sign-up').popover({
                    html: true,
                    trigger: 'hover',
                    placement: 'below',
                    offset: 20,
                    content: function() {
                        return $('#sign-up-popover').html();
                    }
                });
            }
        });

        function IsEmail(email) {
            var regex = /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
            if (!regex.test(email)) {
                return false;
            } else {
                return true;
            }
        }

        function checkStrength(password) {
            var strength = 0;


            //If password contains both lower and uppercase characters, increase strength value.
            if (password.match(/([a-z].[A-Z])|([A-Z].[a-z])/)) {
                strength += 1;
                $('.low-upper-case').addClass('text-success');
                $('.low-upper-case i').removeClass('fa-file-text').addClass('fa-check');
                $('#popover-password-top').addClass('hide');


            } else {
                $('.low-upper-case').removeClass('text-success');
                $('.low-upper-case i').addClass('fa-file-text').removeClass('fa-check');
                $('#popover-password-top').removeClass('hide');
            }

            //If it has numbers and characters, increase strength value.
            if (password.match(/([a-zA-Z])/) && password.match(/([0-9])/)) {
                strength += 1;
                $('.one-number').addClass('text-success');
                $('.one-number i').removeClass('fa-file-text').addClass('fa-check');
                $('#popover-password-top').addClass('hide');

            } else {
                $('.one-number').removeClass('text-success');
                $('.one-number i').addClass('fa-file-text').removeClass('fa-check');
                $('#popover-password-top').removeClass('hide');
            }

            //If it has one special character, increase strength value.
            if (password.match(/([!,%,&,@,#,$,^,*,?,_,~])/)) {
                strength += 1;
                $('.one-special-char').addClass('text-success');
                $('.one-special-char i').removeClass('fa-file-text').addClass('fa-check');
                $('#popover-password-top').addClass('hide');

            } else {
                $('.one-special-char').removeClass('text-success');
                $('.one-special-char i').addClass('fa-file-text').removeClass('fa-check');
                $('#popover-password-top').removeClass('hide');
            }

            if (password.length > 7) {
                strength += 1;
                $('.eight-character').addClass('text-success');
                $('.eight-character i').removeClass('fa-file-text').addClass('fa-check');
                $('#popover-password-top').addClass('hide');

            } else {
                $('.eight-character').removeClass('text-success');
                $('.eight-character i').addClass('fa-file-text').removeClass('fa-check');
                $('#popover-password-top').removeClass('hide');
            }




            // If value is less than 2

            if (strength < 2) {
                $('#result').removeClass()
                $('#password-strength').addClass('progress-bar-danger');

                $('#result').addClass('text-danger').text('Very Week');
                $('#sub').prop('disabled',true);
                $('#password-strength').css('width', '10%');
            } else if (strength == 2) {
                $('#result').addClass('good');
                $('#password-strength').removeClass('progress-bar-danger');
                $('#password-strength').addClass('progress-bar-warning');
                $('#result').addClass('text-warning').text('Week');
                $('#sub').prop('disabled',false);
                $('#password-strength').css('width', '60%');
                return 'Week'
            } else if (strength == 4) {
                $('#result').removeClass()
                $('#result').addClass('strong');
                $('#password-strength').removeClass('progress-bar-warning');
                $('#password-strength').addClass('progress-bar-success');
                $('#result').addClass('text-success').text('Strength');
                $('#sub').prop('disabled',false);
                $('#password-strength').css('width', '100%');

                return 'Strong'
            }

        }

    });
</script>

@endsection
