@extends("layouts.usermaster")
@section("title") View Companies @endsection

@section("content")

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="m-2">
                <a class="float-right btn m-2 btn-primary btn-md" href="{{ route('create_ticket') }}">Create Ticket</a>
            </div>
            <div class="body project_report">
                <div class="table-responsive">
                    <table class="table table-hover mb-0 c_list">
                        <thead class="thead-light">
                            <tr>


                                <th>Department</th>
                                <th>Subject</th>
                                <th>Agent</th>
                                <th>ID</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($tickets as $t)
                            <tr>
                                {{-- <td>
                                    <img src="{{ asset($t['get_company']['photo']) }}" class="img img-fluid logo-sm">
                                </td> --}}

                                <td>
                                    {{-- <img src="{{ $t->get_department->photo ?? '' }}" class="rounded-circle avatar" alt=""> --}}
                                    <p class="c_name"> <span class="badge badge-default m-l-10 hidden-sm-down">{{ $t->get_department->name ?? 'General' }}</span></p>
                                </td>


                                <td class="project-title">
                                    <h6 class="size-nm font-weight-bold mb-0">{{ Str::limit($t->subject,30) }}</h6>
                                <small>Created at: {{ $t->created_at }}</small>
                                </td>
                                <td>

                                    <ul class="list-unstyled team-info">
                                        <label for="" class="size-sm mb-0 mt-1">{{ $t['get_agent']['name'] ?? '' }}</label>
                                        <br>
                                        <label for="" class="text-muted size-sm">{{ $t['get_agent']['email'] ?? '' }}</label>
                                        {{-- <br><li><img src="{{ asset($t->get_manager->photo ?? '') }}" alt="Avatar" title="{{ $t->get_manager->name ?? 'N/A' }}"></li>
                                        <li><img src="{{ asset($t->get_supervisor->photo ?? '') }}" alt="Avatar" title="{{ $t->get_supervisor->name ?? 'N/A' }}"></li>
                                        <li><img src="{{ asset($t->get_agent->photo ?? '') }}" alt="Avatar" title="{{ $t->get_agent->name ?? 'N/A' }}"></li> --}}
                                    </ul>
                                </td>
                                <td>
                                    <span for="" class="badge badge-primary">{{ $t->externalid }}</span>

                                </td>

                                <td>
                                    <span class="badge badge-success">{{ $t->status }}</span>
                                </td>
                                <td class="project-actions">
                                    <div class="btn-group">


                                    {{-- <a href="{{ route('ticket_detail',$t->id) }}" class="size-sm btn btn-sm btn-primary">View</a>
                                    @if($t->agent_id == session("cms_member_id"))
                                    <a href="{{ route('ticket_chat',$t->id) }}" class="size-sm btn btn-sm btn-warning text-dark">Chat</a>
                                </div>
                                    @endif --}}
                                    <a href="{{ route('customer_chat',$t->externalid) }}" class="size-sm btn btn-sm btn-primary ">Chat</a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                {{-- <div class="table-responsive">
                    <table class="table mb-0 table-hover">
                        <thead class="thead-light">
                            <tr>
                                <th>Status</th>
                                <th>Subject</th>
                                <th>Progress</th>
                                <th>Department</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($tickets as $tckt)
                            <tr>
                                <td>
                                    <span class="badge badge-success">{{ $tckt['status'] }}</span>
                                </td>
                                <td class="project-title">
                                    <h6><a href="javascript:void(0);">{{ $tckt->subject }}</a></h6>
                                    <small>{{ $tckt->created_at }}</small>
                                </td>
                                <td>
                                    <div class="progress progress-xs">
                                        <div class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 48%;"></div>
                                    </div>
                                    <small>Completion</small>
                                </td>
                                <td>
                                    <ul class="list-unstyled team-info">

                                        <li><img src="assets/images/xs/avatar2.jpg" alt="Avatar">{{ ($tckt->get_department->name)??'N/A' }}</li>

                                    </ul>
                                </td>
                                <td class="project-actions">
                                    <a href="javascript:void(0);" class="btn btn-outline-secondary"><i class="icon-eye"></i></a>
                                    <a href="javascript:void(0);" class="btn btn-outline-secondary"><i class="icon-pencil"></i></a>
                                </td>
                            </tr>
                            @endforeach


                        </tbody>
                    </table>
                </div> --}}
            </div>
        </div>
    </div>
</div>

@endsection





