<!doctype html>
<html lang="en">

<head>
    <title><?php echo $__env->yieldContent('title'); ?> - <?php echo e(config('app.name')); ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link rel="icon" href="<?php echo e(asset('favicon.ico')); ?>" type="image/x-icon">
    <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/bootstrap/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/font-awesome/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/main.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('customcss/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/chatapp.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/summernote/dist/summernote.css')); ?>"/>
    <link href="<?php echo e(asset('dropdown/jquery.inputpicker.css')); ?>" rel="stylesheet" type="text/css">

    <script src="<?php echo e(asset('ckeditor/ckeditor.js')); ?>"></script>


<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/bootstrap-multiselect/bootstrap-multiselect.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/bootstrap-tagsinput/bootstrap-tagsinput.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/parsleyjs/css/parsley.css')); ?>">
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/toastr/toastr.min.css')); ?>">

<style>
    .bg-main{
        background-color: #33BAB0;

    }
    .spinner-border {
    animation-duration: 1.3s;
}
    /* .myselect{
        width:500px;
    } */
    .text-main{
        color:#33BAB0;
    }
    .card{
        overflow: auto;
    }
    *{
        font-family: calibri;
    }

    input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.badge{
    margin-left: 0px;
}
    /* table {
            border-spacing: 0px;
            table-layout: fixed;
            margin-left:auto;
            margin-right:auto;
        }
    td{
        word-break: break-all;
    } */
</style>
    <?php echo $__env->yieldContent('style'); ?>
</head>

<body data-theme="light" class="font-nunito">

<div id="wrapper" class="theme-cyan">

    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="m-t-30">
                <img src="<?php echo e(asset('assets/images/logo-icon.svg')); ?>" width="48" height="48" alt="Iconic">
            </div>
            <p>Please wait...</p>
        </div>
    </div>

    <?php echo $__env->make('layouts.includes.top_bar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
    <?php echo $__env->make("layouts.includes.left_bar_manager", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make('layouts.includes.right_bar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div id="main-content">
        <div class="container-fluid mt-0 m-0 px-0 ">

            <div class="block-header mb-1 ">
                <div class="row mt-0 m-0">
                    <div class="col-lg-6 col-md-6 col-sm-12 mb-0 mt-0">
                        <h2><?php echo $__env->yieldContent("title"); ?> </h2>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.html"><i class="fa fa-dashboard"></i></a></li>
                            <li class="breadcrumb-item">CMS-<?php echo $__env->yieldContent("title"); ?></li>

                        </ul>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12">
                        <div class="d-flex flex-row-reverse">
                            <div class="page_action">
                                
                            </div>
                            <div class="p-2 d-flex">

                            </div>
                        </div>
                    </div>
                </div>
            </div>

      <h6>   <?php echo e(Session::get("form_submit_flag")); ?></h6>
<?php if(Session::has("form_submit_flag")): ?>
<?php if(session("form_submit_flag") == "true"): ?>
<div class="alert alert-success text-dark alert-dismissible">
    <button type="button" class="close" data-dismiss="alert">&times;</button>
    <strong>Message! </strong> <?php echo session("form_submit_msg"); ?>

  </div>

<?php elseif(session("form_submit_flag") == "false"): ?>
<div class="alert alert-danger alert-dismissible">
    <button type="button" class="close" data-dismiss="alert">&times;</button>
    <strong>Message! </strong> <?php echo session("form_submit_msg"); ?>

</div>


<?php endif; ?>

<?php endif; ?>

            <?php echo $__env->yieldContent('content'); ?>
        </div>
    </div>
</div>


<script src="<?php echo e(asset('assets/bundles/libscripts.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('assets/bundles/vendorscripts.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('assets/bundles/mainscripts.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('assets/vendor/bootstrap-tagsinput/bootstrap-tagsinput.js')); ?>"></script>
<script src="<?php echo e(asset('assets/vendor/summernote/dist/summernote.js')); ?>"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
<script src="<?php echo e(asset('dropdown/jquery.inputpicker.js')); ?>"></script>
<script src="<?php echo e(asset('assets/vendor/toastr/toastr.js')); ?>"></script>


<script>
    $(document).ready(function(){
    // Setting Pagination Bulma Class
    // $('.pagination').addClass("justify-content-end");
    // $('.page-item.active>span').css({"background-color":"var(--primary-color)","border":"1px solid var(--primary-color)"});

    setInterval(get_notifications, 5000);
    get_notifications();
        function get_notifications(){
    $.ajax({
        url:"<?php echo e(route('member_new_notifications')); ?>",
        type:"GET",
        data:{"data":'data'},
        success:function(data)
        {
            var noti = data.notifications;
            var noti2 = data.uncheck_notifications;

            if(data.count<=5){
                for(var i=0;i<noti.length;i++)
                {
                    var not = noti[i];
                    toastr.options = {
                        "timeOut": "20000",
                        "closeButton":true,
                        "onclick": function() {
                            window.location.href = "<?php echo e(route('login')); ?>";
                        },
                    };
                    toastr["info"](not.subject, '', {
                        positionClass: "toast-bottom-right"
                    });

                }
            }
            else
            {
                var toastr_text ="";
                if(data.count>5)
                {
                    toastr_text = "5+ notifications for you";
                }
                else
                {
                    toastr_text = data.count+" notification(s) for you";
                }
                toastr.options = {
                        "timeOut": "20000",
                        "closeButton":true,

                    };
                    toastr["info"](toastr_text, '', {
                        positionClass: "toast-bottom-right"
                    });
            }
            if(noti2.length>0)
            {
                $("#noti_li").html("");
                var noti_link = "<?php echo e(config('app.org_domain')); ?>";
                for(var i=0;i<noti2.length;i++)
                {
                    var n = noti2[i];
                    var a = ` <li>
                                    <a href="`+noti_link+n.link+`">
                                        <div class="media">
                                            <div class="media-left size-sm">
                                                <i class="fa fa-bell-o text-primary size-sm"></i>
                                            </div>
                                            <div class="media-body">
                                                <p class="text">`+n.subject+`</p>
                                                <span class="timestamp">`+n.created_at+`</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>`;
                                $("#noti_li").append(a);
                }
            }
            if(data.unchecked_count>0)
            {
                $("#not_count").remove();
                var b = `<sup class="p-2 bg-main text-light size-sm" id="not_count" style="border-radius:20px 20px">
                                `+data.unchecked_count+`
                            </sup>`;
                            $("#noti_count_toggle").append(b);
            }
        }
    });
}


$("#noti_count_toggle").click(function(){
    $("#not_count").remove();
    $.ajax({
        url:"<?php echo e(route('mark_check_status')); ?>",
        type:"GET",
        data:{"data":"data"},
        success:function(data)
        {
            console.log(data);
        }
    });
});
});

$("select").select2();

var batch_id = "<?php echo e(session('cms_batch_id')); ?>";

if(batch_id!="")
{
    const myInterval = setInterval(update_progress, 2000);
}

function update_progress()
{
     batch_id = "<?php echo e(session('cms_batch_id')); ?>";
    if(batch_id!=""){
    $.ajax({
        url:"<?php echo e(route('get_dispatch_progress')); ?>",
        type:'GET',
        success:function(data)
        {
            if(data.status == "true")
            {
                if(data.per != "100%")
                {
                    var loading_content = `<div class="spinner-border spinner-border-sm" role="status">
                            <span class="sr-only">Loading...</span>
                          </div> Import Customer...`+data.per+``;
                          $("#batch_loading").html(loading_content);
                }
                else
                {
                    $("#batch_loading").html("<label class='text-success'>Process Finished</label>");
                    clearInterval(myInterval);
                }
            }
            else
            {
                $("#batch_loading").html("<label class='text-dark'>"+data.message+"</label>");

            }
        }
    });
}
else
{
    clearInterval(myInterval);
}
}

</script>


<?php echo $__env->yieldContent('scripts'); ?>

</body>
</html>
<?php /**PATH H:\LaravelProjects2\my_ss\my_ss\resources\views/layouts/adminmaster.blade.php ENDPATH**/ ?>