<?php $__env->startSection("style"); ?>
<script src="<?php echo e(asset('assets/tinymce/tinymce/tinymce.min.js')); ?>" referrerpolicy="origin"></script>
<script>
    const useDarkMode = window.matchMedia('(prefers-color-scheme: dark)').matches;
 const isSmallScreen = window.matchMedia('(max-width: 1023.5px)').matches;
 var old_content="";
    var template_id = "<?php echo e($temp->externalId); ?>";
    function setValue()
    {
        var editor = tinymce.get('mytextarea');
        var content = editor.getContent();
        old_content = content;
        const contentInterval = setInterval(store_data, 6000);
    }
 tinymce.init({
   selector: 'textarea#mytextarea',
   images_upload_url: 'postAcceptor.php',
   images_upload_credentials: true,
   plugins: 'preview importcss searchreplace autolink autosave save directionality code visualblocks visualchars fullscreen image link media template codesample table charmap pagebreak nonbreaking anchor insertdatetime advlist lists wordcount help charmap quickbars emoticons',
   editimage_cors_hosts: ['picsum.photos'],
   menubar: 'file edit view insert format tools table help',
   toolbar: 'undo redo | bold italic underline strikethrough | fontfamily fontsize blocks | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | pagebreak | charmap emoticons | fullscreen  preview save print | insertfile image media template link anchor codesample | ltr rtl',
   toolbar_sticky: true,
   toolbar_sticky_offset: isSmallScreen ? 102 : 108,
   autosave_ask_before_unload: true,
   autosave_interval: '30s',
   autosave_prefix: '{path}{query}-{id}-',
   autosave_restore_when_empty: false,
   autosave_retention: '2m',
   image_advtab: true,
   link_list: [
     { title: 'My page 1', value: 'https://www.tiny.cloud' },
     { title: 'My page 2', value: 'http://www.moxiecode.com' }
   ],
   image_list: [
     { title: 'My page 1', value: 'https://www.tiny.cloud' },
     { title: 'My page 2', value: 'http://www.moxiecode.com' }
   ],
   image_class_list: [
     { title: 'None', value: '' },
     { title: 'Some class', value: 'class-name' }
   ],
   importcss_append: true,
   file_picker_callback: (callback, value, meta) => {
     /* Provide file and text for the link dialog */
     if (meta.filetype === 'file') {
       callback('https://www.google.com/logos/google.jpg', { text: 'My text' });
     }

     /* Provide image and alt text for the image dialog */
     if (meta.filetype === 'image') {
       callback('https://www.google.com/logos/google.jpg', { alt: 'My alt text' });
     }

     /* Provide alternative source and posted for the media dialog */
     if (meta.filetype === 'media') {
       callback('movie.mp4', { source2: 'alt.ogg', poster: 'https://www.google.com/logos/google.jpg' });
     }
   },
   templates: [
     { title: 'New Table', description: 'creates a new table', content: '<div class="mceTmpl"><table width="98%%"  border="0" cellspacing="0" cellpadding="0"><tr><th scope="col"> </th><th scope="col"> </th></tr><tr><td> </td><td> </td></tr></table></div>' },
     { title: 'Starting my story', description: 'A cure for writers block', content: 'Once upon a time...' },
     { title: 'New list with dates', description: 'New List with dates', content: '<div class="mceTmpl"><span class="cdate">cdate</span><br><span class="mdate">mdate</span><h2>My List</h2><ul><li></li><li></li></ul></div>' }
   ],
   template_cdate_format: '[Date Created (CDATE): %m/%d/%Y : %H:%M:%S]',
   template_mdate_format: '[Date Modified (MDATE): %m/%d/%Y : %H:%M:%S]',
   height: 600,
   image_caption: true,
   quickbars_selection_toolbar: 'bold italic | quicklink h2 h3 blockquote quickimage quicktable',
   noneditable_class: 'mceNonEditable',
   toolbar_mode: 'sliding',
   contextmenu: 'link image table',
   skin: useDarkMode ? 'oxide-dark' : 'oxide',
   content_css: useDarkMode ? 'dark' : 'default',
   content_style: 'body { font-family:Helvetica,Arial,sans-serif; font-size:16px }',
   init_instance_callback : setValue
 });






   </script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("title"); ?> Template Editor <?php $__env->stopSection(); ?>
<?php $__env->startSection("content"); ?>
<div class="row">
    <div class="col-md-12">
       <div class="card">
        <div class="card-header">Edit Template</div>
        <div class="card-body">
            <h6 class="size-nm font-weight-bold">:<?php echo e($temp->title ?? 'N/A'); ?></h6>
            <form id="form">
                <div class="form-group mt-2 text-right">

                    <button type="submit" id="content_btn" class="btn btn-lg  btn-primary">
                        <div class="spinner-border spinner-border-sm" id="spin"  role="status">
                            <span class="sr-only">Loading...</span>
                          </div>  Save</button>
                </div>
                <?php echo csrf_field(); ?>
                 <span class="text-info" id="message">
                </span>
                <span class="text-info" id="time">
                </span>
                <div id="content" hidden>
                    <?php echo $temp->content; ?>

                </div>
               <div class="form-group mt-2">
                <textarea name="content" id="mytextarea"><?php echo $temp->content; ?></textarea>
               </div>


            </form>
        </div>
       </div>


    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection("scripts"); ?>
<script>


        $("#spin").hide();
         $("#content_btn").click(function(e)
        {
            e.preventDefault();
            store_data("1");
        });




    function store_data(bool="0")
    {
        $.ajaxSetup({
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    }
});
        var editor = tinymce.get('mytextarea');
        var content = editor.getContent();
        if(content=="")
        {
            if(bool == "1"){
            alert("Content Must Not be empty");
            }
        }
        else if(content == old_content)
        {
            if(bool == "1")
            {
                alert("No Changes were made.");
            }
        }

        else{
            $("#spin").show();

        $.ajax({
            url:"<?php echo e(route('compaign.templates.update_content')); ?>",
            type:"post",
            data:{"content":content,"template_id":template_id},
            success:function(data)
            {
                old_content = content;

                $("#message").html(data.message);
                if(bool == "1")
                {
                    toastr["info"](data.message, '', {
                            positionClass: "toast-bottom-right"
                        });
                }
                    $("#spin").hide();
                    if(data.status == "success")
                    {
                        $("#time").html(":"+data.time);
                    }

            }
        });
    }
    }
</script>
<script>
           $(document).ready( function() {
  $('.create-temp').addClass('active');
  $('.temp').addClass('in');
} );
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make("layouts.adminmaster", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH H:\LaravelProjects2\my_ss\29_april_2023\resources\views/compaign/template/create_template.blade.php ENDPATH**/ ?>