<?php $__env->startSection('content'); ?>

    <div class="card">
        <div class="card-header">
            <div class="card-title">
                <?php echo e($role); ?> Tickets
            </div>
        </div>
        <div class="card-body">
            <?php if($errors->any()): ?>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="text-danger size-nm"><?php echo e($error); ?></div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            <?php if(session('cms_member_role') != 'super_admin_11'): ?>
                <div class="text-right">
                    <label for="" class="text-muted">Ticket Assigned Today:</label> <?php echo e($tickets_count); ?>

                </div>
            <?php endif; ?>
            <form action="" class="row" method="GET">

                <div class="col-md-3">
                    <select name="department"  class="form-control  ">
                        <option value="">--Choose Department--</option>
                        <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dep): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($dep->externalid); ?>" <?php echo e($params == $dep->externalid ? 'selected' : ''); ?>>
                                <?php echo e($dep->name); ?> (<?php echo e($dep->get_supervisor->name ?? 'N/A'); ?>)</option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <span class="text-danger size-nm">
                        <?php $__errorArgs = ['department'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </span>
                </div>
                <div class="col-md-2">
                    <input type="text"  name="ticket_id" value="<?php echo e(isset($filters['ticket_id']) ? $filters['ticket_id'] : ''); ?>" class="form-control form-control-sm" placeholder="Enter Ticket ID...">
                </div>
                <div class="col-md-2">
                    <select name="status"  class="form-control  ">
                        <option value="">--Choose Status--</option>
                        <option value="opened" <?php echo e((($filters['status'] ?? '') == "opened") ? 'selected' : ''); ?>>Open</option>
                        <option value="closed" <?php echo e((($filters['status'] ?? '') == "closed") ? 'selected' : ''); ?>>Closed</option>
                        <option value="pending" <?php echo e((($filters['status'] ?? '') == "pending") ? 'selected' : ''); ?>>Pending</option>
                    </select>
                    <span class="text-danger size-nm">
                        <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </span>
                </div>
                <div class="col-md-2">
                    <select name="assignment"  class="form-control  ">
                        <option value="">--Choose Assigned/Not Assigned--</option>
                        <option value="assigned" <?php echo e((($filters['assignment'] ?? '') == "assigned") ? 'selected' : ''); ?>>Assigned</option>
                        <option value="not_assigned" <?php echo e((($filters['assignment'] ?? '') == "not_assigned") ? 'selected' : ''); ?>>Not Assigned</option>
                    </select>
                    <span class="text-danger size-nm">
                        <?php $__errorArgs = ['assignment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </span>
                </div>
                <div class="col-md-1">
                    <input type="submit" value="Apply" class="btn btn-xs btn-primary">
                </div>
                <div class="col-md-2 text-right">
                    <?php if($params != '' && session('cms_member_role') == 'supervisor_13'): ?>
                        <button type="button" id="agent-btn" class="btn btn-xs size-nm btn-primary" data-toggle='modal'
                            data-target='#agent_modal'>Assign Agents</button>
                    <?php endif; ?>

                </div>

                <div class="col-md-12 mt-4 text-right mb-2 ">
                    
                    <a href="<?php echo e(route('generate_ticket')); ?>" class="btn btn-xs btn-rounded btn-info">
                    Create Ticket For Exiting Customer</a>

                    <a href="<?php echo e(route('create_ticket_customer')); ?>" class="btn btn-xs  btn-rounded p-1 btn-primary">Create Ticket For New Customer</a>
                </div>

            </form>
            <div class="table-responsive mb-3">
                <table class="table table-sm table-sm-responsive size-sm">

                        <tr>
                            <th>

                            </th>
                            <th>Company</th>
                            <th>Subject</th>

                            <th>Agent</th>
                            <th>ID</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>


                        <?php $__currentLoopData = $tickets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                
                                <td>
                                    <?php if($params != ''): ?>
                                        <label class="fancy-checkbox">
                                            <input class="checkbox-tick" type="checkbox" value="<?php echo e($t->externalid); ?>"
                                                name="ticket_checkbox[]">
                                            <span></span>
                                    <?php endif; ?>
                                    </label>
                                </td>
                                <td>
                                    <?php if($t->escalation == 'escalated'): ?>
                                        <p class="mb-0 text-right">
                                            <label style="font-size: 9px" for=""
                                                class="badge badge-danger"><?php echo e($t->escalation); ?></label>
                                        </p>
                                    <?php endif; ?>
                                    <img src="<?php echo e($t->get_company->photo ?? ''); ?>" class="rounded-circle avatar logo-nm"
                                        alt="">
                                    <p class="c_name"><?php echo e($t->get_company->name ?? ''); ?> <span
                                            class="badge badge-default m-l-10 hidden-sm-down"><?php echo e($t->get_department->name ?? 'General'); ?></span>
                                    </p>

                                </td>


                                <td class="project-title">
                                    <h6 class="size-nm font-weight-bold mb-0"><?php echo e(Str::limit($t->subject, 30)); ?></h6>
                                    <small>Created at: <?php echo e($t->created_at); ?></small>

                                </td>
                                <td>

                                    <ul class="list-unstyled team-info">
                                        <label for=""
                                            class="size-sm mb-0 mt-1"><?php echo e($t['get_agent']['name'] ?? ''); ?></label>
                                        <br>
                                        <label for=""
                                            class="text-muted size-sm"><?php echo e($t['get_agent']['email'] ?? ''); ?></label>
                                        
                                    </ul>
                                </td>
                                <td>
                                    <span for="" class="badge badge-primary"><?php echo e($t->externalid); ?></span>

                                </td>

                                <td>
                                    <?php if (isset($component)) { $__componentOriginal254b0d2f7ac4aaad789efd940bf61240c807b149 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\TicketStatus::class, ['ticket' => $t]); ?>
<?php $component->withName('ticket-status'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal254b0d2f7ac4aaad789efd940bf61240c807b149)): ?>
<?php $component = $__componentOriginal254b0d2f7ac4aaad789efd940bf61240c807b149; ?>
<?php unset($__componentOriginal254b0d2f7ac4aaad789efd940bf61240c807b149); ?>
<?php endif; ?>
                                </td>
                                <td class="project-actions">

                                    <button id="btnGroupDrop1" type="button"
                                        class="btn btn-sm size-nm btn-primary dropdown-toggle" data-toggle="dropdown"
                                        aria-haspopup="true" aria-expanded="false">
                                        Action
                                    </button>
                                    <div class="dropdown-menu" aria-labelledby="btnGroupDrop1" style="">
                                        <a href="<?php echo e(route('ticket_detail', $t->id)); ?>" class="dropdown-item size-nm"
                                            href="javascript:void(0);">View</a>
                                        <a href="<?php echo e(route('ticket_notes', $t->externalid)); ?>" class="dropdown-item size-nm"
                                            href="javascript:void(0);">Notes</a>
                                        <a href="<?php echo e(route('ticket_notes', [$t->externalid, 'escalation'])); ?>"
                                            class="size-nm dropdown-item" href="javascript:void(0);">Escalation</a>

                                        
                                        <a href="<?php echo e(route('ticket_chat', $t->externalid)); ?>"
                                            class="size-nm dropdown-item">Chat</a>
                                        
                                        <?php if((session('cms_member_role') == 'manager_12' || session('cms_member_role') == 'supervisor_13') &&
                                            $t->status != 'closed'): ?>
                                            <button class="dropdown-item size-nm  pick_ticket_btn" data-toggle="modal"
                                                data-target="#pick_ticket_modal"
                                                data-ticket="<?php echo e($t->externalid); ?>">Pick</button>
                                        <?php endif; ?>
                                    </div>
                                    
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </table>
                <?php if (isset($component)) { $__componentOriginal00d4c075c01210593a9a1ab0867152d034ea9a35 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\TableData::class, ['data' => $tickets]); ?>
<?php $component->withName('table-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal00d4c075c01210593a9a1ab0867152d034ea9a35)): ?>
<?php $component = $__componentOriginal00d4c075c01210593a9a1ab0867152d034ea9a35; ?>
<?php unset($__componentOriginal00d4c075c01210593a9a1ab0867152d034ea9a35); ?>
<?php endif; ?>


                <div class="text-right">
                <?php echo $tickets->links(); ?>

            </div>
            </div>
            <div class="modal fade" id="pick_ticket_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Pick Up Ticket</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <form action="<?php echo e(route('pick_ticket')); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" name="ticket_id" id="ticket_id_inp">
                                <h6>Are you really want to pick up the ticket <span id="ticket_id_span"
                                        class="font-weight-bold"></span> ? </h6>
                                <div class="text-right">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                    <button type="submit" class="btn btn-primary">Yes</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <?php if($params != ''): ?>
                <div class="modal fade" id="agent_modal">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                                Assign Agent
                            </div>
                            <div class="modal-body">
                                <form method="POST" action="<?php echo e(route('submit_multiple_tickets')); ?>" id="agent_form">
                                    <h6 class="mb-1">Selected Tickets:</h6>
                                    <div id="agent_tickets" class="mb-2">

                                    </div>
                                    <?php echo csrf_field(); ?>
                                    <label for="" class="form-label">Choose Agent</label><br>
                                    <select name="agent" class="form-control" style="width:50%">
                                        <option value="">--Choose Agent--</option>
                                        <?php $__currentLoopData = $agents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($ag->id); ?>"><?php echo e($ag->name); ?>

                                                (<?php echo e($ag->email); ?>)</option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <div class="text-right mt-2">
                                        <button class="btn btn-sm btn-primary size-nm">Submit</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>

        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script>
        $(document).ready(function() {
             $('.view-ticket').addClass('active');
  $('.ticket').addClass('in');
            $("#agent-btn").click(function() {
                var a = "";
                $("#agent_tickets").html("");

                var checkboxes = document.querySelectorAll('input[type=checkbox]:checked');
                for (var i = 0; i < checkboxes.length; i++) {
                    a = "<input type='hidden' name='tickets[]' value='" + checkboxes[i].value +
                        "'><label class='badge badge-primary m-1'>" + checkboxes[i].value + "</label>";
                    $("#agent_tickets").append(a);
                }
            });

            $(".pick_ticket_btn").click(function(){
        $("#ticket_id_inp").val($(this).attr("data-ticket"));
        $("#ticket_id_span").text($(this).attr("data-ticket"));

        $("#pick_ticket_modal").modal("show");
    });
        });


    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.adminmaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH H:\LaravelProjects2\my_ss\29_april_2023\resources\views/tickets/view_tickets.blade.php ENDPATH**/ ?>