<!doctype html>
<html lang="en">

<head>
    <title><?php echo $__env->yieldContent('title'); ?> - <?php echo e(config('app.name')); ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <link rel="icon" type="image/png" sizes="16x16" href="assets2/images/favicon.png">
    <link rel="stylesheet" href="<?php echo e(asset('assets2/vendor/chartist/css/chartist.min.css')); ?>">
    <link href="<?php echo e(asset('assets2/vendor/bootstrap-select/dist/css/bootstrap-select.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets2/vendor/owl-carousel/owl.carousel.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets2/css/style.css')); ?>" rel="stylesheet">
    


    <script src="<?php echo e(asset('ckeditor/ckeditor.js')); ?>"></script>



    <style>


        .spinner-border {
            animation-duration: 1.3s;
        }

        /* .myselect{
        width:500px;
    } */

        .deznav{
            width: 18.563rem;
        }

        .nav-header
        {
            width: 18.563rem;
            height:6.5rem;
        }
        .content-body .container-fluid, .content-body .container-sm, .content-body .container-md, .content-body .container-lg, .content-body .container-xl
        {
            padding-left: 10px;
        }

        .card {
            overflow: auto;
        }





        

        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

        .badge {
            margin-left: 0px;
        }

        /* table {
            border-spacing: 0px;
            table-layout: fixed;
            margin-left:auto;
            margin-right:auto;
        }
    td{
        word-break: break-all;
    } */
    </style>
    <?php echo $__env->yieldContent('style'); ?>
</head>

<body data-theme="light" class="font-nunito">
    
    <div id="preloader">
        <div class="sk-three-bounce">
            <div class="sk-child sk-bounce1"></div>
            <div class="sk-child sk-bounce2"></div>
            <div class="sk-child sk-bounce3"></div>
        </div>
    </div>
    <!--*******************
        Preloader end
    ********************-->

    <!--**********************************
        Main wrapper start
    ***********************************-->
    <div id="main-wrapper">

        <!--**********************************
            Nav header start
        ***********************************-->
        <div class="nav-header">
            <a href="index.html" class="brand-logo">
                <img class="logo-abbr" src="<?php echo e(asset('assets2/images/logo.png')); ?>" alt="">
                <img class="logo-compact" src="<?php echo e(asset('assets2/images/logo-text.png')); ?>" alt="">
                <img class="brand-title" src="<?php echo e(asset('assets2/images/logo-text.png')); ?>" alt="">
            </a>

            <div class="nav-control">
                <div class="hamburger">
                    <span class="line"></span><span class="line"></span><span class="line"></span>
                </div>
            </div>
        </div>
        <!--**********************************
            Nav header end
        ***********************************-->

		<!--**********************************
            Chat box start
        ***********************************-->

		<!--**********************************
            Chat box End
        ***********************************-->

		<!--**********************************
            Header start
        ***********************************-->


        <?php echo $__env->make('layouts.includes.top_bar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <!--**********************************
            Header end ti-comment-alt
        ***********************************-->

        <!--**********************************
            Sidebar start
        ***********************************-->

<?php echo $__env->make('layouts.includes.left_bar_manager', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


        <!--**********************************
            Sidebar end
        ***********************************-->

		<!--**********************************
            Content body start
        ***********************************-->
        <div class="content-body">
            <!-- row -->
			<div class="container-fluid">

				<?php echo $__env->yieldContent('content'); ?>
            </div>
        </div>
        <!--**********************************
            Content body end
        ***********************************-->

        <!--**********************************
            Footer start
        ***********************************-->
        <div class="footer">
            <div class="copyright">
                <p>Copyright © Designed &amp; Developed by <a href="#" target="_blank">PaperlessNest</a> 2023</p>
            </div>
        </div>
        <!--**********************************
            Footer end
        ***********************************-->

		<!--**********************************
           Support ticket button start
        ***********************************-->

        <!--**********************************
           Support ticket button end
        ***********************************-->


    </div>
    <!--**********************************
        Main wrapper end
    ***********************************-->

    <!-- Required vendors -->
    <script src="<?php echo e(asset('assets2/vendor/global/global.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets2/vendor/bootstrap-select/dist/js/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets2/vendor/chart.js/Chart.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets2/js/custom.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets2/js/deznav-init.js')); ?>"></script>
    <script src="<?php echo e(asset('assets2/vendor/owl-carousel/owl.carousel.js')); ?>"></script>

    <!-- Chart piety plugin files -->
    <script src="<?php echo e(asset('assets2/vendor/peity/jquery.peity.min.js')); ?>"></script>

    <!-- Apex Chart -->
    <script src="<?php echo e(asset('assets2/vendor/apexchart/apexchart.js')); ?>"></script>

    <!-- Dashboard 1 -->
    <script src="<?php echo e(asset('assets2/js/dashboard/dashboard-1.js')); ?>"></script>



     <script>
        $(document).ready(function() {
            // Setting Pagination Bulma Class
            // $('.pagination').addClass("justify-content-end");
            // $('.page-item.active>span').css({"background-color":"var(--primary-color)","border":"1px solid var(--primary-color)"});

            setInterval(get_notifications, 5000);
            get_notifications();

            function get_notifications() {
                $.ajax({
                    url: "<?php echo e(route('member_new_notifications')); ?>",
                    type: "GET",
                    data: {
                        "data": 'data'
                    },
                    success: function(data) {
                        var noti = data.notifications;
                        var noti2 = data.uncheck_notifications;

                        if (data.count <= 5) {
                            for (var i = 0; i < noti.length; i++) {
                                var not = noti[i];
                                toastr.options = {
                                    "timeOut": "20000",
                                    "closeButton": true,
                                    "onclick": function() {
                                        window.location.href = "<?php echo e(route('login')); ?>";
                                    },
                                };
                                toastr["info"](not.subject, '', {
                                    positionClass: "toast-bottom-right"
                                });

                            }
                        } else {
                            var toastr_text = "";
                            if (data.count > 5) {
                                toastr_text = "5+ notifications for you";
                            } else {
                                toastr_text = data.count + " notification(s) for you";
                            }
                            toastr.options = {
                                "timeOut": "20000",
                                "closeButton": true,

                            };
                            toastr["info"](toastr_text, '', {
                                positionClass: "toast-bottom-right"
                            });
                        }
                        if (noti2.length > 0) {
                            $("#noti_li").html("");
                            var noti_link = "<?php echo e(config('app.org_domain')); ?>";
                            for (var i = 0; i < noti2.length; i++) {
                                var n = noti2[i];
                                var a = ` <li>
                                    <a href="` + noti_link + n.link + `">

                                        <div class="timeline-panel">
                                            <div class="media mr-2">
                                                <i class="fa fa-bell-o text-primary size-sm"></i>
                                            </div>
                                            <div class="media-body">
                                                <h6 class="mb-1">` + n.subject + `</h6>
                                                <small class="d-block">` + n.created_at + `/small>
                                            </div>
                                        </div>
                                    </a>
                                </li>`;
                                $("#noti_li").append(a);
                            }
                        }
                        if (data.unchecked_count > 0) {
                            $("#not_count").remove();
                            var b = `<sup class="p-2 bg-main text-light size-sm" id="not_count" style="border-radius:20px 20px">
                                ` + data.unchecked_count + `
                            </sup>`;
                            $("#noti_count_toggle").append(b);
                        }
                    }
                });
            }


            $("#noti_count_toggle").click(function() {
                $("#not_count").remove();
                $.ajax({
                    url: "<?php echo e(route('mark_check_status')); ?>",
                    type: "GET",
                    data: {
                        "data": "data"
                    },
                    success: function(data) {
                        console.log(data);
                    }
                });
            });
        });

        $("select").select2();

        var batch_id = "<?php echo e(session('cms_batch_id')); ?>";

        if (batch_id != "") {
            const myInterval = setInterval(update_progress, 2000);
        }

        function update_progress() {
            batch_id = "<?php echo e(session('cms_batch_id')); ?>";
            if (batch_id != "") {
                $.ajax({
                    url: "<?php echo e(route('get_dispatch_progress')); ?>",
                    type: 'GET',
                    success: function(data) {
                        if (data.status == "true") {
                            if (data.per != "100%") {
                                var loading_content = `<div class="spinner-border spinner-border-sm" role="status">
                            <span class="sr-only">Loading...</span>
                          </div> Import Customer...` + data.per + ``;
                                $("#batch_loading").html(loading_content);
                            } else {
                                $("#batch_loading").html(
                                "<label class='text-success'>Process Finished</label>");
                                clearInterval(myInterval);
                            }
                        } else {
                            $("#batch_loading").html("<label class='text-dark'>" + data.message + "</label>");

                        }
                    }
                });
            } else {
                clearInterval(myInterval);
            }
        }
    </script>


    <?php echo $__env->yieldContent('scripts'); ?>

</body>

</html>
<?php /**PATH D:\15 feb cms\cms\resources\views/layouts/adminmaster.blade.php ENDPATH**/ ?>