<?php $__env->startSection("content"); ?>

<div class="card">
    <div class="card-header">
        <div class="card-title">
           
           All Tickets
        </div>
    </div>
    <div class="card-body">
        <form action="" class="row mb-2" method="GET">

            <div class="col-md-3">

                <select name="department"  class="form-control form-control-sm default-select">
                    <option value="">--Choose Department--</option>
                    <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dep): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if(isset($filters['department'])): ?>
                        <option value="<?php echo e($dep->externalid); ?>" <?php echo e($filters['department'] == $dep->externalid ? 'selected' : ''); ?>>
                            <?php echo e($dep->name); ?> (<?php echo e($dep->get_supervisor->name ?? 'N/A'); ?>)</option>
                            <?php else: ?>
                            <option value="<?php echo e($dep->externalid); ?>">
                                <?php echo e($dep->name); ?> (<?php echo e($dep->get_supervisor->name ?? 'N/A'); ?>)</option>
                            <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <span class="text-danger size-nm">
                    <?php $__errorArgs = ['department'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <?php echo e($message); ?>

                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </span>

            </div>
            <div class="col-md-3">
                <select name="customer"  class="form-control form-control-sm default-select">
                    <option value="">--Choose Customer--</option>
                    <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dep): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if(isset($filters['customer'])): ?>
                        <option value="<?php echo e($dep->email); ?>" <?php echo e($filters['customer'] == $dep->email ? 'selected' : ''); ?>>
                            <?php echo e($dep->name); ?> (<?php echo e($dep->email); ?>)</option>
                            <?php else: ?>
                            <option value="<?php echo e($dep->email); ?>">
                                <?php echo e($dep->name); ?> (<?php echo e($dep->email); ?>)</option>
                            <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <span class="text-danger size-nm">
                    <?php $__errorArgs = ['customer'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <?php echo e($message); ?>

                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </span>
            </div>
            <div class="col-md-3">
                <input type="text" style="height:29px" name="ticket_id" value="<?php echo e(isset($filters['ticket_id']) ? $filters['ticket_id'] : ''); ?>" class="form-control" placeholder="Enter Ticket ID...">
            </div>

            <div class="col-md-3">
                <input type="submit" value="Apply" class="btn btn-xs btn-primary">
            </div>
        </form>

        <div class="table-responsive">
            <table class="table table-hover mb-0 c_list">
                <thead class="thead-light">
                    <tr>
                        <th>Company</th>
                        <th>Subject</th>

                        <th>Agent</th>
                        <th>ID</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $tickets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>


                        <td>
                            <?php if($t->escalation == "escalated"): ?>
                            <p class="mb-0 text-right">
                                <label style="font-size: 9px" for="" class="badge badge-danger"><?php echo e($t->escalation); ?></label>
                            </p>
                            <?php endif; ?>
                            
                            <p class="c_name"><?php echo e($t->get_company->name ?? ''); ?> <span class="badge badge-default m-l-10 hidden-sm-down"><?php echo e($t->get_department->name ?? 'General'); ?></span></p>

                        </td>


                        <td class="project-title">
                            <h6 class="size-nm font-weight-bold mb-0"><?php echo e(Str::limit($t->subject,30)); ?></h6>
                        <small>Created at: <?php echo e($t->created_at); ?></small>

                        </td>
                        <td>

                            <ul class="list-unstyled team-info">
                                <label for="" class="size-sm mb-0 mt-1"><?php echo e($t['get_agent']['name'] ?? ''); ?></label>
                                <br>
                                <label for="" class="text-muted size-sm"><?php echo e($t['get_agent']['email'] ?? ''); ?></label>
                                
                            </ul>
                        </td>
                        <td>
                            <span for="" class="badge badge-primary"><?php echo e($t->externalid); ?></span>

                        </td>

                        <td>
                            <?php if (isset($component)) { $__componentOriginal254b0d2f7ac4aaad789efd940bf61240c807b149 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\TicketStatus::class, ['ticket' => $t]); ?>
<?php $component->withName('ticket-status'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal254b0d2f7ac4aaad789efd940bf61240c807b149)): ?>
<?php $component = $__componentOriginal254b0d2f7ac4aaad789efd940bf61240c807b149; ?>
<?php unset($__componentOriginal254b0d2f7ac4aaad789efd940bf61240c807b149); ?>
<?php endif; ?>
                        </td>
                        <td class="project-actions">

                            <button id="btnGroupDrop1" type="button" class="btn btn-sm  btn-info dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Action
                                </button>
                                <div class="dropdown-menu" aria-labelledby="btnGroupDrop1" style="">
                                    <a href="<?php echo e(route('ticket_detail',$t->id)); ?>" class="dropdown-item size-nm" href="javascript:void(0);">View</a>
                                    <a href="<?php echo e(route('ticket_notes',$t->externalid)); ?>" class="dropdown-item size-nm" href="javascript:void(0);">Notes</a>
                                    <a href="<?php echo e(route('ticket_notes',[$t->externalid,'escalation'])); ?>" class="size-nm dropdown-item" href="javascript:void(0);">Escalation</a>

                                    <?php if($t->agent_id == session("cms_member_id")): ?>
                                    <a href="<?php echo e(route('ticket_chat',$t->externalid)); ?>" class="size-nm dropdown-item">Chat</a>
                                    <?php endif; ?>
                                </div>

                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
            <?php if (isset($component)) { $__componentOriginal00d4c075c01210593a9a1ab0867152d034ea9a35 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\TableData::class, ['data' => $tickets]); ?>
<?php $component->withName('table-data'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal00d4c075c01210593a9a1ab0867152d034ea9a35)): ?>
<?php $component = $__componentOriginal00d4c075c01210593a9a1ab0867152d034ea9a35; ?>
<?php unset($__componentOriginal00d4c075c01210593a9a1ab0867152d034ea9a35); ?>
<?php endif; ?>


                <div class="text-right">
                <?php echo $tickets->links(); ?>

            </div>
        </div>


    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection("scripts"); ?>
<script>
       $(document).ready( function() {
  $('.all-tickets').addClass('active');
  $('.ticket').addClass('in');
} );
</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make("layouts.adminmaster", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\15 feb cms\cms\resources\views/tickets/all_tickets.blade.php ENDPATH**/ ?>